# Custom NodeWorx Logs

Add .yaml files in this directory to describe additional logs for the NodeWorx
Log Viewer.

The files should each follow this format:

    log1:
        name: 'Some Log'
        path: '/var/log/some.log'
        group: 'http'
    fake:
        name: '{$filename}'
        path: '/this/does/not/exist/*.log'
        group: 'Extra Stuff'

The "group" is used to sort the logs for the viewer.  You may put your custom log in
an existing group, or use your own.

## Existing Groups

- iworx
- dns
- system
- ftp
- mysql
- ssh
- mail
- http

## Wildcards

The asterisk is supported in the 'path' field, and nowhere else. This is useful for
adding an entire directory of logs dynamically.

BE CAREFUL. You can easily end up with results you didn't mean.

DO be as specific as possible:
- /var/log/httpd/*.log

DO NOT use wildcards higher up in the path:
- /var/*/*.log

## Language Keys and Variables

Language keys will work for the "name" field, but will cause problems in the "group"
field and must be avoided.

For the NodeWorx logs, the only meaningful variable is '{$filename}', which is useful
in the 'name' property, particularly when assigning a name to a group of files
created by a wildcard.
