# Custom SiteWorx Logs

Add .yaml files in this directory to describe additional logs for the SiteWorx
Log Viewer.

The files should each follow this format:

    log1:
        name: 'Some Log'
        path: '/var/log/some.log'
        group: 'http'
    fake:
        name: '{$filename}'
        path: '/this/does/not/exist/*.log'
        group: 'Extra Stuff'

The "group" is used to sort the logs for the viewer.  You may put your custom log in
an existing group, or use your own.

## Existing Groups

- http

## Wildcards

## Wildcards

The asterisk is supported in the 'path' field, and nowhere else. This is useful for
adding an entire directory of logs dynamically.

BE CAREFUL. You can easily end up with results you didn't mean.

DO be as specific as possible:
- /var/log/httpd/*.log

DO NOT use wildcards higher up in the path:
- /var/*/*.log

## Language Keys and Variables

Language keys will work for the "name" field, but will cause problems in the "group"
field and must be avoided.

For the SiteWorx logs, there are several variables that may be used in the path and
name fields

- {$filename} - the base name of the file referred to in the path field.  This is
  resolved dynamically for wildcard matches.
  - in a wildcard that matches /var/log/httpd/access.log, {$filename} would resolve
    to 'access.log'
- {$user} - the Unix username of the SiteWorx account viewing logs
- {$domain} - the Working Domain of the SiteWorx account viewing logs
- {$master_domain} - the Master Domain of the SiteWorx account viewling logs
