{*
    This file is a default InterWorx template, and should not be edited. InterWorx
    upgrades will overwrite edits to this file.

    Templates may be customized by running any of these commands as appropriate:

        ~iworx/bin/config.pex --customize-template php/vhost-php-fpm --for-global
        ~iworx/bin/config.pex --customize-template php/vhost-php-fpm --for-nodeworx {EMAIL}
        ~iworx/bin/config.pex --customize-template php/vhost-php-fpm --for-siteworx {MASTER_DOMAIN}

    Please refer to ~iworx/etc/templates/php/README-vhost.md for more information
*}
  # iw-php-mode      : php-fpm
  # iw-php-key       : {$PHP_KEY}
{if version_compare($HTTPD_VERSION, '2.4', '>=') && $Config->get('FPM_USE_MOD_PROXY_FCGI')}
  # Apache 2.4+ connects to PHP-FPM via mod_proxy_fcgi
  <Proxy "unix:{$FPM_SOCKET}|fcgi://{$FPM_PROXY}">
    # We must declare a parameter in here or httpd will not register the proxy
    # ahead of time, resulting in a Proxy Error
{if $Config->get('FPM_PROCESS_MANAGEMENT') == 'ondemand'}
{* https://bugs.php.net/bug.php?id=69709  - I think because of this bug *}
    ProxySet disablereuse=on
{else}
    ProxySet disablereuse=off
{/if}
  </Proxy>

  <FilesMatch \.php$>
    SetHandler proxy:fcgi://{$FPM_PROXY}
  </FilesMatch>

  <Directory /var/run>
    Require all granted
  </Directory>
{else}
{if version_compare($HTTPD_VERSION, '2.4', '<')}
  # Apache 2.2 uses mod_fastcgi
{else}
  # Apache is configured to use mod_fastcgi
{/if}
  <IfModule mod_fastcgi.c>
    Alias  /php.fcgi {$FPM_FASTCGISERVER}
    <FilesMatch "\.php$">
      SetHandler php.fcgi
      Action php.fcgi /php.fcgi
    </FilesMatch>
  </IfModule>
{if version_compare($HTTPD_VERSION, '2.4', '>=')}
{* Required for access to the php-fpm socket in httpd 2.4+ *}
  <Directory /var/run>
    Require all granted
  </Directory>
{/if}
{/if}
