/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global YAHOO iw_lib iw_xhr iw_form*/

(function () {
    var iw_directory_tree = {

        tree_id : 'iw-dir-tree-container',
        input: null,

        append_to_tree : function ( root_node, data ) {
            var tmp_node, obj, d;

            for (d in data) {
                if ( data.hasOwnProperty(d) && data[d].fullpath !== '' ) {
                    obj = { type: 'text',
                        label: data[d].name,
                        path: data[d].fullpath,
                        isLeaf: data[d].empty };

                    tmp_node = new YAHOO.widget.TextNode(obj, root_node);
                }
            }
        },

        handler : {
            responder: 'DirectoryTree',
            node : null,
            callback : null,

            handle201: function ( r ) {
                var data = r.getReplyData();

                iw_directory_tree.append_to_tree(this.node, data);
                this.callback();
            },

            handle204: function ( r ) {
                var data = r.getReplyData().join('<br/>');
                iw_lib.iw_message_banner(data, 'iw-negative');
                this.callback();
            },

            execute: function ( node, callback ) {
                iw_directory_tree.handler.node     = node;
                iw_directory_tree.handler.callback = callback;

                iw_xhr.getReply(iw_directory_tree.handler, { path: node.data.path });
            }
        },

        initializer : function ( e ) {
            var handler = {
                responder: 'DirectoryTree',

                handle201: function ( r ) {
                    var data = r.getReplyData(),
                    container = YAHOO.util.Dom.get(iw_directory_tree.tree_id),
                    tree = new YAHOO.widget.TreeView(container);

                    tree.singleNodeHighlight = true;
                    tree.subscribe("clickEvent", tree.onEventToggleHighlight);

                    iw_directory_tree.append_to_tree(tree.getRoot(), data);

                    tree.setDynamicLoad(iw_directory_tree.handler.execute);
                    tree.render();
                }
            },
            renderContainer = function () {
                var ok_handler = function ( e ) {
                    var tree = YAHOO.widget.TreeView.getTree(iw_directory_tree.tree_id);

                    if ( tree.getHighlightedNode() === null ) {
                        alert('##LG_FTP_INVALIDHOMEDIR##');
                    } else {
                        iw_directory_tree.input.value = tree.getHighlightedNode().data.path;

                        iw_form.doValidate(iw_directory_tree.input);

                        this.hide();
                    }
                },
                cancel_handler = function ( e ) {
                    iw_form.doValidate(iw_directory_tree.input);
                    this.hide();
                },
                config = {
                    width: "500px",
                    fixedcenter: true,
                    visible: true,
                    draggable: false,
                    close: false,
                    modal: true,
                    text: '<div id="iw-dir-tree-container" class="ygtv-highlight"><img class="iw-i-pending iw-i" width="16" height="16" src="/img/blank.gif"/></div>',
                    constraintoviewport: true,
                    buttons: [ { text: '##LG_OK##',
                        handler: ok_handler,
                        isDefault: true },
                       { text: '##LG_CANCEL##',
                            handler: cancel_handler } ]
                },
                container = new YAHOO.widget.SimpleDialog("iw-dir-tree", config),
                header = '##LG_SELECT_DIRECTORY##';

                header = '<table><tr>' +
                '<td class="l">' +
              // span hack to make IE 6 pay attention to white-space: nowrap
                '<span style="white-space: nowrap">' + header + '</span>' +
                '</td>' +
                '<td class="r">&nbsp;</td>' +
                '</tr></table>';

                container.setHeader(header);
                YAHOO.util.Dom.addClass(container.element, 'iw-popup');
                container.render(document.body);
            };

            iw_directory_tree.input = this;

            renderContainer();

            iw_xhr.getReply(handler, { path: '' });
        }
    };

    YAHOO.util.Event.onDOMReady(function () {
        YAHOO.util.Event.delegate(document.body, 'click', iw_directory_tree.initializer, '.iw-dir-tree');
    });
}());
