/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global YAHOO iw_js_data iw_form, iw_xhr*/

/**
 * a global object to contain everything related to log viewer forms
 */
var iw_log_viewer = {
    first: true,
    following: false,
    t: null,
    t2: null,

  /**
   * stupid javascript not know how to submit a form if there is an input named
   * submit...  web standards fail.
   */
    submit_form: function () {
        iw_form.getSubmitButton(document.LogView).click();
    },

  /**
   * turns on follow
   */
    start_follow: function () {
        iw_log_viewer.t2 = setTimeout(iw_log_viewer.stop_follow, 1000 * 60 * 5); // stop after 5 minutes
    },

  /**
   * turns off follow
   */
    stop_follow: function () {
        document.getElementById('follow').value = '0';
    },

  /**
   * on follow input change
   */
    check_follow: function () {
        var follow = document.getElementById('follow');
        if ( follow.value === '1' ) {
            if ( iw_log_viewer.following === false ) {
                iw_log_viewer.start_follow();
                iw_log_viewer.following = true;
            }
            iw_log_viewer.t = setTimeout(
                iw_log_viewer.submit_form,
                iw_js_data.xhr_log_reload * 1000
            );
        } else {
            clearTimeout(iw_log_viewer.t);
            clearTimeout(iw_log_viewer.t2);
        }
    },

  /**
   * on file input change
   */
    check_file: function () {
        clearTimeout(iw_log_viewer.t);
        iw_log_viewer.submit_form();
    },

  /**
   * Takes the reply data and renders it to the proper element in the dom.
   * Will fix the scroll bar so that it will go to the bottom of the page,
   * if needed.
   */
    renderLog: function ( type, args ) {
        var r = args[0],
        options = args[1],
        data = r.getReplyData(),
        log_pre = document.getElementById('iw-log-content'),
        log_div = log_pre.parentNode,
        height = log_div.clientHeight+160,
        scroll = log_div.scrollHeight,
        position = log_div.scrollTop;

        options.display_banner = false;
        options.prevent_redirect = true;

        var new_content = "<span>-nothing here-</span>";

        if ( YAHOO.lang.isNull(data) ) {
          //
        } else {
            new_content = data.replace(/\n\n/g, '\n')
            new_content = '<span>'+new_content.replace(/\n/g, '</span><span>')+'</span>';
        }
        log_pre.innerHTML = new_content;
      // if( (height + position) === scroll || iw_log_viewer.first === true ) {
      //   log_div.scrollTop = log_div.scrollHeight;
      //   iw_log_viewer.first = false;
      // }
        iw_log_viewer.check_follow();
    },
  /**
   * This function ensures that the viewport is the correct size in proprotion to
   * the user's browser size.
   */
    resize_viewport: function () {
        var container = document.getElementById('iw-log-container'),
        content_div = document.getElementById('iw-log-content').parentNode,
        y = YAHOO.util.Dom.getY(container),
        viewportSize = YAHOO.util.Dom.getViewportHeight(),
        newSize = ( ( viewportSize - y ) - 120 ) + 'px';

        YAHOO.util.Dom.setStyle(content_div, 'height', newSize);
    },

    download_log: function ( e ) {
        var file = document.getElementById('file'),
        group = document.getElementById('group');

        YAHOO.util.Event.stopEvent(e);

        if ( group === null ) {
            window.location = '?action=downloadCommit&' + 'file=' + file.value;
        } else {
            window.location = '?action=downloadCommit&group=' + group.value +
            '&file=' + file.value;
        }
    }
};

iw_xhr.subscribeTo(iw_log_viewer.renderLog, 'viewCommit');

YAHOO.util.Event.on(window, 'resize', iw_log_viewer.resize_viewport);

// if follow is changed, we should update the timeout immediately instead of
// waiting for the next cycle through
YAHOO.util.Event.on('file', 'change', iw_log_viewer.check_file);
YAHOO.util.Event.on('log-download', 'click', iw_log_viewer.download_log);
YAHOO.util.Event.onDOMReady(iw_log_viewer.resize_viewport);
YAHOO.util.Event.onDOMReady(iw_log_viewer.submit_form);
