/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global YAHOO iw_js_data IW */
var iw_menu = {
    _open_class: 'iw-menu-open',
    _link_class: 'iw-menu-parent-open',
    _IW_env:     '',
    _cookie_name:'',

    init: function () {
        var menu,
        parent_items;
      // Deterine the environment we're in (nw/sw)
        iw_menu._IW_env      = IW.getIWEnv();
        iw_menu._cookie_name = 'iw-menu-' + iw_menu._IW_env;
      // Get all the items in the menu with a class of iw-menu-parent
      // First, get the menu node (improves performance of next step)
        menu = document.getElementById('iw-menu');
      // Now get the parents
        parent_items = iw_menu._getParents();
        YAHOO.util.Event.on(parent_items, "click", iw_menu.toggleMenu);

      //iw_menu.restore( parent_items );

      // Set listener for saving the status
      //YAHOO.util.Event.on( parent_items, 'click', iw_menu.save );
    },

    _getParents: function () {
        return YAHOO.util.Dom.getElementsByClassName('iw-menu-parent');
    },

  /**
   * Reads the data from the cookie
   * @return integer
   */
    _readCookie: function () {
        var data = YAHOO.util.Cookie.get(iw_menu._cookie_name, Number);
        if ( YAHOO.lang.isNull(data) ) {
            return 0;
        } else {
            return data;
        }
    },

    restore: function ( parents ) {
        var status = iw_menu._readCookie(),
        bitValue,
        submenu,
        parents_length = parents.length,
        i;
        if ( status === 0 ) {
            return;
        }
        for (i=0; i<parents_length; i++) {
            bitValue = Math.pow(2, i);
            if ( bitValue & status ) {
                submenu = document.getElementById(parents[ i ].id + '-sub');
                YAHOO.util.Dom.addClass(submenu, iw_menu._open_class);
                YAHOO.util.Dom.addClass(parents[ i ], iw_menu._link_class);
            }
        }
    },

    _saveCookie: function ( status ) {
        var options = {
         //path: '/' + iw_menu._IW_env + '/'
            path: '/'
        };
        YAHOO.util.Cookie.set(iw_menu._cookie_name, status, options);
    },

    save: function () {
        var parents = iw_menu._getParents(),
        parents_length = parents.length,
        status = 0,
        bitValue,
        submenu,
        i;
        for (i = 0; i<parents_length; i++) {
            bitValue = Math.pow(2, i);
            submenu  = document.getElementById(parents[ i ].id + '-sub');
            if ( YAHOO.util.Dom.hasClass(submenu, iw_menu._open_class) ) {
                status += bitValue;
            }
        }
        iw_menu._saveCookie(status);
    },

    toggleMenu: function ( e ) {
        YAHOO.util.Event.stopEvent(e);
        var submenu = document.getElementById(this.id + '-sub');
        if ( YAHOO.util.Dom.hasClass(submenu, iw_menu._open_class) ) {
            YAHOO.util.Dom.removeClass(submenu, iw_menu._open_class);
            YAHOO.util.Dom.removeClass(this, iw_menu._link_class);
        } else {
            YAHOO.util.Dom.addClass(submenu, iw_menu._open_class);
            YAHOO.util.Dom.addClass(this, iw_menu._link_class);
        }

        iw_menu.save();
    }
};

// Fire it up
YAHOO.util.Event.onAvailable('iw-menu', iw_menu.init);
