/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true, laxbreak: true */
/*global YAHOO, iw_js_data, IW_AC_DATA, iw_xhr, iw_form_validate_handler, updateStatusClass, iw_lib, iw_ctrl_handler*/
var iw_notice = {
    _controller: '',

    init: function () {
        var notices = YAHOO.util.Selector.query('.iw-notice .iw-i-close'),
        buttons = YAHOO.util.Selector.query('.iw-notice button');

        if ( iw_js_data.iw_env ) {
            this._controller = iw_js_data.iw_env.env + '/notice';
        }

        YAHOO.util.Event.on(notices, 'click', this.dismiss);
        YAHOO.util.Event.on(buttons, 'click', this.dismissAndIgnore);
    },

    dismissAndIgnore: function ( e ) {
        var parts = this.id.split(':'),
        notice = YAHOO.util.Dom.getAncestorByClassName(this, 'iw-notice', 'div'),
        ignore_until = document.getElementById('ignore_until:' + parts[1]).value,
        input = { delivery_id: parts[1],
            ignore_until: ignore_until,
            security_token: iw_js_data.iw_env.security_token},
        img = document.getElementById('delivery-id:' + input.delivery_id),
        callback;

        YAHOO.util.Event.stopEvent(e);

        iw_lib.updateIWIcon(img, 'iw-i-pending');

        callback = {
            args: this,
            callback: function ( reply, success, el ) {
                if ( success ) {
                    var hider = new YAHOO.util.Anim(
                        notice,
                        { opacity: { to: 0 }, height: { to: 18 } },
                        0.15
                    ),
                      remover;

                    remover = function () {
                        YAHOO.util.Dom.setStyle(notice, 'display', 'none');
                    };
                    hider.onComplete.subscribe(remover);
                    hider.animate();
                }
            }
        };

        iw_ctrl_handler.execute(null, callback, iw_notice._controller, 'ignoreUntilCommit', input);
    },

    dismiss: function ( e ) {
        var parts = this.id.split(':'),
        input = { delivery_id: parts[1], security_token: iw_js_data.iw_env.security_token },
        callback;

        iw_lib.updateIWIcon(this, 'iw-i-pending');

        callback = {
            args: this,
            callback: function ( reply, success, el ) {
                if ( success ) {
                    var notice = YAHOO.util.Dom.getAncestorByClassName(el, 'iw-notice', 'div'),
                    hider = new YAHOO.util.Anim(
                        notice,
                        { opacity: { to: 0 }, height: { to: 18 } },
                        0.15
                    ),
                    remover;

                    remover = function () {
                        YAHOO.util.Dom.setStyle(notice, 'display', 'none');
                    };
                    hider.onComplete.subscribe(remover);
                    hider.animate();
                } else {
                    iw_lib.updateIWIcon(el, 'iw-i-close');
                }
            }
        };

        iw_ctrl_handler.execute(null, callback, iw_notice._controller, 'dismissBannerCommit', input);
    }
};

iw_notice.init();