/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global YAHOO, iw_lib, iw_ctrl_handler */

/**
 * the result of calling this anonymous function - will be 'true' if all goes
 * according to plan
 *
 * @var boolean
 */
var iw_quickhelp_initialized = function () {

  /**
   * called when a quickhelp link is clicked
   *
   * @param event e
   */
    var on_click = function ( e ) {
      // 'this' is the clicked object in this context
        var callback_obj = {
            args: this,

            /**
           * After the XHR request, we set the result into the popup
           *
           * @param object  r       iw_xhr response
           * @param boolean success response status
           * @param mixed   args    defined above
           */
            callback: function ( r, success, args ) {
                var body = r.getReplyData();
              // we're assuming success === true here
                iw_lib.iw_popup(body, '##LG_QUICKHELP##', args, true);
            }
        },//end callback_obj
        quickform = document.getElementById('quickhelp_form');

      // Set the quickhelp_form id value to be the clicked quickhelp id value
        quickform.elements.id.value = this.getAttribute('data-qh');

      // Show the quickhelp popup with the spinner
        iw_lib.iw_popup(
            '<div class="center"><img class="iw-i-pending iw-i" width="16" height="16" src="/img/blank.gif"/></div>',
            '##LG_QUICKHELP##',
            this
        );

      // Translate the language code via XHR
        iw_ctrl_handler.execute(quickform, callback_obj, null, null, {iw_payload_output: 'json'});
    },//end on_click

  /**
   * initializes the click quickhelp click events
   */
    init = function () {
      // initialize the qh popup, but don't show it
        iw_lib.iw_popup(
            '<div class="center"><img class="iw-i-pending iw-i" width="16" height="16" src="/static/3.1.0-100/img/blank.gif"/></div>',
            '##LG_QUICKHELP##',
            window,
            true
        );

        YAHOO.util.Event.delegate(document.body, 'click', on_click, 'span.quickhelp');
    };

    YAHOO.util.Event.onDOMReady(init);

    return true;
}();
