/* jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/* global YAHOO iw_xhr iw_message yumLogHandler iw_lib */
/**
 * Base class to display logs in a popup panel
 */
var showLogHandler =
    {
        responder : '',
        isStillRunning : false,
        repeatEvery : 3000,
        timeout : null,
        paused : false,
        logPanel : null,
        input : null,
        completeEvent: new YAHOO.util.CustomEvent('logComplete'),
        makeLogPanel : function () {
            var viewportSize = YAHOO.util.Dom.getViewportHeight(),
            newSize = viewportSize - 100;

            this.logPanel = new YAHOO.widget.Panel("iw-file-output", {
                fixedcenter : true,
                constraintoviewport : true,
                underlay : 'none',
                modal : true,
                width : '750px',
                height : newSize + 'px',
                draggable : true,
                close : true
            });
            this.logPanel
            .setHeader('Output of ' + this.responder +
                        '<img id="iw-file-output-spinner" ' +
                        ' src="/img/blank.gif"' +
                        ' width="16" height="16"' +
                        ' class="iw-i-pending iw-i"/>');
            this.logPanel
            .setBody('<div class="iw-log-output" id="' + this.responder + '"></div>');
            this.logPanel
            .setFooter('<img id="iw-file-output-control" ' +
                        ' src="/img/blank.gif"' +
                        ' width="16" height="16"' +
                        ' class="iw-i-pause iw-i"/>');
            this.logPanel.render(document.body);
            this.logPanel.hideEvent.subscribe(this.onPauseByHide, this);

            YAHOO.util.Event.on(
                'iw-file-output-control',
                'click',
                this.onPause,
                this,
                true
            );
        },
        onComplete : function () {
            var target = document.getElementById('iw-file-output-control'),
            spinner = document.getElementById('iw-file-output-spinner');

            this.isStillRunning = false;
            iw_lib.updateIWIcon(target, 'iw-i-pause-off');
            iw_lib.updateIWIcon(spinner, 'iw-i-clear');
            YAHOO.util.Event.removeListener(target, 'click');
            this.completeEvent.fire();
        },
      /**
       * DUMB DUMB DUMB DUMB. Because the signature of the click event and the
       * custom "hideEvent", this intermediate function needs to exist. Trust
       * me, this is MUCH easier to understand than the first option!
       */
        onPauseByHide : function ( a, b, c ) {
            c.onPause(a, c);
        },
        onPause : function ( e, handler ) {
            YAHOO.util.Event.stopEvent(e);
            handler.paused = true;

            var target = YAHOO.util.Event.getTarget(e),
            spinner = document.getElementById('iw-file-output-spinner');
            YAHOO.util.Event.removeListener('iw-file-output-control', 'click');
            iw_lib.updateIWIcon(target, 'iw-i-start');
            iw_lib.updateIWIcon(spinner, 'iw-i-clear');
            YAHOO.util.Event.on(
                'iw-file-output-control',
                'click',
                handler.onPlay,
                handler,
                true
            );
        },
        onPlay : function ( e, handler ) {
            this.paused = false;
            this.execute(e);
            var target = YAHOO.util.Event.getTarget(e),
            spinner = document.getElementById('iw-file-output-spinner');
            YAHOO.util.Event.removeListener('iw-file-output-control', 'click');
            iw_lib.updateIWIcon(target, 'iw-i-pause');
            iw_lib.updateIWIcon(spinner, 'iw-i-pending');
            YAHOO.util.Event.on(
                'iw-file-output-control',
                'click',
                this.onPause,
                this,
                true
            );
        },
        handle201 : function ( logReply ) {
            var logWindow = document.getElementById(this.responder), that = this, new_content;

            if ( !logWindow ) {
                this.makeLogPanel();
                logWindow = document.getElementById(this.responder);
            }

            if ( this.paused === false ) {
                this.show();
            }
          // Put this in an if statement because it can "blip"
          // on the screen if it
          // isn't really necessary to do.
            new_content = logReply.getReplyData().fileContent.replace(/\n\n/g, '\n');
            new_content = '<span>'+new_content.replace(/\n/g, '</span><span>')+'</span>';

            if ( logWindow.innerHTML !== new_content ) {
                logWindow.innerHTML = new_content;
                logWindow.scrollTop = logWindow.scrollHeight;
            }

            function refreshLog()
            {
                iw_xhr.getReply(that, that.input);
            }
            if ( logReply.getReplyData().moreToCome === 1 ) {
                if ( this.paused === false ) {
                    that.timeout = setTimeout(refreshLog, that.repeatEvery);
                }
            } else {
                that.onComplete();
            }
        },
        execute : function ( e ) {
            if ( e ) {
                YAHOO.util.Event.stopEvent(e);
            }
            this.isStillRunning = true;
            this.paused = false;
            iw_xhr.getReply(this, this.input);
        },
        toString : function () {
            return 'IWorx Log Handler for ' + this.responder;
        },
        show : function ( e ) {
            this.paused = false;
            if ( this.logPanel ) {
                this.logPanel.center();
                this.logPanel.show();
            }
        }
    };