const xhrEndpoint = '/xhr.php';

let getUpgradeFormHtml = () => $.post(xhrEndpoint, getPostDataUpgradeForm());
let startUpgrade = (softwareChannel) => $.post(xhrEndpoint, getPostDataStartUpgrade(softwareChannel));
let getIwVersion = () => $.post(xhrEndpoint, getPostDataListVersion());

let getPostDataUpgradeForm = () => {
    // exclude commit to get the form
    // html instead of triggering the action
    let action = 'startUpgrade';
    let controller = '/nodeworx/upgrade';
    return getPostData(action, controller, 'html');
}


let getPostDataStartUpgrade = (softwareChannel) => {
    let action = 'startUpgradeCommit';
    let controller = '/nodeworx/upgrade';
    let args = {
        software_channel: softwareChannel
    };

    return getPostData(action, controller, 'json', args);
}

let getPostDataListVersion = () => {
    let action = 'listVersion';
    let controller = '/nodeworx/overview';
    let payloadOutput = 'json';
    return getPostData(action, controller, payloadOutput);
}


let getPostData = (action, controller, payloadOutput, args) => {
    let data =  {
        iw_payload_output: payloadOutput,
        security_token: iw_js_data.iw_env.security_token,
        c: controller,
        a: action,
        iw_sess_hint: 'nodeworx',
        where_was_i: '/nodeworx/upgrade'
    };

    if (args) {
        // merge args object with data.
        data = {...data, ...args};
    }

    return {
        i: JSON.stringify({
            r: 'Controller',
            i: data
        })
    }
}

export const upgradeActions = {
    getUpgradeFormHtml,
    startUpgrade,
    getIwVersion
}