/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global YAHOO,
         iw_form,
         iw_xhr
*/
/**
 * Handler for the Reseller package Add/Edit screen's package template chooser
 */
var iw_reseller_package_template_handler = {
    responder : 'ResellerPackageTemplate',

  /**
   * Ok result
   */
    handle201 : function ( r, selectbox ) {
        var result = r.getReplyData(), option, optname, value, input;

        iw_form.clearStatus(selectbox);

      // Loop through all the options, and set the correct values
        for (option in result) {
            if ( result.hasOwnProperty(option) ) {
                optname = option.substr(3);
                value   = result[option];
                input   = document.forms.reseller_account_management[ optname ];

                if ( value === true ) {
                    input.selectedIndex = 0;
                } else if ( value === false ) {
                    input.selectedIndex = 1;
                } else {
                    input.value = value;
                    if ( YAHOO.lang.isUndefined(iw_form.inputPropertyCache[optname]) === false ) {
                        iw_form.inputPropertyCache[optname].value = value;
                    }
                }
              // We assume if it came from package info, then it's going to be valid
              // Don't do "round trip" validation
                iw_form.markValid(input);
            }
        }//end for

      // triggers the unlimited animation if needed
        iw_form.initUnlimited();
        iw_form.initShowSelect();
    },

  /**
   * Fires off the xhr request to get the package info if a reseller package is selected.
   */
    execute : function () {
        var selectobj = document.forms.reseller_account_management.packagetemplate, package_id = selectobj.options[selectobj.selectedIndex].value, input = {
            id :package_id
        };
        if ( package_id !== '' ) {
            iw_form.markPending(this);
            iw_xhr.getReply(iw_reseller_package_template_handler, input, this);
        }
    }
};

// handle the package template change event
YAHOO.util.Event.on(
    document.forms.reseller_account_management.packagetemplate,
    'change',
    iw_reseller_package_template_handler.execute
);

/**
 * Hides the 'activate/deactivate' element whenever it's value is changed
 */
var iw_show_or_hide_advanced = {
    execute : function () {
        /**
         * To get the table row that cascade-status is in.
         */
          var el = document.getElementById('cascade-status-tablerow'), style;
        if ( el ) {
            style = el.style;
            if ( style.display === 'none' ) {
                style.display = 'table-row';
            } else {
                style.display = 'none';
            }
        }
    }
};

if ( document.getElementById('cascade-status-tablerow') ) {
    iw_show_or_hide_advanced.execute();
}

YAHOO.util.Event.on(
    document.forms.reseller_account_management.status,
    'change',
    iw_show_or_hide_advanced.execute
);
