/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true, laxbreak: true */
/*global YAHOO iw_lib iw_ctrl_handler iw_js_data iw_xhr */

(function () {
    var toggleFormElements,
    ws = {
        form : document.getElementById("websetup-shell"),
        meter : document.getElementById("iw-meter"),
        statusBox: document.getElementById("websetup-status"),
        status : document.getElementById("iw-meter-status"),
        next : document.getElementById("websetup-continue"),
        bStatus: document.getElementById("websetup-submit_status_span"),
        details: document.getElementById("websetup-details"),
        cogs: document.getElementById("iw-setup-cogs"),
        currentLine : "~~~",
        timer : 0,
        count : 0,
        lines : []
    },
    cogs = {
        timer : false,
        browser : YAHOO.env.ua,
        cssPrefix : false,
        gears : {
            bigCog : { id: document.getElementById("iw-big-cog"),
                dOffset : 0,
                spin : 1, //forward spin
                scale : 0.3
            },
            littleCog : { id: document.getElementById("iw-little-cog"),
                dOffset : 10,
                spin : -1, //backwards spin
                scale : 0.24
            },
            tinyCog : { id: document.getElementById("iw-tiny-cog"),
                dOffset : -20,
                spin : 1, //forward spin
                scale : 0.192
            }
        },
        speed : 0.005,
        maxSpeed : 1,
        acceleration: 0.01,
        degrees : 0,
        init: function () {
            var o = this;
            o.speed = 0.005;
            o.maxSpeed = 1;
            if (o.browser.webkit || o.browser.chrome || o.browser.safari) {
                o.cssPrefix = "-webkit-";
            } else if (o.browser.gecko) {
                o.cssPrefix = "-moz-";
            } else if (o.browser.opera) {
                o.cssPrefix = "-o-";
            } else if (o.browser.ie) {
                o.cssPrefix = " ";
            }
            if (o.cssPrefix && !o.timer) {
                o.timer = window.setInterval(function () {
                    o.play();
                },20);
            }
        },
        play: function () {
            var o = this;
            if (o.speed > (-o.maxSpeed)) {
                if (o.speed < o.maxSpeed) {
                    o.speed += o.acceleration;
                } else if (o.speed >= o.maxSpeed) {
                    o.speed -= o.acceleration;
                }
            } else {
                o.stop();
            }
            if (Math.abs(o.degrees) >= 360) {
                o.degrees = 0;
            }
            o.degrees += o.speed; // degree adjustment each interval
            o.printGears(o.gears);
        },
        stop:function () {
            var o = this;
            window.clearInterval(o.timer);
            o.timer = false;

        },
        printGears: function (gears) {
            var o = this, g, gear, degrees;
            for (gear in gears) {
                if ( gears.hasOwnProperty(gear) ) {
                    g = gears[gear];
                    degrees = (o.degrees - g.dOffset) * g.spin;
                    if (o.cssPrefix && o.cssPrefix !== 'ms-old') {
                        g.id.setAttribute("style", o.cssPrefix + "transform: "+
                        "scale(" + g.scale + ") "+
                        "rotate(" + degrees + "deg)");
                    } else {
                        window.clearInterval(o.timer);
                    }
                }
            }
        }
    },
/* Popup
---------------------------------------------------*/
    get_details = function (data,el) {
        iw_lib.iw_popup(data.log,'Installation Status: '+data.status,'body',false,true);
    },
/* Main Loop
---------------------------------------------------*/
    print_websetup = function (data) {
        var str, iconType;
        ws.lines = data.log.split(/\r/);
        //If the feed has changed, update HTML box
        if (!(ws.lines.indexOf(ws.currentLine) === (ws.lines.length-1))) {
            str = ws.lines[ws.lines.length-1].match(/\[+(.*?)\]+/g,"$1");
            str = str[0];
            iconType = "positive";
            if (str === "[STATUS]") {
                ws.count++;
                ws.meter.style.width = (ws.count*6)+"%";
                cogs.maxSpeed += (0.5);
            } else if (str === "[ERROR]") {
                cogs.maxSpeed = (0.5);
                iconType = "negative";
            } else if (str === "[WARNING]") {
                cogs.maxSpeed -= (0.5);
                iconType = "alert";
            }
            str = ws.lines[ws.lines.length-1].replace(/\[+(.*?)\]+/g,'<img src="../img/blank.gif" title='+"$1"+' height="16" width="16" class="iw-i iw-i-'+iconType+'"/>');
            ws.status.innerHTML = str;
            ws.currentLine = ws.lines[ws.lines.length-1];
        }
        if (data.status === "running") {
            ws.next.innerHTML = "Running";
            ws.details.innerHTML = "Please Wait...";
            toggleFormElements(true);
        } else {
            ws.next.innerHTML = "Continue";
            window.clearInterval(ws.timer);
          //Details Button
            ws.details.disabled = false;
            ws.next.disabled = false;
            ws.details.onclick = function () {
                get_details(data,this);
                return false;
            };
            if (data.status === "failure") {
                cogs.maxSpeed = 0;
              //removeClass('blue',ws.details);
              //addClass('red',ws.details);
                ws.next.innerHTML = "Try Again";
                ws.details.innerHTML = "View Error Details";
                ws.next.onclick = function () {
                    toggleFormElements(false);
                    return false;
                };
            }
            if (data.status === "success") {
                cogs.maxSpeed = 0;
              //removeClass('red',ws.details);
                ws.details.innerHTML = "View Setup Details";
                ws.next.innerHTML = "Log In";
                ws.meter.style.width = (100)+"%";
                ws.next.onclick = function () {
                    window.location = "/nodeworx";
                    return false;
                };
            }
        }//end if
    },
/* Server Request
---------------------------------------------------*/
    get_websetup_status = function () {
        var callback_obj = {
            args: this,
            callback: function ( reply, success, el ) {
                var i, data, length;
                if ( success ) {
                    data = reply.getReplyData();
                    print_websetup(data);
                }
            }
        };
        iw_ctrl_handler.execute(
            null,
            callback_obj,
            '/nodeworx/index',
            'getWebsetupStatusCommit',
            {
                iw_payload_output: 'json',
                security_token: iw_js_data.iw_env.security_token
                               }
        );
    },
/* Submit Form
---------------------------------------------------*/
    websetup_launched = function ( type, args ) {
        toggleFormElements(true);
        cogs.init();
        var options = args[1];
        options.display_banner   = false;
        options.prevent_redirect = true;
        get_websetup_status();
        ws.timer = window.setInterval(function () {
            get_websetup_status();},500);
    },
/* Uncle Timmy Library
---------------------------------------------------*/
    addClass = function ( classname, element ) {
        var cn = element.className;
      //test for existance
        if ( cn.indexOf(classname) !== -1 ) {
            return;
        }
      //add a space if the element already has class
        if ( cn !== '' ) {
            classname = ' '+classname;
        }
        element.className = cn+classname;
    },
    removeClass = function ( classname, element ) {
        var cn = element.className,
          rxp = new RegExp("\\s?\\b"+classname+"\\b", "g");
        cn = cn.replace(rxp, '');
        element.className = cn;
    };
    toggleFormElements = function ( bDisabled ) {
        var i = 0, length, inputs, selects, textareas, buttons;
      //addClass('blue',ws.details);
      //removeClass('red',ws.details);
        inputs = document.getElementsByTagName("input");
        length = inputs.length;
        for (i = 0; i < length; i++) {
            inputs[i].disabled = bDisabled;
        }
        selects = document.getElementsByTagName("select");
        length = selects.length;
        for (i = 0; i < length; i++) {
            selects[i].disabled = bDisabled;
        }
        textareas = document.getElementsByTagName("textarea");
        length = textareas.length;
        for (i = 0; i < length; i++) {
            textareas[i].disabled = bDisabled;
        }
        buttons = document.getElementsByTagName("button");
        length = buttons.length;
        for (i = 0; i < length; i++) {
            buttons[i].disabled = bDisabled;
        }
        if ( bDisabled ) {
            ws.form.style.display = "none";
            ws.statusBox.style.display = "block";
        } else {
            cogs.stop();
            ws.count = 0;
            ws.currentLine = "~~~";
            ws.statusBox.style.display = "none";
            ws.details.disabled = true;
            ws.next.disabled = true;
            ws.form.style.display = "block";
        }
    };
    if (!Array.prototype.indexOf) {
        Array.prototype.indexOf = function (obj, fromIndex) {
            if (fromIndex === null) {
                fromIndex = 0;
            } else if (fromIndex < 0) {
                fromIndex = Math.max(0, this.length + fromIndex);
            }
            for (var i = fromIndex, j = this.length; i < j; i++) {
                if (this[i] === obj) {
                    return i;
                }
            }
            return -1;
        };
    }
    iw_xhr.subscribeTo(websetup_launched, 'websetupCommit', '/nodeworx/websetup');

})();
