/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global YAHOO
  iw_ctrl_handler
  iw_lib
  iw_js_data */
var iw_lb_update = function () {
    var _controller  = 'nodeworx/cluster/lb',
      _action      = 'listCurrentLoadBalancerStatus',
      _update_time = 10000, // in milliseconds
      _input       = { security_token: iw_js_data.iw_env.security_token,
            iw_payload_output: 'json' };

  /**
   * public interface starts here
   */
    return {
        getAction: function () {
            return _action;
        },

        getUpdateTime: function () {
            return _update_time;
        },

        setUpdateTime: function ( time ) {
            _update_time = time;
        },

        route: function () {
            iw_ctrl_handler.execute(null, iw_lb_update.complete, _controller, _action, _input);
        },

        complete: function ( r, success ) {
            var data = null,
            x = null,
            y = null,
            vip = null,
            vip_port = null,
            node_ip = null,
            node_port = null,
            node_weight = null,
            node_conn = null,
            el_id = null,
            el = null,
            weight_el = null,
            status_el = null,
            text_el = null,
            conn_el = null,
            w_fadeins = [],
            w_fadeouts = [],
            c_fadeins = [],
            c_fadeouts = [],
            old_color = null,
            i = 0,
            j = 0;
            if ( success ) {
                data = r.getReplyData();
                for (x in data) {
                    if ( data.hasOwnProperty(x) ) {
                        for (y in data[x].realservers) {
                            if ( data[x].realservers.hasOwnProperty(y) ) {
                                vip  = data[x].info.vip;
                                vip_port = data[x].info.port;
                                node_ip = data[x].realservers[y].vip;
                                node_port = data[x].realservers[y].port;
                                node_weight = data[x].realservers[y].weight;
                                node_conn = data[x].realservers[y].active;

                                if ( vip_port === '' ) {
                                  // probably FWM
                                    el_id = 'fwmark:' + vip + ':' + node_ip + ':' + node_port;
                                } else {
                                    el_id = vip + ':' + vip_port + ':' + node_ip + ':' + node_port;
                                }
                                status_el = document.getElementById(el_id);
                                text_el   = document.getElementById(el_id + ':text');
                                weight_el = document.getElementById(el_id + ':weight');
                                conn_el = document.getElementById(el_id + ':conn');
                                if ( weight_el !== null ) {
                                    if ( weight_el.innerHTML !== node_weight ) {
                                        if ( node_weight === '0' ) {
                                            iw_lib.updateStatusClass(status_el, 'iw-negative');
                                            text_el.innerHTML = '##LG_DISABLED##';
                                            weight_el.innerHTML = node_weight;
                                        } else {
                                            iw_lib.updateStatusClass(status_el, 'iw-positive');
                                            text_el.innerHTML = '##LG_ENABLED##';
                                            weight_el.innerHTML = node_weight;
                                        }
                                        old_color = YAHOO.util.Dom.getStyle(YAHOO.util.Dom.getAncestorByTagName(weight_el, 'tr'), 'background-color');

                                        w_fadeins[i] = new YAHOO.util.ColorAnim(weight_el, {
                                            backgroundColor: {
                                                to: '#BDEFFD'
                                            }
                                        });

                                        w_fadeouts[i] = new YAHOO.util.ColorAnim(weight_el, {
                                            backgroundColor: {
                                                to: old_color
                                            }
                                        });
                                        i++;
                                    }//end if weight changed
                                }//end if weight_el !== null
                                if ( conn_el !== null ) {
                                    if ( conn_el.innerHTML !== node_conn ) {
                                        conn_el.innerHTML = node_conn;

                                        old_color = YAHOO.util.Dom.getStyle(YAHOO.util.Dom.getAncestorByTagName(conn_el, 'tr'), 'background-color');

                                        c_fadeins[j] = new YAHOO.util.ColorAnim(conn_el, {
                                            backgroundColor: {
                                                to: '#BDEFFD'
                                            }
                                        });

                                        c_fadeouts[j] = new YAHOO.util.ColorAnim(conn_el, {
                                            backgroundColor: {
                                                to: old_color
                                            }
                                        });

                                        j++;
                                    }//end if conn changed
                                }//end if conn_el !== null
                            }//end if has own property y
                        }//end for y in data[x].realservers
                    }//end if has own property x
                }//end for x in data

                setTimeout(function () {
                    var i = 0,
                    length = w_fadeins.length;
                    for (; i < length; i++) {
                        w_fadeins[i].animate();
                    }
                }, 0);

                setTimeout(function () {
                    var i = 0,
                    length = w_fadeouts.length;
                    for (; i < length; i++) {
                        w_fadeouts[i].animate();
                    }
                }, 2000);

                setTimeout(function () {
                    var i = 0,
                    length = c_fadeins.length;
                    for (; i < length; i++) {
                        c_fadeins[i].animate();
                    }
                }, 0);

                setTimeout(function () {
                    var i = 0,
                    length = c_fadeouts.length;
                    for (; i < length; i++) {
                        c_fadeouts[i].animate();
                    }
                }, 2000);

                setTimeout(iw_lb_update.route, iw_lb_update.getUpdateTime());
            } else {
              //failure, something went wrong, just end quietly
            }//end if success
        }//end function complete
    };
}();
if ( !document.getElementById('iw-no-nodes') ) {
    setTimeout(iw_lb_update.route, iw_lb_update.getUpdateTime());
}
