/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global YAHOO,
         iw_ctrl_handler,
         iw_message,
         iw_message_banner,
         service_update_event,
         iw_lib,
         iw_js_data
*/

/**
 * Object that handles the firewall port status updating action
 */
var iw_ports_save = function () {
    var _controller = 'nodeworx/firewall',
      _action = 'update',
      _form = document.forms.ports;

  /**
   * Sets all the ports to neutral background color and the text to WAIT
   * for the boxes that have been changed
   * TODO: clean up this function
   */
    function _init()
    {
        var i = 0,
        box,
        mode,
        selects = YAHOO.util.Dom.getElementsByClassName('select'),
        selects_length = selects.length;

        YAHOO.util.Dom.setStyle(document.getElementById('spinner'), 'visibility', 'visible');
        for (i = 0; i < selects_length; ++i) {
            box = YAHOO.util.Dom.getAncestorByClassName(selects[ i ], 'iw-box');
            if ( box ) {
                mode = YAHOO.util.Dom.getAncestorByTagName(box, 'div');
                if ( mode ) {
                    if ( YAHOO.util.Dom.hasClass(mode, 'iw-positive') &&
                    selects[ i ].selectedIndex === 1 ) {
                        YAHOO.util.Dom.removeClass(mode, 'iw-positive');
                        YAHOO.util.Dom.addClass(mode, 'iw-neutral');
                        selects[ i ].options[1].text = '##LG_PORT_WAIT##';
                    }
                    if ( YAHOO.util.Dom.hasClass(mode, 'iw-negative') &&
                    selects[ i ].selectedIndex === 0 ) {
                        YAHOO.util.Dom.removeClass(mode, 'iw-negative');
                        YAHOO.util.Dom.addClass(mode, 'iw-neutral');
                        selects[ i ].options[0].text = '##LG_PORT_WAIT##';
                    }
                }
            }
        }
    }

  /**
   * turns all the port boxes to the neutral "blue" color
   */
    function _turnblue()
    {
        var i = 0,
        selects_pos = YAHOO.util.Dom.getElementsByClassName('iw-positive'),
        selects_neg = YAHOO.util.Dom.getElementsByClassName('iw-negative'),
        open = '##LG_OPEN##'.toLowerCase(),
        closed = '##LG_CLOSED##'.toLowerCase(),
        selects_pos_length = selects_pos.length,
        selects_neg_length = selects_neg.length;

        for (i = 0; i < selects_pos_length; ++i) {
            if ( selects_pos[ i ].innerHTML.trim().toLowerCase() === open ) {
                YAHOO.util.Dom.removeClass(selects_pos[ i ], 'iw-positive');
                YAHOO.util.Dom.addClass(selects_pos[ i ], 'iw-neutral');
            }
        }

        for (i = 0; i < selects_neg_length; ++i) {
            if ( selects_neg[ i ].innerHTML.trim().toLowerCase() === closed ) {
                YAHOO.util.Dom.removeClass(selects_neg[ i ], 'iw-negative');
                YAHOO.util.Dom.addClass(selects_neg[ i ], 'iw-neutral');
            }
        }
    }

  /**
   * turns all the port boxes to the correct red/green color based on their
   * open / closed status
   */
    function _colorize()
    {
        var i = 0,
        selects = YAHOO.util.Dom.getElementsByClassName('iw-neutral'),
        open = '##LG_OPEN##'.toLowerCase(),
        closed = '##LG_CLOSED##'.toLowerCase(),
        selects_length = selects.length;

        for (i = 0; i < selects_length; ++i) {
            if ( selects[ i ].innerHTML.trim().toLowerCase() === open ) {
                YAHOO.util.Dom.removeClass(selects[i], 'iw-neutral');
                YAHOO.util.Dom.addClass(selects[i], 'iw-positive');
            }
            if ( selects[ i ].innerHTML.trim().toLowerCase() === closed ) {
                YAHOO.util.Dom.removeClass(selects[i], 'iw-neutral');
                YAHOO.util.Dom.addClass(selects[i], 'iw-negative');
            }
        }
    }

  /**
   * public interface starts here
   */
    return {
      /**
     * get action
     *
     * This is needed because the confirmSubmitCheckBoxes uses it to determine
     * if it should fire ajax or post normal style.
     * @return string
     */
        getAction: function () {
            return _action;
        },

      /**
     * Pass along the request to the iw_ctrl_handler
     */
        route: function () {
            _init();
            iw_ctrl_handler.execute(_form, iw_ports_save.complete, _controller, _action);
        },

      /**
     * Handle the xhr success.  Sets the ports to the correct background color.
     *
     * @param Object  r       The reply object
     * @param Boolean success If controller/action was successful, true
     */
        complete: function ( r, success ) {
            if ( success ) {
                var isrunning = YAHOO.util.Dom.hasClass(document.getElementById('iw-stat-v-nodeworx-firewall'), 'iw-positive');
                if ( isrunning ) {
                    _colorize();
                } else {
                    _turnblue();
                }
                iw_lib.iw_message_banner(r.getReplyData().message, 'iw-positive');
            } else {
                iw_lib.iw_message(r.getReplyData().message);
            }
            document.ports.action.selectedIndex = 0;
            document.ports.action.disabled      = 0;
            YAHOO.util.Dom.setStyle(document.getElementById('spinner'), 'visibility', 'hidden');
        },

      /**
     * an event handler, listens for changes to the service controls on the page
     */
        serviceStatusHandler: function () {
            var isrunning = YAHOO.util.Dom.hasClass(document.getElementById('iw-stat-v-nodeworx-firewall'), 'iw-positive');
            if ( isrunning ) {
                _colorize();
            } else {
                _turnblue();
            }
        }
    };
}();

function togglePort( e, element, shell )
{
    var D = YAHOO.util.Dom,
    box = element,
    allboxes = D.getElementsByClassName('iw-status'),
    status = box.innerHTML,
    row = D.getChildren(D.getAncestorByTagName(box, 'tr')),
    row_length = row.length,
    i, key,
    open = 'open',
    closed = 'closed',
    rpm_release = iw_js_data.iw_rpm_release,
    input = { ports: row[3].innerHTML,
        security_token: iw_js_data.iw_env.security_token };

    allboxes.splice(0, 2);

    for (i = 4; i < row_length; ++i) {
        key = row[i].className.replace('td-', '');
        key = key.replace('_', '_flow_');
        if ( box === D.getNextSibling(row[i].firstChild) ) {
            if ( box.innerHTML.trim() === '##LG_OPEN##' ) {
                input[ key ] = closed;
            } else {
                input[ key ] = open;
            }
        }
    }

    function complete( r, success )
    {
        if ( success ) {
            iw_lib.iw_message_banner(r.getReplyData().message, 'iw-positive');
            if ( D.hasClass(box, 'iw-positive') ) {
                D.removeClass(box, 'iw-positive');
                D.addClass(box, 'iw-negative');
                box.innerHTML = '##LG_CLOSED##';
            } else if ( D.hasClass(box, 'iw-negative') ) {
                D.removeClass(box, 'iw-negative');
                D.addClass(box, 'iw-positive');
                box.innerHTML = '##LG_OPEN##';
            } else {
                if ( status.toUpperCase().indexOf(closed.toUpperCase()) !== -1 ) {
                    box.innerHTML = '##LG_OPEN##';
                } else {
                    box.innerHTML = '##LG_CLOSED##';
                }
            }
        } else {
            iw_lib.iw_message_banner(r.getReplyData().message, 'iw-negative');
            box.innerHTML = status;
        }//end if
        YAHOO.util.Event.delegate('port_access-shell', 'click', togglePort, '.iw-status');
        D.setStyle(allboxes, 'cursor', 'pointer');
    }

    box.innerHTML = '<img src=/static/' + rpm_release + '/img/spinner.gif />';

    YAHOO.util.Event.removeDelegate('port_access-shell', 'click', togglePort);
    D.setStyle(allboxes, 'cursor', 'wait');

    iw_ctrl_handler.execute(
        null,
        complete,
        'nodeworx/firewall',
        'updateCommit',
        input
    );
}

// subscribe to custom the onServiceStatusUpdate event
service_update_event.subscribe(iw_ports_save.serviceStatusHandler);
iw_payload_widget('port_access-shell').refreshCompleteEvent.subscribe(iw_ports_save.serviceStatusHandler);

var confirm_params = {
    selectobj:   document.getElementById('ports_select'),
    checkname:   'ports[]',
    boxtext:     '##LG_SELECTED_FIREWALL_RULES##',
    confirmtext: '##LG_CONFIRM_ACTION##',
    emptytext:   '##LG_NOTHING_SELECTED##',
    xhrrequest:  iw_ports_save
};

/*global confirmSubmitCheckbox */
YAHOO.util.Event.on(
    confirm_params.selectobj,
    'change',
    confirmSubmitCheckbox,
    confirm_params
);

window.onload = function () {
    YAHOO.util.Event.delegate('port_access-shell', 'click', togglePort, '.iw-status');
};
