/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global YAHOO iw_lib iw_xhr*/
var iw_start_mass_transfer_handler = {
    responder: 'MassTransfer',
    repeatEvery: 3000,

    handle504: function ( r ) {
        return;
    },

    handle201: function ( r ) {
        var data = r.getReplyData(),
        all_finished = true,
        array_length = data.length,
        i,
        file,
        status_el,
        message_el,
        check_el,
        spinner_el,
        new_status,
        the_class;

        for (i = 0; i < array_length; i++) {
            file       = data[i].file;
            status_el  = document.getElementById(file + "__status");
            message_el = document.getElementById(file + "__message");
            check_el   = document.getElementById(file + "__check");
            spinner_el = document.getElementById(file + "__spinner");

          /*
           * This exists because the responder reads all files in the directory
           * and returns them, so there could be files in there which are read in
           * but not displayed in the log.  Normally this wouldn't happen but
           * we need to make this code resistant to people messing with the
           * iworx-transfer-progress directory.
           */
            if ( ( status_el && message_el && check_el && spinner_el ) === null ) {
                continue;
            }

            message_el.innerHTML = data[i].message;

            new_status = null;
            the_class  = null;

            switch ( data[i].i_status ) {
                case'pending':
                    new_status   = '##LG_PENDING##';
                    all_finished = all_finished && false;
                    the_class    = 'iw-negative';
                break;

                case 'failure':
                    new_status   = '##LG_FAILURE##';
                    all_finished = all_finished && true;
                    the_class    = 'iw-negative';
                break;

                case 'inprogress':
                    new_status   = '##LG_INPROGRESS##';
                    all_finished = all_finished && false;
                    the_class    = 'iw-neutral';
                break;

                case 'success':
                    new_status   = '##LG_SUCCESS##';
                    the_class    = 'iw-positive';
                    all_finished = all_finished && true;
                break;
            }//end switch

            if ( new_status === '##LG_INPROGRESS##' && check_el.disabled === true ) {
                iw_lib.updateIWIcon(spinner_el, 'iw-i-pending');
            } else {
                iw_lib.updateIWIcon(spinner_el, 'iw-i-clear');
            }

            if ( new_status === '##LG_SUCCESS##' ) {
                YAHOO.util.Dom.setStyle(check_el, 'display', 'inline');
                check_el.disabled = false;
            }

            if ( new_status === '##LG_FAILURE##' ) {
                YAHOO.util.Dom.setStyle(check_el, 'display', 'inline');
                check_el.disabled = false;
            }

            YAHOO.util.Dom.setStyle(message_el, 'display', 'block');

            iw_lib.updateIWMessage({el: status_el,
                new_class: the_class,
                message: new_status});
        }//end for loop

        if ( all_finished === false ) {
            setTimeout(this.execute, this.repeatEvery);
        }
    },

    execute: function () {
        iw_xhr.getReply(iw_start_mass_transfer_handler);
    }
};

YAHOO.util.Event.onDOMReady(iw_start_mass_transfer_handler.execute);