/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global YAHOO iw_lib iw_service_running_handler */

var iw_box_toggle = {

  /**
   * restores previous open/closed status for iw-box bd sections
   */
    init: function () {
        var toggle_spans = YAHOO.util.Dom.getElementsByClassName('iw-toggle', 'span'),
        toggle_length = toggle_spans.length,
        span_parent,
        icon,
        i,
        box;

        for (i = 0; i < toggle_length; ++i) {
            span_parent = YAHOO.util.Dom.getAncestorByTagName(toggle_spans[ i ], 'div');
            box = YAHOO.util.Dom.getAncestorByTagName(span_parent, 'div');
            icon = YAHOO.util.Dom.getFirstChild(toggle_spans[ i ]);

            if ( YAHOO.util.Cookie.get(icon.id, Number) === 1 ) {
                iw_box_toggle.open(box, icon);
            } else {
                iw_box_toggle.close(box, icon);
            }
        }
    },

  /**
   * toggles a iw-box bd section open/closed
   */
    toggle: function ( e ) {
        var icon = YAHOO.util.Event.getTarget(e),
        header = YAHOO.util.Dom.getAncestorByTagName(icon, 'div'),
        box = YAHOO.util.Dom.getAncestorByTagName(header, 'div'),
        body = YAHOO.util.Dom.getNextSibling(header);

        if ( iw_box_toggle.isOpen(box, YAHOO.util.Dom) ) {
            iw_box_toggle.close(box, icon);
        } else {
            iw_box_toggle.open(box, icon);
        }
    },

  /**
   * true if a iw-box bd section is visible
   */
    isOpen: function ( box, Dom ) {
        if ( Dom.hasClass(box, 'iw-closed') ) {
            return false;
        } else {
            return true;
        }
    },

  /**
   * closes / hides a iw-box bd section
   */
    close: function ( box, icon ) {
        YAHOO.util.Cookie.set(icon.id, 0, {
            path: "/",
            expires: new Date("January 12, 2025")
        });
        YAHOO.util.Dom.addClass(box, "iw-closed");
        icon.title = '##LG_OPEN##';
        iw_lib.updateIWIcon(icon, 'iw-i-plus');
    },

  /**
   * open / displays a iw-box bd section
   */
    open: function ( box, icon ) {
        YAHOO.util.Cookie.set(icon.id, 1, {
            path: "/",
            expires: new Date("January 12, 2025")
        });
        YAHOO.util.Dom.removeClass(box, "iw-closed");
        icon.title = '##LG_CLOSE##';
        iw_lib.updateIWIcon(icon, 'iw-i-minus');

        iw_box_toggle.refreshContent(YAHOO.util.Dom.getElementsByClassName('bd', 'div', box)[0]);

    },

  /**
   * when a iw-box bd section is opened, this function looks for
   * services or pending images to trigger
   */
    refreshContent: function ( body ) {
        var services = YAHOO.util.Dom.getElementsByClassName('iw-service', 'div', body),
        services_length = services.length,
        images = YAHOO.util.Dom.getElementsBy(function () {
            return true; }, 'img', body),
        images_length = images.length,
        i;

        for (i = 0; i < services_length; i++) {
            if ( YAHOO.util.Dom.hasClass(services[ i ], 'iw-disabled') ) {
                iw_service_running_handler.execute(services[ i ]);
            }
        }

        for (i = 0; i < images_length; i++) {
            if ( images[ i ].getAttribute("data-src") ) {
                images[ i ].src = images[ i ].getAttribute("data-src");
                images[ i ].style.opacity="1"
            }
        }
    }
};

YAHOO.util.Event.onAvailable('iw-menu', iw_box_toggle.init);

YAHOO.util.Event.on(
    YAHOO.util.Dom.getElementsByClassName('iw-toggle', 'span'),
    'click',
    iw_box_toggle.toggle
);