<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage API
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Nov 30, 2008
 */

/**
 * Routes SOAP-API requests to the right place.
 *
 * @package    InterWorx
 * @subpackage API
 */
class IWorx_API_SoapController extends IWorx_API_Controller
{

    /**
     * Route the API request to the right place.
     *
     * Overwridding parent:: just to change the docblock so zend soap server
     * is happy. !
     *
     * @param mixed  $apikey
     * @param string $ctrl_name
     * @param string $action
     * @param object $input
     * @return array
     */
    public function route($apikey, $ctrl_name, $action, $input)
    {
        if (is_object($apikey)) {
            $apikey = $this->_objectToArray($apikey);
        }
        if (is_object($input)) {
            $input = $this->_objectToArray($input);
        }

        return parent::route($apikey, $ctrl_name, $action, $input);
    }

    /**
     * Converts an object to an array recursively.
     *
     * Doing this because nusoap library is a giant ugly piece of shit, and
     * this makes it work, even though it is gross.
     *
     * @param object $object
     * @return array
     */
    private function _objectToArray($object)
    {
        if (!is_object($object) && !is_array($object)) {
            return $object;
        }
        if (is_object($object)) {
            $object = get_object_vars($object);
        }
        return array_map(array( $this, '_objectToArray' ), $object);
    }
}
