#!/usr/bin/perl
# ==================================================================
# File manager - enhanced web based file management system
#
#   Website  : http://gossamer-threads.com/
#   Support  : http://gossamer-threads.com/scripts/support/
#   Revision : $Id$
# 
# Copyright (c) 2001 Gossamer Threads Inc.  All Rights Reserved.
# Redistribution in part or in whole strictly prohibited. Please
# see LICENSE file for full details.
# ==================================================================

    use lib '/usr/local/interworx/lib/fileman/private/lib';
    use strict;
    use GT::Base qw/:all/;
    use GT::CGI;
    use GT::FileMan;
    use vars qw/$CONFIG_PATH/;
    $| = 1;
    local $SIG{__DIE__}   = \&GT::FileMan::fatal;

    $CONFIG_PATH = '/home/interworx/lib/fileman/private/fileman.conf';
    
    main();

sub main () {
#-------------------------------------------------------------------
    my $uid = $<;

# Make sure it's a valid userid.
    my ($user,$passwd,$uid,$gid,$quota,$comment,$gcos,$dir,$shell,$expire) = getpwuid($uid);
    if (! defined $user) {
        die sprintf ($GT::FileMan::Commands::LANGUAGE{COBALT_NOUSER}, $uid);
    }
# Can't run as uid < 500.
    if ($uid < 500) {
        die sprintf ($GT::FileMan::Commands::LANGUAGE{COBALT_BADUID}, $user, $uid);
    }
# Set root dir
    my ($root_dir) = $ARGV[0];
    if (! $root_dir or ! -d $root_dir) {
        die sprintf ($GT::FileMan::Commands::LANGUAGE{COBALT_BADDIR}, $dir);
    }

# Turn off template cache as it can't be used due to permissions.
    local $GT::Template::ATTRIBS->{dont_save} = 1;

# Set our tmp directory.
    $ENV{GT_TMPDIR} = '/tmp';

# Create our FileMan object, you can enable disable commands here.
    my $fm = GT::FileMan->new ( 
                    cfg => {
                                template_root    => '/usr/local/interworx/lib/fileman/private/templates',
                                html_root_url    => '/siteworx/images/fileman',
                                root_dir         => $root_dir,
                                root_url         => '/',
                                passwd_dir_level => 0,
				                http_ref => '/siteworx/cgi-bin/fileman',
                                allowed_space => '0',
                                date => {
                                    display => '%dd%-%mmm%-%yy% %hh%:%MM%:%ss%',
                                    input => '%yyyy%-%mm%-%dd%'
                                },
                                debug => '0',
                                default => {
                                    upload_mode => '644'
                                },
                                filename_check => '1',
                                fversion => 'single',
                                path_to_perl => '/usr/bin/perl',
                                permission => {
                                    chmod => '1',
                                    command => '0',
                                    compress => '1',
                                    copy => '1',
                                    delete => '1',
                                    diff => '1',
                                    download => '1',
                                    edit => '1',
                                    makedir => '1',
                                    move => '1',
                                    newfile => '1',
                                    perl => '0',
                                    preferences => '1',
                                    protect => '1',
                                    rename => '1',
                                    replace => '1',
                                    search => '1',
                                    symlink => '1',
                                    tail => '1',
                                    upload => '1'
                                },
                                session => {
                                    cookie => 'session_fileman',
                                    expiry => '3'
                                },
                                template => 'iworx',
                                version => '3.0.0'
                    },
    );

# Now run the script
    $fm->process();

}
