#!/bin/sh

AWK=/usr/bin/awk

if [[ "$1" == "success" ]]; then
  type='^d k'
elif [[ "$1" == "deferral" ]]; then
  type='^d z'
elif [[ "$1" == "failure" ]]; then
  type='^d d'
elif [[ "$1" == "all" ]]; then
  type='(^d k)|(^d z)|(^d d)'
fi

$AWK -v type=$1 '$0~/'"$type"'/ {
  uid    = $10
  sender = $7
  recip  = $8
  reason = $11
  stamp  = $4

  if( uid == "?" ) {
     user = "?"
  } else if( usermap[uid] == "" ) {
     command = "getent passwd "uid" | cut -d: -f1 "
     command | getline user
     close(command)
  }

  x     = index( recip, "." )
  dest  = substr( recip, 0, x-1 )
  recip = substr( recip, x+1 )

  x     = index( stamp, "." )
  stamp = substr( stamp, 0, x-1 )

  format  = "\"+%Y-%m-%d %H:%M:%S\""
  command = "date -d @"stamp" "format
  command | getline stamp
  close(command)

  if( type == "all" ) {
    if( $2 == "k" ) {
      result = "success"
    } else if( $2 == "z" ) {
      result = "deferral"
    } else if( $2 == "d" ) {
      result = "failure"
    } else {
      result = "unknown"
    }
    print stamp,sender,user,dest,recip,result,reason
  } else {
    print stamp,sender,user,dest,recip,reason
  }
}
'
