#!/bin/sh

##
# Show usage and exit.
##
function usage () {
  echo $DESCRIPTION
  echo -n "Usage:" `basename $0`" "
  opts=""
  for header in $headers; do
    opts="$opts|${header}"
  done
  opts=${opts:1}
  echo "[$opts]"
  echo
  exit 1
}

##
# Get the column to sort by, if specified.
##
function get_sort () {
  if [[ "$1" != "" ]]; then
    if [[ "$1" == "--help" || "$1" == "-h" ]]; then
      usage
    fi
    ok="0"
    i=1
    for header in $headers; do
      if [[ "$header" == "$1" ]]; then
        sortcol=$i
        ok="1"
        break
      fi
      ((++i))
    done
    if [[ "$ok" == "0" ]]; then
      usage
    fi
  fi
}
