#!/bin/sh

AWK=/usr/bin/awk

CHAN=$1
if [[ "$CHAN" != "remote" ]] && [[ "$CHAN" != "local" ]]; then
    CHAN="both"
fi

$AWK -v chan=$CHAN '
  /^d k/ {
    uid    = $10
    sender = $7
    recip  = $8

    if( uid == "?" ) {
       usermap[uid] = "?"
    } else if( usermap[uid] == "" ) {
       command = "getent passwd "uid" | cut -d: -f1 "
       command | getline usermap[uid]
       close(command)
    }

    x    = index( recip, "." )
    dest = substr( recip, 0, x-1 )

    if( chan == dest || chan == "both" ) {
       key = usermap[uid] "," sender
       data[key]   += 1
       bytes[key]  += $6
       xdelay[key] += $5 - $4
    }
  }

  END {

    for( key in data ) {

      x      = index( key, "," )
      user   = substr( key, 0, x-1 )
      sender = substr( key, x+1 )

      print data[key],bytes[key],user,sender
    }
  }
'