#!/bin/sh

AWK=/usr/bin/awk

if [[ "$1" == "success" ]]; then
  type='^d k'
elif [[ "$1" == "deferral" ]]; then
  type='^d z'
elif [[ "$1" == "failure" ]]; then
  type='^d d'
fi

$AWK '$0~/'"$type"'/ {
  uid    = $10
  sender = $7
  recip  = $8
  reason = $11

  if( uid == "?" ) {
     usermap[uid] = "?"
  } else if( usermap[uid] == "" ) {
     command = "getent passwd "uid" | cut -d: -f1 "
     command | getline usermap[uid]
     close(command)
  }

  key = usermap[uid] "," sender "," recip "," reason
  data[key]   += 1
  xdelay[key] += $5 - $4
}

END {

  for( key in data ) {

    x    = index( key, "," )
    user = substr( key, 0, x-1 )
    rest = substr( key, x+1 )

    x      = index( rest, "," )
    sender = substr( rest, 0, x-1 )
    rest   = substr( rest, x+1 )

    x      = index( rest, "," )
    recip  = substr( rest, 0, x-1 )
    reason = substr( rest, x+1 )

    x     = index( recip, "." )
    dest  = substr( recip, 0, x-1 )
    recip = substr( recip, x+1 )

    print data[key],sender,user,dest,recip,reason
  }
}'
