#!/bin/sh

AWK=/usr/bin/awk

if [[ "$1" == "success" ]]; then
  type='^d k'
elif [[ "$1" == "deferral" ]]; then
  type='^d z'
elif [[ "$1" == "failure" ]]; then
  type='^d d'
fi

$AWK '$0~/'"$type"'/ {
  recip  = $8
  reason = $11

  key = recip "," reason
  data[key]   += 1
  xdelay[key] += $5 - $4
}

END {

  for( key in data ) {
    x      = index( key, "," )
    recip  = substr( key, 0, x-1 )
    reason = substr( key, x+1 )

    x     = index( recip, "." )
    dest  = substr( recip, 0, x-1 )
    recip = substr( recip, x+1 )

    print data[key],dest,recip,reason

  }
}'