var Heliotrope = Heliotrope || {};

(function () {
    var Starfield = function (params) {
        var browser = YAHOO.env.ua;
        if (browser.ie > 0) {
            var requestAnimationFrame = function (f) {
                window.setTimeout(f,10); };
        } else {
            var requestAnimationFrame = window.mozRequestAnimationFrame ||
                                  window.webkitRequestAnimationFrame;
        }
        var startTime = window.mozAnimationStartTime ||
                    Date.now();

        this.resize = resize;
        this.start = start;
        this.draw = draw;
        this.Circle = Circle;

        var WIDTH = window.innerWidth;
        var HEIGHT = window.innerHeight;
        var canvas = params.canvas;
        var con;
        var g;
        var pxs = new Array();
        var rint = 60;
        var stars = 16;

        requestAnimationFrame(draw);
        function resize()
        {
            if (window.innerWidth < 800) {
                WIDTH = window.innerWidth;
            } else {
                WIDTH = 800;
            }
            if (window.innerHeight < 600) {
                HEIGHT = window.innerHeight;
            } else {
                HEIGHT = 600;
            }
            canvas.style.width = WIDTH+"px";
            canvas.style.height = HEIGHT+"px";
            canvas.style.top = ((window.innerHeight/2)-(HEIGHT/2))+"px";
            canvas.style.left = ((window.innerWidth/2)-(WIDTH/2))+"px";
            canvas.height = HEIGHT;
            canvas.width = WIDTH;
        };

        function start()
        {
            resize();
            con = canvas.getContext('2d');
            for (var i = 0; i < stars; i++) {
                pxs[i] = new Circle();
                pxs[i].reset();
            }
            draw();
        };

        function draw()
        {
            //calculate difference since last repaint
            var drawStart = Date.now(),
            diff = drawStart - startTime;
            if (diff > rint ) {
                canvas.height = canvas.height;
                for (var i = 0; i < stars; i++) {
                    pxs[i].fade();
                    pxs[i].move();
                    pxs[i].draw();
                }
                //reset startTime to this repaint
                startTime = drawStart;
            }
            //draw again
            requestAnimationFrame(draw);
        };
        function Circle()
        {
            this.s = {ttl:10000, xmax:5, ymax:8, rmax:12, rt:1, xdef:400, ydef:200, xdrift:4, ydrift: 4, random:true, blink:true};

            this.reset = function () {
                this.x = (this.s.random ? WIDTH*Math.random() : this.s.xdef);
                this.y = (this.s.random ? HEIGHT*Math.random() : this.s.ydef);
                this.r = ((this.s.rmax-1)*Math.random()) + 1;
                this.dx = (Math.random()*this.s.xmax) * (Math.random() < .5 ? -1 : 1);
                this.dy = (Math.random()*this.s.ymax) * (Math.random() < .5 ? -1 : 1);
                this.hl = (this.s.ttl/rint)*(this.r/this.s.rmax);
                this.rt = Math.random()*this.hl;
                this.s.rt = Math.random()+1;
                this.stop = Math.random()*.2+.4;
                this.s.xdrift *= Math.random() * (Math.random() < .5 ? -1 : 1);
                this.s.ydrift *= Math.random() * (Math.random() < .5 ? -1 : 1);
            }

            this.fade = function () {
                this.rt += this.s.rt;
            }

            this.draw = function () {
                if (this.s.blink && (this.rt <= 0 || this.rt >= this.hl)) {
                    this.s.rt = this.s.rt*-1;
                } else if (this.rt >= this.hl) {
                    this.reset();
                }
                var newo = 1-(this.rt/this.hl);
                con.beginPath();
                con.arc(this.x,this.y,this.r,0,Math.PI*2,true);
                con.closePath();
                var cr = this.r*newo;
                g = con.createRadialGradient(this.x,this.y,0,this.x,this.y,(cr <= 0 ? 1 : cr));
                g.addColorStop(0.0, 'rgba(255,255,255,'+newo+')');
                g.addColorStop(this.stop, 'rgba(195, 168, 255,'+(newo*.3)+')');
                g.addColorStop(1.0, 'rgba(195, 168, 255,0)');
                con.fillStyle = g;
                con.fill();
            }

            this.move = function () {
                this.x += (this.rt/this.hl)*this.dx;
                this.y += (this.rt/this.hl)*this.dy;
                if (this.x > WIDTH || this.x < 0) {
                    this.dx *= -1;
                }
                if (this.y > HEIGHT || this.y < 0) {
                    this.dy *= -1;
                }
            }

            this.getX = function () {
                return this.x; }
            this.getY = function () {
                return this.y; }
        };
    };

    Heliotrope.Starfield = Starfield;

})();
