  {counter start=1 print=false}
  {iw_message mode='neutral' text='##LG_CLUSTERING_OVERVIEW##' class='iw-headline'}

  {if $iw_node.ismanager}
    {iw_message text='##LG_NODE_IS_MANAGER##' mode='positive' class='iw-headline'}
  {elseif $iw_node.isrealserver}
    {iw_message text='##LG_NODE_IS_REALSERVER##' mode='positive' class='iw-headline'}
  {/if}
  {if $iw_node.ismanager && $iw_is_ipv6_cluster eq false && $iw_can_ipv6_cluster}
    <h1>{$iw_payload->getTitle()}</h1>

    <div class="iw-form-desc-row iw-box">
      <p>
        ##LG_CLUSTER_IPV6_SETUP_DESC##
      </p>
    </div>

    {iw_payload payload=$iw_payload}
  {/if}

<div class="yui-b">
  <div class="yui-u first iw-no-collapse">
        <h1>##LG_SETUP_CLUSTER_MANAGER##</h1>

        <form method="get"
              action="{$iw_self}"
              name="manager">
        <table class="iw-table iw-w-full">
          <tr>
            <td>
              ##LG_STATUS##:
            </td>
            <td>
              {if $iw_node.isdirector || $iw_node.ismanager || $iw_node.isrealserver}
                {iw_status text='##LG_ALREADY_CLUSTERED##' mode='neutral'}
              {else}
                {iw_status text='##LG_AVAILABLE##' mode='positive'}
              {/if}
            </td>
          </tr>
          <tr>
            <td>
              ##LG_PURPOSE##:
            </td>
            <td>
              ##LG_CLUSTER_MANAGER_PURPOSE##
            </td>
          </tr>
          <tr>
            <td>
              ##LG_ROLES##:
            </td>
            <td>
              <ul style="padding-left: 15px">
                <li>##LG_LOAD_BALANCER##</li>
                <li>##LG_SHARED_STORAGE_SERVER##</li>
                <li>##LG_SITEWORX_ACCOUNT_MANAGER##</li>
                <li>##LG_IP_MANAGER##</li>
                <li>##LG_CLUSTERED_SERVER##</li>
                <li>##LG_DATABASE_SERVER##</li>
              </ul>
            </td>
          </tr>
          <tr>
            <td>
              ##LG_PREREQUISITES##:
            </td>
            <td>
              <ul style="padding-left: 15px">
                <li>##LG_TWO_IPS##</li>
                <li>##LG_LARGE_DISK##</li>
                <li>##LG_ONE_OR_MORE_REALSERVERS##</li>
              </ul>
            </td>
          </tr>

          {if !$iw_node.isclustered || $iw_node.ismanager}
          <tr class="iw-table-ft">
            <td colspan="2">

            {if $iw_node.isdirector  ||
                $iw_node.ismanager}
              <input type="hidden" name="action" value="manager_unsetup">
              <input type="submit"
                     value="##LG_UNSETUP##"
                     {if count( $iw_nodes ) != 0}
                       disabled
                     {/if}
                     tabindex="{counter}"
                     class="button">

            {else}
              <input type="hidden" name="action" value="manager_setup">
              <input type="submit"
                     value="##LG_SETUP##"
                     tabindex="{counter}"
                     class="button">
            {/if}

            </td>
          </tr>
          {/if}
        </table>
        </form>

  </div>
  <div class="yui-u iw-no-collapse">

        <h1>##LG_SETUP_CLUSTERED_SERVER##</h1>

        <form method="get"
              action="{$iw_self}"
              name="realserver">
        <input type="hidden" name="action" value="realserver_setup">
        <table class="iw-table iw-w-full">
          <tr>
            <td>
              ##LG_STATUS##:
            </td>
            <td>
              {if $iw_node.isdirector  ||
                  $iw_node.ismanager   ||
                  $iw_node.isrealserver}
                {iw_status text='##LG_ALREADY_CLUSTERED##' mode='neutral'}
              {else}
                {iw_status text='##LG_AVAILABLE##' mode='positive'}
              {/if}
            </td>
          </tr>
          <tr>
            <td>
              ##LG_PURPOSE##:
            </td>
            <td>
              ##LG_CLUSTER_NODE_PURPOSE##
            </td>
          </tr>
          <tr>
            <td>
              ##LG_ROLES##:
            </td>
            <td>
              <ul style="padding-left: 15px">
                <li>##LG_CLUSTERED_SERVER##</li>
              </ul>
            </td>
          </tr>
          <tr>
            <td>
              ##LG_PREREQUISITES##:
            </td>
            <td>
              <ul style="padding-left: 15px">
                <li>##LG_ONE_IP_ADDRESS##</li>
              </ul>
            </td>
          </tr>

          {if !$iw_node.isclustered}
            <tr class="iw-table-ft">
              <td colspan="2">
                <input type="submit"
                       value="##LG_SETUP##"
                       tabindex="{counter}"
                       class="button">
              </td>
            </tr>
          {/if}
        </table>
        </form>
  </div>
</div>
