{iw_add_js file="/static/$iw_lang/$iw_rpm_release/nodeworx/js/iw_service.js"}
{iw_add_js file="/static/$iw_lang/$iw_rpm_release/nodeworx/js/iw_cluster_lb.js"}
{* for tabindex *}
{counter start=1 print=false}
{iw_form form=$iw_form.iw_ext_lb_form}
<div class="iw-box">
  <div class="hd">
    ##LG_LOAD_BALANCER_CONTROL##
    {iw_quickhelp id="LG_QH_LOADBALANCERCONTROL"}
  </div>
  <div class="bd">
    <table class="iw-w-full">
      <tr class="{cycle}">
        <td class="iw-graph-bg iw-w-xs">
          {iw_build_graph mode="nodeworx"
          size="thumb"
          title="Connections"
          service="lb"
          snapshot="daily"
          graph="connections"
          href="/nodeworx/rrd?action=historyCommit&amp;service=lb&amp;graph=connections"
          is_preview=true
          is_toggle=false }
        </td>
        <td style="vertical-align:bottom;">
          <table class="iw-table">
            <tr>
             <td class="iw-col1">
              ##LG_VERSION##:
              {iw_quickhelp id="LG_QH_LBVERSION"}
              </td>
              <td>
              {$iw_lb.version} ({$iw_lb.name})
            </td>
          </tr>
            <tr class="{cycle}">
              <td class="iw-col1">
              ##LG_STATUS##:
              </td>
              <td>
              {iw_service_status_verbose ctrl="/nodeworx/cluster/lb"}
            </td>
          </tr>
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_ACTION##:
            </td>
            <td>
              {iw_service_control ctrl="/nodeworx/cluster/lb"}
            </td>
          </tr>
        </table>
          {iw_form form=$iw_form.startOnBoot}
        </td>
    </tr>
    <tr colspan="2">
      <td>
        {if isset( $iw_form.settings ) }
          {iw_form form=$iw_form.settings}
        {/if}
      </td>
   </tr>
  </table>
</div>
</div>

{if count( $iw_nodes ) == 0}

{iw_message id='iw-no-nodes' text='##LG_NO_NODES_IN_CLUSTER##' mode='neutral'}

{else}

<form
      action="{$iw_self}"
      method="post"
      name="services">

<div class="iw-w-full">
  <div class="iw-fake-table-hd">
    ##LG_LOAD_BALANCED_SERVICES##
    {iw_quickhelp id="LG_QH_LOADBALANCERCONTROL"}
    {iw_link_handled action="addService" text="##LG_ADD_SERVICE##"}
    {if count( $iw_lb.services ) gt 0}
      {iw_link href="#"
         extra_attributes= "onClick=\"setCheckboxes('services','services[]',true);return false;\"" text ='##LG_CHECKALL##'}

      {iw_link href="#"
        extra_attributes="onClick=\"setCheckboxes('services','services[]',false);return false;\"" text='##LG_CHECKNONE##'}
      <input type="hidden" name="action" value="deleteService">
      <input type="submit" value="##LG_DELETE_SELECTED_SERVICES##">
    {/if}
  </div>

<div id="iw-services-form">
  {foreach item=service from=$iw_lb.services}

  <div class="iw-box">
    <div class="hd">
      {if $service.info.protocol == "FWM"}
                    <input type="checkbox"
                           name="services[]"
                           tabindex="{counter}"
                           value="fwmark:{$service.info.vip}"
                           id="fwmark:{$service.info.vip}">
                    <label for="fwmark:{$service.info.vip}">
                    ##LG_SERVICE##: fwmark {$service.info.vip}
                    </label>
                    {assign var="vip" value=$service.info.vip}
                    {iw_link_handled action="editService" text="##LG_EDIT##" query_string="service=fwmark:$vip"}
      {else}
                    <input type="checkbox"
                           name="services[]"
                           tabindex="{counter}"
                           value="{$service.info.vip|iw_format_ip}:{$service.info.port}"
                           id="{$service.info.vip}:{$service.info.port}">
                    <label for="{$service.info.vip}:{$service.info.port}">
                    ##LG_SERVICE##: {$service.info.vip} {$service.info.pport} [{$service.info.port}]
                    </label>
                    {assign var="vip" value=$service.info.vip|iw_format_ip}
                    {assign var="port" value=$service.info.port}
                    {iw_link_handled action="editService" text="##LG_EDIT##" query_string="service=$vip:$port"}
      {/if}

    </div>
    <div class="bd">
      <table class="iw-w-full">
        <tr>
          <td class="iw-td-half">
            <table class="iw-table">
              <tr class="iw-table-hd">
                <td class="left" colspan="4"> ##LG_DETAILS##</td>
              </tr>
              <tr class="{cycle}">
                <td>##LG_SERVICE##: </td>
                {if $service.info.protocol == "FWM"}
                  <td>fwmark {$service.info.vip}</td>
                {else}
                  <td>{$service.info.pport}</td>
                {/if}
                <td class="iw-left-border">##LG_POLICY##: </td>
                <td>{$service.info.ppolicy}</td>
              </tr>
              <tr class="{cycle}">
                <td>##LG_PORT##: </td>
                {if $service.info.protocol == "FWM"}
                  <td>##LG_NOT_APPLICABLE##</td>
                {else}
                  <td>{$service.info.port}</td>
                {/if}
                <td class="iw-left-border"> ##LG_PERSISTENT##: </td>
                <td>
                  {if $service.info.persistent gt 0}
                    {$service.info.persistent} ##LG_SECONDS##
                  {else}
                    ##LG_NO_PERSISTENCE##
                  {/if}
                </td>
              </tr>
              <tr class="{cycle}">
                <td>##LG_VIRTUAL_IP##: </td>
                <td>{$service.info.vip}</td>
                <td class="iw-left-border">&nbsp;</td>
                <td>&nbsp;</td>
              </tr>
            </table>
          </td>
          <td class="iw-td-half">
            <table class="iw-table">
              <tr class="iw-table-hd">
                <td class="left">##LG_IPADDRESS##</td>
                <td>##LG_FORWARD##</td>
                <td>##LG_WEIGHT##</td>
                <td>##LG_ACTIVE_CONNECTIONS##</td>
                <td>##LG_STATUS##</td>
              </tr>
            {foreach item=node from=$service.realservers}
              <tr class="{cycle}">
                <td>{$node.vip}</td>
                <td class="center">
                  {if $service.info.protocol == "FWM"}
                    <span id="fwmark:{$service.info.vip}:{$node.vip}:{$node.port}:forward">
                  {else}
                    <span id="{$service.info.vip}:{$service.info.port}:{$node.vip}:{$node.port}:forward">
                  {/if}
                    {$node.forward}
                  </span>
                </td>
                <td class="center">
                  {if $service.info.protocol == "FWM"}
                    <span id="fwmark:{$service.info.vip}:{$node.vip}:{$node.port}:weight">
                  {else}
                    <span id="{$service.info.vip}:{$service.info.port}:{$node.vip}:{$node.port}:weight">
                  {/if}
                    {$node.weight}
                  </span>
                </td>
                <td class="center">
                  {if $service.info.protocol == "FWM"}
                    <span id="fwmark:{$service.info.vip}:{$node.vip}:{$node.port}:conn">
                  {else}
                    <span id="{$service.info.vip}:{$service.info.port}:{$node.vip}:{$node.port}:conn">
                  {/if}
                    {$node.active}
                  </span>
                </td>
                <td>
                  {if $node.weight eq 0}
                    {if $service.info.protocol == "FWM"}
                      <div id="fwmark:{$service.info.vip}:{$node.vip}:{$node.port}"
                    {else}
                      <div id="{$service.info.vip}:{$service.info.port}:{$node.vip}:{$node.port}"
                    {/if}
                           class="iw-negative">
                      <div class="iw-status iw-box">
                        <div>
                         {if $service.info.protocol == "FWM"}
                            <div id="fwmark:{$service.info.vip}:{$node.vip}:{$node.port}:text">
                         {else}
                            <div id="{$service.info.vip}:{$service.info.port}:{$node.vip}:{$node.port}:text">
                         {/if}
                            ##LG_DISABLED##
                          </div>
                        </div>
                      </div>
                    </div>
                  {else}
                    {if $service.info.protocol == "FWM"}
                      <div id="fwmark:{$service.info.vip}:{$node.vip}:{$node.port}"
                    {else}
                      <div id="{$service.info.vip}:{$service.info.port}:{$node.vip}:{$node.port}"
                    {/if}
                           class="iw-positive">
                    <div class="iw-status iw-box">
                      <div>
                        {if $service.info.protocol == "FWM"}
                          <div id="fwmark:{$service.info.vip}:{$node.vip}:{$node.port}:text">
                        {else}
                          <div id="{$service.info.vip}:{$service.info.port}:{$node.vip}:{$node.port}:text">
                        {/if}
                          ##LG_ENABLED##
                        </div>
                      </div>
                    </div>
                  </div>
                  {/if}
                </td>
              </tr>
            {/foreach}
            </table>
          </td>
        </tr>
      </table>
    </div>
  </div>
  {/foreach}
  </div>

  </form>
</div>
{/if}
