{assign var='iw_message_success' value='#iw-messages .iw-positive .iw-box - This is a success message'}
{assign var='iw_messages' value='#iw-messages .iw-neutral .iw-box - This is a neutral message'}
{assign var='iw_message_error' value='#iw-messages .iw-negative .iw-box - This is a negative message'}

<h1>CSS Test File</h1>

<p>This file contains a lot of elements commonly used in InterWorx to help with
styling choices in the development of new themes. This page includes all
CSS pages as a real live InterWorx page would.</p>

<p>These first two paragraphs will show what the default text in the
theme will look like.</p>

<h1>This is an H1 element</h1>
<h2>This is an H2 element</h2>
<h3>This is an H3 element</h3>
<h4>This is an H4 element</h4>

<div class="iw-alert">.iw-alert</div>
<div class="iw-positive">.iw-positive</div>
<div class="iw-neutral">.iw-neutral</div>
<div class="iw-negative">.iw-negative</div>

{iw_message text=".iw-alert .iw-box" mode="alert"}

{iw_message text=".iw-positive .iw-box" mode="positive"}

{iw_message text=".iw-neutral .iw-box" mode="neutral"}

{iw_message text=".iw-negative .iw-box" mode="negative"}

{iw_message text="Message boxes can also have extra classes on them.  This one has .center"
            mode="positive"
            class="center"}

{iw_message text="This one has .right"
            mode="neutral"
            class="right"}

<div class="iw-fake-table-hd">
  {iw_link href='#' text='Example Link 1'}
  {iw_link href='#' text='Example Link 2'}
</div>
<table class="iw-table iw-w-full">
  <tr class="iw-table-hd">
    <td colspan="3">.iw-table .iw-table-hd</td>
  </tr>
  <tr class="iw-table-hd">
    <td>Column 1 Heading</td>
    <td>Column 2 Heading</td>
    <td>Column 3 Heading</td>
  </tr>
  <tr class="iw-table-input">
    <td>.iw-table-input is used on table rows that have inputs in them. <br>
    This will almost always be at the top of a table, usually below a header row.</td>
    <td><input type="text" value="input element"></td>
    <td><input type="button" value=".button" class="button"></td>
  </tr>
  <tr class="row1 ruler">
    <td>.iw-table .row1 .ruler</td>
    <td>
    {iw_status text='.iw-status.iw-positive<br>
                      <a href="#">.iw-status.iw-positive a</a>'
                mode="positive"}
    </td>
    <td>
      {iw_status_block mode='negative'}
       <select name='select1'>
         <option>Option 1</option>
         <option>Option 2</option>
         <option>Option 3</option>
       </select>
      {/iw_status_block}
    </td>
  </tr>
  <tr class="row2 ruler">
    <td>.iw-table .row2 .ruler</td>
    <td>
    {iw_status text='.iw-status.iw-neutral<br>
                      <a href="#">.iw-status.iw-neutral a</a>'
                mode="neutral"}
    </td>
    <td>
      {iw_status_block mode='positive'}
       <select name='select2'>
         <option>Option 1</option>
         <option>Option 2</option>
         <option>Option 3</option>
       </select>
      {/iw_status_block}
    </td>
  </tr>
  <tr class="row1 ruler">
    <td>.row1 and .row2 are used in tables to help keep your place.<br>
        .ruler is used in the InterWorx themes to allow highlighting of the row
        the mouse is currently over.
    </td>
    <td>
    {iw_status text='.iw-status.iw-negative<br>
                      <a href="#">.iw-status.iw-negative a</a>'
                mode="negative"}
    </td>
    <td>
      {iw_status_block mode='neutral'}
       <select name='select3'>
         <option>Option 1</option>
         <option>Option 2</option>
         <option>Option 3</option>
       </select>
      {/iw_status_block}
    </td>
  </tr>
  <tr class="iw-table-ft">
    <td>.iw-table .iw-table-ft</td>
    <td></td>
    <td></td>
  </tr>
</table>


<div class="iw-box">
<div class="hd"><span>.iw-box .hd</span></div>
<div class="bd">.iw-box .bd

<p>This is the body of an iw-box class. This class is used most
noticibly on the page displayed on initial login.</p>

</div>
<div class="ft">.iw-box .ft</div>
</div>

<table class="iw-table">
  <tr class="iw-table-hd">
    <td>Tables can also be nested inside other tables.</td>
  </tr>
  <tr>
    <td>
      <table class="iw-table">
        <tr class="iw-table-hd">
          <td>.iw-table .iw-table .iw-table-hd td</td>
          <td>Header 2</td>
          <td>Header 3</td>
          <td>Header 4</td>
        </tr>
        <tr>
          <td>Row 1</td>
          <td>Row 2</td>
          <td>Row 3</td>
          <td>Row 4</td>
        </tr>
        <tr>
          <td>Row 1</td>
          <td>Row 2</td>
          <td>Row 3</td>
          <td>Row 4</td>
        </tr>
        <tr>
          <td>Row 1</td>
          <td>Row 2</td>
          <td>Row 3</td>
          <td>Row 4</td>
        </tr>
        <tr>
          <td>Row 1</td>
          <td>Row 2</td>
          <td>Row 3</td>
          <td>Row 4</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr class="row2">
    <td>
      <table class="iw-table">
        <tr class="iw-table-hd">
          <td>.iw-table .row2 .iw-table .iw-table-hd td</td>
          <td>Header 2</td>
          <td>Header 3</td>
          <td>Header 4</td>
        </tr>
        <tr>
          <td>Tables inside rows can be specifically styled.</td>
          <td>Row 2</td>
          <td>Row 3</td>
          <td>Row 4</td>
        </tr>
        <tr>
          <td>Row 1</td>
          <td>Row 2</td>
          <td>Row 3</td>
          <td>Row 4</td>
        </tr>
        <tr>
          <td>Row 1</td>
          <td>Row 2</td>
          <td>Row 3</td>
          <td>Row 4</td>
        </tr>
        <tr>
          <td>Row 1</td>
          <td>Row 2</td>
          <td>Row 3</td>
          <td>Row 4</td>
        </tr>
      </table>
    </td>
  </tr>
</table>


<ul>
  <li>Here's an unordered list</li>
  <li>And a second li
    <ul>
      <li>With a nested list inside it</li>
      <li>In the InterWorx Control Panel, there aren't any nested lists, at least
      as of version 3.1.0, so there are no specific styles for them.</li>
    </ul>
  </li>
  <li>That sentance structure was terrible.</li>
</ul>
