<script src="/js/iw_upgrade7.js" type="module" defer></script>

{literal}
<style type="text/css">
  .system-status-header {
    margin-top: 25px;
  }


  #upgrade-in-progress-container {
    border: solid;
    border-radius: 5px;
    margin: auto;
    max-width: 500px;
  }

  #upgrade-in-progress-container .progress-top {
    background-color: lightgray;
    border-bottom: solid;
    text-align: center;
    font-weight: bold;
    margin: auto;
    padding: 15px;
  }

  #upgrade-in-progress-container .progress-content {
    padding: 25px;
  }

  #run-upgrade {
    position: relative;
  }

  #run-upgrade-btn {
    padding: 5px;
  }

  #run-upgrade-btn:disabled:hover+#run-upgrade-message {
    display: block;
    opacity: 1;
  }

  #run-upgrade-message {
    display: none;
    position: absolute;

    width: 120px;
    background-color: #777;
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;

    bottom: 125%;
    left: 50%;
    margin-left: -60px;

    opacity: 0;
    transition: opacity 0.3s;
  }


  .upgrade-progress-item {
    text-decoration: none !important;
    list-style: inside;
    margin-bottom: 25px;
  }

  .list-spinner {
    list-style-image: url('/img/spinner.gif') !important;
  }

  .td-message {
    max-width: 350px;
    overflow: auto;
  }

  .iw-table td {
    min-width: 75px;
  }

  .space-top-bottom {
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .vertical-align {
    display: inline-block;
  }

  .flex-space-children {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
</style>
{/literal}

<div id="upgrade-major-version-container">

  <div class="invisible" id="upgrade-in-progress-container">
    <div class="progress-top">
      ##LG_UPGRADE_IN_PROGRESS_HEADER##
    </div>

    <div class="progress-content">
      <p>##LG_UPGRADE_OK_TO_CLOSE## <code>{$upgrade_log}</code></p>

      <ul id="progress-list">
        <li class="invisible upgrade-progress-item" id="upgrade-started">##LG_UPGRADE_STARTED##<span></span></li>
        <li class="invisible upgrade-progress-item" id="upgrade-in-progress">##LG_UPGRADE_IN_PROGRESS##<span></span>
        </li>
        <li class="invisible upgrade-progress-item" id="upgrade-done">##LG_UPGRADE_DONE##<span></span></li>
      </ul>
    </div>

  </div>

  <div id="iw-payload-container">
    <h1>##LG_UPGRADE_HEADER##</h1>
    <div class="flex-space-children">
      <div class="vertical-align">
        <h1 class="system-status-header">##LG_UPGRADE_PREP_CHECK_HEADER##</h1>
        <p>##LG_UPGRADE_PREP_CHECK##</p>
      </div>
      <div id="run-upgrade" class="vertical-align">
        <button disabled id="run-upgrade-btn" class="vertical-align">##LG_UPGRADE_NOW##</button>
        <span id="run-upgrade-message">##LG_UPGRADE_CLEAR_ERRORS_TO_PROCEED##</span>
      </div>

    </div>

    {iw_payload payload=$iw_payload}

    <div id="iw-upgrade-optedin" class="invisible">
      ##LG_UPGRADE_OPTED_IN##

      <div class="space-top-bottom">
        ##LG_NOTICE##:
        <ul>
          <li>##LG_UPGRADE_ERRORS_PREVENT_UPGRADE##</li>
          <li>##LG_UPGRADE_MAINTENANCE_MODE##</li>
          <li>##LG_UPGRADE_CORE_SERVICE_RESTART##</li>
          <li>##LG_UPGRADE_APACHE_RESTART##</li>
          <li>##LG_UPGRADE_LOG_LOCATION## <code>{$upgrade_log}</code></li>
        </ul>
      </div>
    </div>

    <div id="iw-upgrade-optedout" class="invisible">
      ##LG_UPGRADE_OPTED_OUT##
    </div>

  </div>

</div>
