{*
 * InterWorx widget for displaying links.
 *
 * Available parameters:
 *
 * $link.is_disabled      boolean Indicates whether the link should be active or not.
 * $link.href             string  Link target.
 * $link.id               string  Id of the link. Sometimes blank.
 * $link.id_string        string  Id of the link, including the id='' attribute.
 *                                This would be the same as id='$link.id'.
 *                                Sometimes blank.
 * $link.class            string  CSS class(es) for the link.
 * $link.class_string     string  CSS class(es) for the link, including the class=''
 *                                attribute.  Sometimes blank.
 * $link.text             string  Text to be displayed as link content.
 * $link.extra_attributes string  Additional attributes for the link.  Usually blank.
 *
 *}
<span class="iw-link-wrapper">
  {if $link.is_disabled}
  <span{$link.class_string}{$link.id_string}>{$link.text}</span>
  {else}
  <a href='{$link.href}'{$link.class_string}{$link.id_string} {$link.extra_attributes}>{$link.text}</a>
  {/if}
</span>
