<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Matt Parmelee <mparmelee@interworx.com>
 * @date    Jan 18, 2012
 */

/**
 * Form_SW_Cloudflare_Domains class.
 *
 * @package    InterWorx
 * @subpackage Form
 *
 */
class Form_SW_Cloudflare_Domains extends Form
{
    /**
     * Initialize.
     */
    protected function _initialize()
    {
        parent::_initialize('cloudflare_domains_form');
        $this->setLabel('CloudFlare Domains');

        $SW = IW::SW();

        $slaves = $SW->getDomainNameList($type = 'slave');
        $pointers = $SW->getDomainNameList($type = 'pointer');

        $names = array_merge($slaves, $pointers);
        $names[] = $SW->getMasterDomainName();
        $names[] = 'none';
        $this->addInput(new Input_Select('domain', 'none'))
            ->addFilter(new Zend_Filter_StringToLower())
            ->setDataSource(new DataSource_Array($names));

        $this->setUseHandler(false);
    }

    /**
     * Override security token.
     *
     * @return boolean
     */
    protected function _requiresSecurityToken()
    {
        return false;
    }
}
