<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Matt Parmelee <mparmelee@interworx.com>
 * @date    Dec 15, 2011
 */

/**
 * Form_SW_Cloudflare_Login class.
 *
 * @package    InterWorx
 * @subpackage Form
 *
 */
class Form_SW_Cloudflare_Login extends Form
{

    /**
     * Initialize.
     */
    protected function _initialize()
    {
        parent::_initialize('cloudflare_login');

        $this->setLabel('CloudFlare Login');

        $this->addInput(new Input_String('email'));
        $PW = $this->addInput(new Input_Password('password'));

        $this->addInput(new Input_PasswordConfirm($PW));

        $DS = new DataSource_Array(
            array( 1 ),
            array( '##LG_CREATE_NEW_CLOUDFLARE_ACCOUNT##' )
        );
        $this->addInput(new Input_Set('create', null))
        ->setDataSource($DS)
        ->setRequired(false)
        ->setMultipleAllowed(true);

        $this->setSaveValue('##LG_LOGIN##');
        $this->setCancelDisplay(false);
        $this->setAutoComplete(false);
    }
}
