document.getElementById('iw-printout').parentNode.style.backgroundColor = '#FFFFFF';
function drawChart()
{
    var stats = iw_js_data.printout.data;

    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Source');
    data.addColumn('number', 'Bandwidth');
    data.addRows(2);
    data.setValue(0, 0, 'CloudFlare');
    data.setValue(0, 1, stats.bandwidth_cloudflare);
    data.setValue(1, 0, 'User');
    data.setValue(1, 1, stats.bandwidth_user);

    var formatter = new google.visualization.NumberFormat({ fractionDigits: 0 });
    formatter.format(data, 1);

    if ( ( data.getValue(0, 1) + data.getValue(1, 1) ) === 0 ) {
        data.setValue(1, 1, 100);
        data.setFormattedValue(1, 1, 'No data');
    } else {
        data.setFormattedValue(0, 1, stats.bandwidth_cloudflare_label);
        data.setFormattedValue(1, 1, stats.bandwidth_user_label);
    }

    var options = { width: 300,
        height: 225,
        chartArea: { width: '85%', height: '85%' },
        tooltip: { text: 'value' },
        colors:['#FF8C40', '#666666'],
        title: 'Bandwidth Usage' };

    var chart = new google.visualization.PieChart(document.getElementById('bandwidth_chart'));
    chart.draw(data, options);

    data = new google.visualization.DataTable();
    data.addColumn('string', 'Source');
    data.addColumn('number', 'Requests');
    data.addRows(2);
    data.setValue(0, 0, 'CloudFlare');
    data.setValue(0, 1, stats.requests_cloudflare);
    data.setValue(1, 0, 'User');
    data.setValue(1, 1, stats.requests_user);
    options.title = 'Number of Requests';
    formatter = new google.visualization.NumberFormat({ suffix: ' requests', fractionDigits: 0 });
    formatter.format(data, 1);

    if ( ( data.getValue(0, 1) + data.getValue(1, 1) ) === 0 ) {
        data.setValue(1, 1, 100);
        data.setFormattedValue(1, 1, 'No data');
    }

    chart = new google.visualization.PieChart(document.getElementById('requests_chart'));
    chart.draw(data, options);

    data = new google.visualization.DataTable();
    data.addColumn('string', 'Source');
    data.addColumn('number', 'Views');
    data.addRows(3);
    data.setValue(0, 0, 'Regular Traffic');
    data.setValue(0, 1, stats.views_regular);
    data.setValue(1, 0, 'Crawlers/Bots');
    data.setValue(1, 1, stats.views_crawler);
    data.setValue(2, 0, 'Threats');
    data.setValue(2, 1, stats.views_threat);
    options.title = 'Page Views';
    options.colors = ['#4C9900', '#B500D9', '#CC1414'];

    formatter = new google.visualization.NumberFormat({ suffix: ' page views', fractionDigits: 0 });
    formatter.format(data, 1);

    if ( ( data.getValue(0, 1) + data.getValue(1, 1) + data.getValue(2, 1) ) === 0 ) {
        data.setValue(0, 1, 100);
        data.setFormattedValue(0, 1, 'No data');
    }

    chart = new google.visualization.PieChart(document.getElementById('views_chart'));
    chart.draw(data, options);

    data = new google.visualization.DataTable();
    data.addColumn('string', 'Source');
    data.addColumn('number', 'Views');
    data.addRows(3);
    data.setValue(0, 0, 'Regular Traffic');
    data.setValue(0, 1, stats.uniques_regular);
    data.setValue(1, 0, 'Crawlers/Bots');
    data.setValue(1, 1, stats.uniques_crawler);
    data.setValue(2, 0, 'Threats');
    data.setValue(2, 1, stats.uniques_threat);
    options.title = 'Unique Visitors';
    formatter.format(data, 1);

    if ( ( data.getValue(0, 1) + data.getValue(1, 1) + data.getValue(2, 1) ) === 0 ) {
        data.setValue(0, 1, 100);
        data.setFormattedValue(0, 1, 'No data');
    }

    chart = new google.visualization.PieChart(document.getElementById('uniques_chart'));
    chart.draw(data, options);
}

drawChart();