<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Paul Oehler <poehler@interworx.com>
 * @date    Sep 22, 2009
 */

/**
 * R1soft integration plugin.
 *
 * @package    InterWorx
 * @subpackage Plugin
 */
class Plugin_Hello extends Plugin
{

    /**
     * Init the plugin, disabling if necessary.
     */
    protected function _init()
    {
        /*
         * You can conditionally disable the plugin
         */
        //$this->_disable( 'reason for disabling goes here, will go in iworx.log' );

        /*
         * You can set plugin variables as needed like this
         */
        //$this->_setVar( 'myvariable', 'somevalue' );

        /*
         * And retrieve them later like this
         */
        //$this->getVar( 'myvariable' );

        /*
         * You can set mixed datastore variables as needed like this
         */
        //$this->setDatastoreVar( 'storedvar', array( 1, 2, 3 ) );

        /*
         * And retrieve it later like this
         */
        //$this->getDatastoreVar( 'storedvar' );
    }

    /**
     * Customizations to siteworx menu can be done here.
     *
     * @param IWorxMenuManager $MenuMan
     */
    public function updateSiteworxMenu(IWorxMenuManager $MenuMan)
    {
        $new_data = array( 'text'   => 'Hello World',
                       'url'    => '/siteworx/hello/world',
                       'class'  => 'iw-i-star' );
        $MenuMan->addMenuItemAfter('iw-menu-home', 'hello', $new_data);
        // also updateMenuItem( $id, $data )
        //      removeMenuItem( $id )
    }

    /**
     * Customizations to siteworx menu can be done here.
     *
     * @param IWorxMenuManager $MenuMan
     */
    public function updateNodeworxMenu(IWorxMenuManager $MenuMan)
    {
        $new_data = array( 'text'   => 'Hello World',
                       'url'    => '/nodeworx/hello/world',
                       'class'  => 'iw-i-star' );
        $MenuMan->addMenuItemAfter('iw-menu-home', 'hello', $new_data);
        // also updateMenuItem( $id, $data )
        //      removeMenuItem( $id )
    }
}
