<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Jon Daniel <jdaniel@interworx.com>
 * @date    Feb 22, 2011
 */

/**
 * Controller for displaying session histories.
 *
 * @package    InterWorx
 * @subpackage Ctrl
 */
class Ctrl_Nodeworx_HistorySessions extends Ctrl_Nodeworx_Plugin
{

    /**
     * Index action.
     */
    public function indexAction()
    {
        $SessionsForm = Form::getInstance('Form_NW_History_Sessions');

        $View       = $this->getView();
        $options    = [];
        $global_uid = $SessionsForm->getValue('user');

        if (!empty($global_uid)) {
            $options['global_uid'] = $global_uid;
        }

        $Payload = Payload_Factory_NW_History::sessions($options);
        $Form    = Form::getInstance('Form_Search');

        $Payload->setRefreshAction('viewSessions');
        $Payload->setRefreshActionInput($SessionsForm);

        $User     = Model_User::getFromGuid($global_uid);
        $nickname = $User->nickname;
        $email    = $User->email;

        $user_display = $email;
        if (!empty($nickname)) {
            $user_display = "{$nickname} ({$user_display})";
        }

        $View->assign('search_form', $Form);
        $View->assign('template', 'users');
        $View->assign('title', "##LG_USER_SESSIONS## :: {$user_display}");
        $View->assign('iw_payload', $Payload);
    }

    /**
     * View the sessions.
     *
     * @param Form_NW_History_Sessions $Form
     */
    public function viewSessionsCommitAction(Form_NW_History_Sessions $Form)
    {
        $global_uid = $Form->getValue('user');
        $options    = [];

        if (!empty($global_uid)) {
            $options['global_uid'] = $global_uid;
        }

        $Payload = Payload_Factory_NW_History::sessions($options);

        $Payload->setRefreshActionInput($Form);
        $this->_displayPayload($Payload);
    }
}
