<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Paul Oehler <poehler@interworx.com>
 * @date    Oct 9, 2009
 */

/**
 * Nodeworx Installatron Controller.
 *
 * @package    InterWorx
 * @subpackage Ctrl
 */
class Ctrl_Nodeworx_Installatron extends Ctrl_Nodeworx_Plugin
{

    /**
     * Launch action.
     *
     * @disabledIn ~IW::WEB
     */
    public function launchAction()
    {
        $this->getView()->assign('title', 'Installatron');
        $this->getView()->assign('worx', 'nodeworx');
    }

    /**
     * Index action.
     *
     * @disabledIn ~IW::WEB
     */
    public function indexAction()
    {
        $this->_getPlugin()->run();
        exit;
    }

    /**
     * Retrieve user data that installatron needs to know.
     *
     * @param Form_Input_InstallatronUser $Form
     */
    public function listUserDataAction(Form_Input_InstallatronUser $Form)
    {
        $user = $Form->getValue('user');
        $data = $this->_getPlugin()->getUserData($user);
        $this->_displayPayload(new Payload($data));
    }

    /**
     * Get the directory install where installatron should install the script.
     *
     * @disabledIn ~IW::API
     */
    public function listInstallPathAction()
    {
        $httphttps = $this->_getInput('proto');
        $domain    = $this->_getInput('domain');
        $path      = $this->_getInput('path');
        $subdomain = $this->_getInput('subdomain');

        if ($subdomain === 'www') {
            $subdomain = '';
        }

        $result  = IW::NW()->getSiteWorx($domain)->getPackageRoot();
        $result .= "/{$domain}/html{$path}{$subdomain}";
        $this->_displayPayload(new Payload($result));
    }
}
