<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Paul Oehler <poehler@interworx.com>
 * @date    Oct 9, 2009
 */

/**
 * Form for choosing an installatron username.
 *
 * @package    InterWorx
 * @subpackage Form
 */
class Form_Input_InstallatronUser extends Form_Input
{

    /**
     * Initialize.
     */
    protected function _initialize()
    {
        parent::_initialize('installatron user');

        $this->addInput(new Input_Select('user', 'admin'))
        ->setDataSource($this->_getDS());
    }

    /**
     * Create the datasource.
     *
     * @return DataSource_Array
     */
    private function _getDS()
    {
        $data = array( 'admin', '!root' );

        $sql = 'SELECT u.email
            FROM nodeworx_users u
            WHERE type = ' . q(User::MASTER) . 'AND
                  nodeworx_id != ' . q(NodeWorx::MASTER_ID);

        $result = IWorxDbUtil::db_getCol(IW::DB(), $sql);
        foreach ($result as $email) {
            $data[] = $email;
        }

        $NW = new NodeWorx(NodeWorx::MASTER_ID);
        $domains = $NW->getMasterDomainList(true);

        foreach ($domains as $domain) {
            $data[] = $domain;
        }
        $DS = new DataSource_Array($data);
        return $DS;
    }
}
