<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Paul Oehler <poehler@interworx.com>
 * @date    Oct 9, 2009
 */

/**
 * Installatron integration frontend.php class.
 *
 * @package    InterWorx
 * @subpackage Installatron-Lib
 */
abstract class i_gui extends i_gui_default
{

    protected $canEmbed = true;

    /**
     * URL path to Installatron.
     *
     * @return  string  URL to /var/installatron/frontened/index.php
     */
    protected function getUrlApp()
    {
        if (strstr($this->_getUri(), '/nodeworx/installatron') !== false) {
            $url = '/nodeworx/installatron';
        } else {
            $url = '/siteworx/installatron';
        }
        return $url;
    }

    /**
     * URL path to Installatron's images.
     *
     * @return string URL document rooted to /var/installatron/frontened/images/
     *                (without trailing slash).
     */
    protected function getUrlImg()
    {
        $url = "/installatron/images";
        return $url;
    }

    /**
     * Get uri.
     */
    private function _getUri()
    {
        if (isset($_SERVER['SCRIPT_URL'])) {
            return $_SERVER['SCRIPT_URL'];
        }
        if (isset($_SERVER['REQUEST_URI'])) {
            return $_SERVER['REQUEST_URI'];
        }
        if (isset($_SERVER['REDIRECT_URL'])) {
            return $_SERVER['REDIRECT_URL'];
        }
    }

    protected function displayBodyHead()
    {
        $result = parent::displayBodyHead();
        return 'BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB';
    }

    protected function displayBodyFoot()
    {
        $result = parent::displayBodyFoot();
        return '';
    }
    protected function getUrlReturn()
    {
        if (strstr($this->_getUri(), '/nodeworx/installatron') !== false) {
            $url = '/nodeworx/overview';
        } else {
            $url = "/siteworx/overivew";
        }
        return $url;
    }
}
