<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Paul Oehler <poehler@interworx.com>
 * @date    Sep 24, 2009
 */

/**
 * Simple Scripts Configuration.
 *
 * @package    InterWorx
 * @subpackage Ctrl
 */
class Ctrl_Nodeworx_Simplescripts extends Ctrl_Nodeworx_Plugin
{

    /**
     * Default action.
     */
    public function indexAction()
    {
        $this->_rerouteTo(__CLASS__, 'editConfig');
    }

    /**
     * Edit the simple scripts configuration.
     *
     * @param Form_NW_Simplescripts_Config $Form
     */
    public function editConfigCommitAction(Form_NW_Simplescripts_Config $Form)
    {
        $Plugin = $this->_getPlugin();

        $nw_id = IW::NW()->getId();

        $host_key     = $Form->getValue('host_key');
        $host_api_key = $Form->getValue('host_api_key');
        if ($Form->getValue('selector') === '0') {
            $host_key = '';
            $host_api_key = '';
        }

        $Plugin->setDatastoreVar(
            "host_key:{$nw_id}",
            $host_key
        );

        $Plugin->setDatastoreVar(
            "host_api_key:{$nw_id}",
            $host_api_key
        );

        if (IW::NW()->isReseller() === false) {
            $Plugin->setDatastoreVar(
                'reseller_config',
                $Form->getValue('reseller_config')
            );
        }

        $this->_displaySuccess('index', 'Settings Saved');
    }
}
