<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Paul Oehler <poehler@interworx.com>
 * @date    Sep 24, 2009
 */

/**
 * Simple scripts autologin / redirect.
 *
 * @package    InterWorx
 * @subpackage Ctrl
 */
class Ctrl_Siteworx_Simplescripts extends Ctrl_Siteworx_Plugin
{

    /**
     * Default action.
     *
     * @disabledIn ~IW::WEB
     */
    public function indexAction()
    {
        if ($this->_getPlugin()->isAccountBlocked(IW::SW()->getUniqname())) {
            throw new IWorx_Exception_Permission('Access to SimpleScripts is blocked');
        }

        if ($this->_getPlugin()->isCurrentSwUserBlocked()) {
            throw new IWorx_Exception_Permission('Access to SimpleScripts is blocked');
        }

        $errors = $this->_getPlugin()->launchSimpleScripts();
        // if this returned, then there was an error

        $this->_displayFailure(Ctrl_Abstract::THE_NULL_ACTION, $errors);
    }
}
