  {if $iw_sharedip eq true}
    {iw_message text='##LG_SSL_NOT_STATIC_IP##'
                mode='negative'
                class='iw-headline'}
  {else}
    {if $iw_ssl_expiry_info.message neq ""}
      {if $iw_ssl_expiry_info.status eq "expired"}
     {iw_message text=$iw_ssl_expiry_info.message
                 mode='negative'
                 class='iw-headline'}
      {else}
     {iw_message text=$iw_ssl_expiry_info.message
                 mode='neutral'
                 class='iw-headline'}
      {/if}
     {iw_message text=$iw_ssl_expiry_info.message
                 mode='negative'
                 class='negative iw-headline'}
    {/if}

    {* for tabindex *}
    {counter start=1 print=false}
        <div class="yui-u first">
        {if $iw_lets_encrypt_enabled}
        {iw_link_handled action="generateLetsEncrypt" text="##LG_GENERATE_ALL_WITH_LETS_ENCRYPT##" query_string="domain=$iw_domain"}
        {iw_quickhelp id="LG_QH_SSL_GENERATE_ALL_WITH_LETS_ENCRYPT"}
        {/if}
        <div class="hd"><h1>##LG_SSL_FILES##</h1></div>
        <table class="iw-table iw-w-full">
          <tr class="iw-table-hd">
            <td class="iw-w-xs">
            </td>
            <td>
            ##LG_SSL_FILES##
            </td>
            <td>
            ##LG_OPTIONS##
            </td>
            <td>
            ##LG_STATUS##
            </td>
          </tr>
          <tr class="{cycle} ruler nowrap">
            {if $iw_sslinfo.key eq ""}
              {assign var='iw_message_mode' value='neutral'}
              {assign var='iw_message_text' value='##LG_NOT_INSTALLED##'}
            {else}
              {assign var='iw_message_mode' value='positive'}
              {assign var='iw_message_text' value='##LG_INSTALLED##'}
            {/if}
            <td>
            1.
            </td>
            <td>
              ##LG_SSL_PRIVATE_KEY##
            </td>
            <td>
              {if $iw_sslinfo.key eq ""}
                {assign var='text' value='##LG_SSL_SETUP_PRIVATE_KEY##'}
              {else}
                {assign var='text' value='##LG_SSL_VIEW_PRIVATE_KEY##'}
              {/if}
              {iw_link href="/siteworx/ssl/key" text=$text}
            </td>
            <td class="nowrap">
              {iw_status_block mode=$iw_message_mode}
                {$iw_message_text}
              {/iw_status_block}
            </td>
          </tr>
          <tr class="{cycle} ruler nowrap">
            {if $iw_sslinfo.csr eq ""}
              {assign var='iw_message_mode' value='neutral'}
              {assign var='iw_message_text' value='##LG_NOT_INSTALLED##'}
            {else}
              {assign var='iw_message_mode' value='positive'}
              {assign var='iw_message_text' value='##LG_INSTALLED##'}
            {/if}
            <td>
            2.
            </td>
            <td>
              ##LG_SSL_CSR##
            </td>
            <td>
              {if $iw_sslinfo.key neq ""}
                {if $iw_sslinfo.csr eq ""}
                  {assign var='text' value='##LG_SSL_SETUP_CSR##'}
                {else}
                  {assign var='text' value='##LG_SSL_VIEW_CSR##'}
                {/if}
                {iw_link href="/siteworx/ssl/csr" text=$text}
              {/if}
            </td>
            <td>
              {iw_status_block mode=$iw_message_mode}
                {$iw_message_text}
              {/iw_status_block}
            </td>
          </tr>
          <tr class="{cycle} ruler">
            {if $iw_sslinfo.crt eq ""}
              {assign var='iw_message_mode' value='neutral'}
              {assign var='iw_message_text' value='##LG_NOT_INSTALLED##'}
            {else}
              {assign var='iw_message_mode' value='positive'}
              {assign var='iw_message_text' value='##LG_INSTALLED##'}
            {/if}

            {* Overwrite the above if the ssl_domain is set already *}

            {if $iw_can_ssl eq false}
              {if $iw_is_ssl eq false}
                {assign var='iw_message_mode' value='negative'}
                {assign var='iw_message_text' value='##LG_IN_USE##'}
                {assign var='iw_hide_crt_link' value=1}
              {/if}
            {/if}
            <td>
            3.
            </td>
            <td>
              ##LG_SSL_CERTIFICATE##
            </td>
            <td>
              {if $iw_hide_crt_link neq 1}
                {if $iw_sslinfo.key neq ""}
                  {if $iw_sslinfo.crt eq ""}
                    {assign var='text' value='##LG_SSL_SETUP_CERTIFICATE##'}
                  {else}
                    {assign var='text' value='##LG_SSL_VIEW_CERTIFICATE##'}
                  {/if}
                  {iw_link href="/siteworx/ssl/crt" text=$text}
                {/if}
              {/if}
            </td>
            <td class="nowrap">
              {iw_status_block mode=$iw_message_mode}
                {$iw_message_text}
              {/iw_status_block}
            </td>
          </tr>
          <tr class="{cycle} ruler">
            {if $iw_sslinfo.chain eq ""}
              {assign var='iw_message_mode' value='neutral'}
              {assign var='iw_message_text' value='##LG_NOT_INSTALLED##'}
            {else}
              {assign var='iw_message_mode' value='positive'}
              {assign var='iw_message_text' value='##LG_INSTALLED##'}
            {/if}
            <td>
            4.
            </td>
            <td>
              ##LG_SSL_CHAIN_CERTIFICATE##
            </td>
            <td>
              {if $iw_sslinfo.crt neq "" ||
                  $iw_sslinfo.chain neq "" }
                {if $iw_sslinfo.chain eq ""}
                  {assign var='text' value='##LG_SSL_SETUP_CHAIN_CERTIFICATE##'}
                {else}
                  {assign var='text' value='##LG_SSL_VIEW_CHAIN_CERTIFICATE##'}
                {/if}
                {iw_link href="/siteworx/ssl/chain" text=$text}
              {/if}
            </td>
            <td class="nowrap">
              {iw_status_block mode=$iw_message_mode}
                {$iw_message_text}
              {/iw_status_block}
            </td>
          </tr>
        </table>
        </div>
        <div class="yui-u">
        {if $iw_can_ssl eq false}
          {if $iw_is_ssl eq false}
            {iw_status_block mode='negative'}
              {foreach from=$iw_ssl_map key=ip item=domain}
                ##LG_SSL_IN_USE_BY_X_ON_Y|{$domain}|{$ip}##<br>
              {/foreach}
              <br>
              ##LG_SSL_PLEASE_REMOVE_BEFORE_CONTINUING##
            {/iw_status_block}
          {/if}
        {/if}

        {if $iw_sslinfo.config_exists eq true }
          <div class="hd"><h1>##LG_SSL_INSTALLED_CERTIFICATE_OVERVIEW##</h1></div>
          <table class="iw-table">
            <tr class="{cycle} ruler">
              <td class="iw-w-xs">##LG_SSL_CSR_COMMONNAME##:</td>
              <td>
                {if is_array( $iw_sslinfo.parsed_cert.CN )}
                {foreach from=$iw_sslinfo.parsed_cert.CN item=name}
                  {$name}
                {/foreach}
                {else}
                  {$iw_sslinfo.parsed_cert.CN}
                {/if}
              </td>
            </tr>
            {if is_array( $iw_sslinfo.alt_names )}
            <tr class="{cycle} ruler">
              <td class="iw-w-xs">##LG_ALTERNATE_DOMAINS##:</td>
              <td>
                {foreach from=$iw_sslinfo.alt_names item=name}
                  {$name}
                {/foreach}
              </td>
            </tr>
            {/if}
            <tr class="{cycle} ruler">
              <td>##LG_SSL_CSR_COMPANY##:</td>
              <td>{$iw_sslinfo.parsed_cert.O}</td>
            </tr>
            <tr class="{cycle} nowrap ruler">
              <td>##LG_SSL_ISSUED_BY##:</td>
              <td>{$iw_sslinfo.cert_issued_by}</td>
            </tr>
            <tr class="{cycle} nowrap ruler">
              <td>##LG_SSL_ISSUED_ON##:</td>
              <td>{$iw_sslinfo.expiry.valid_from|iw_datetime}</td>
            </tr>
            <tr class="{cycle} nowrap ruler">
              <td>##LG_SSL_EXPIRES_ON##:</td>
              <td><b>{$iw_sslinfo.expiry.valid_to|iw_datetime}</b></td>
            </tr>
          </table>
        {/if}
      </div>
  {/if}


