# phpMyAdmin MySQL-Dump
# version 2.5.1
# http://www.phpmyadmin.net/ (download page)
#
# Host: localhost
# Generation Time: Oct 01, 2003 at 02:51 AM
# Server version: 3.23.54
# PHP Version: 4.3.1
# Database : `iworx`
# --------------------------------------------------------

DROP TABLE IF EXISTS `webmail_servermap`;
CREATE TABLE `webmail_servermap` (
  `domain` VARCHAR( 255 ) NOT NULL DEFAULT '',
  `host` VARCHAR( 255 ) NOT NULL DEFAULT '',
  PRIMARY KEY ( `domain` )
) ENGINE = MYISAM;

DROP TABLE IF EXISTS `database_servers`;
CREATE TABLE `database_servers` (
  `id` int(11) NOT NULL auto_increment,
  `dsn` varchar(255) NOT NULL default '',
  `nickname` varchar(255) NOT NULL default '',
  `active` enum('yes','no') NOT NULL default 'yes',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `nickname` (`nickname`)
) ENGINE=MyISAM;

ALTER TABLE `database_servers` ADD `is_local` ENUM( 'yes', 'no' ) NOT NULL DEFAULT 'no';
ALTER TABLE `database_servers` ADD `api_key` TEXT NULL ;


DROP TABLE IF EXISTS `siteworx_database_server_map`;
CREATE TABLE `siteworx_database_server_map` (
  `database_server_id` int(11) NOT NULL default '0',
  `siteworx_id` int(11) NOT NULL default '0',
  `checksum` VARCHAR( 255 ) NOT NULL,
  UNIQUE KEY `object_pair` (`database_server_id`,`siteworx_id`)
) ENGINE=MyISAM;

ALTER TABLE siteworx_database_server_map MODIFY `checksum` VARCHAR(255) NOT NULL DEFAULT '';

DROP TABLE IF EXISTS `nodeworx_reseller_database_server_map`;
CREATE TABLE `nodeworx_reseller_database_server_map` (
  `database_server_id` int(11) NOT NULL default '0',
  `reseller_id` int(11) NOT NULL default '0',
  UNIQUE KEY `object_pair` (`database_server_id`,`reseller_id`)
) ENGINE=MyISAM;

#
# Table structure for table `dns_records`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `dns_records`;
#
# Table structure for table `dns_records`
#
# Creation: Nov 01, 2003 at 11:11 PM
# Last update: Nov 01, 2003 at 11:11 PM
#

CREATE TABLE `dns_records` (
  `record_id` int(11) NOT NULL auto_increment,
  `zone_id` int(11) NOT NULL default '0',
  `type` enum('A','CNAME','NS','HOST','MX','PTR','NSSOA','SOA','TXT','SPF','SRV', 'AAAA', 'NAPTR', 'CAA') NOT NULL default 'A',
  `host` varchar(128) NOT NULL default '',
  `target` varchar(255) NOT NULL default '',
  `ttl` int(11) NOT NULL default '14400',
  `last_update` datetime NOT NULL default '1000-01-01 00:00:00',
  PRIMARY KEY  (`record_id`)
) ENGINE=MyISAM;

ALTER TABLE `dns_records` ADD INDEX ( `zone_id` );
ALTER TABLE `dns_records` CHANGE `target` `target` TEXT NOT NULL;

DROP TABLE IF EXISTS `dns_zones`;
CREATE TABLE `dns_zones` (
  `zone_id` int(11) NOT NULL auto_increment,
  `domain` varchar(128) NOT NULL default '0',
  `nameserver` varchar(128) NOT NULL default '',
  `contact` varchar(64) NOT NULL default '',
  `refresh` int(11) NOT NULL default '7200',
  `retry` int(11) NOT NULL default '2048',
  `expire` int(11) NOT NULL default '1048576',
  `minimum` int(11) NOT NULL default '2560',
  `serial` varchar(32) NOT NULL default '',
  `suspended` enum('yes', 'no') NOT NULL default 'no',
  PRIMARY KEY  (`zone_id`),
  UNIQUE KEY `domain_id` (`domain`)
) ENGINE=MyISAM;

ALTER TABLE `dns_zones`
ADD `nodeworx_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0' AFTER `zone_id` ,
ADD `is_template` TINYINT( 1 ) UNSIGNED NOT NULL DEFAULT '0' AFTER `nodeworx_id`;

ALTER TABLE `dns_zones` ADD INDEX nodeworx_id ( `nodeworx_id` );

#
# Table structure for table `domains`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `domains`;
CREATE TABLE `domains` (
  `domain_id` int(11) NOT NULL auto_increment,
  `registrar_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  `parent_domain_id` int(11) NOT NULL default '0',
  `name` varchar(128) NOT NULL default '',
  `status` enum('inactive','active','pending') NOT NULL default 'pending',
  `type` enum('master','pointer','slave','subdomain','redirect') NOT NULL default 'slave',
  `reg_user` varchar(32) NOT NULL default '',
  `reg_password` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`domain_id`),
  UNIQUE KEY `domain_name` (`name`),
  KEY `parent_domain_id` (`parent_domain_id`)
) ENGINE=MyISAM;

ALTER TABLE `domains` ADD INDEX `package_type_index` ( `package_id` , `type` );
ALTER TABLE `domains` ADD INDEX ( `type` );

#
# Table structure for table `redirect_domains`
#
# Creation: May 9, 2012 at 12:00 PM
# Last update: May 9, 2012 at 12:00 PM
#

DROP TABLE IF EXISTS `redirect_domains`;
CREATE TABLE  `redirect_domains` (
  `redirect_id` INT( 11 ) NOT NULL AUTO_INCREMENT ,
  `package_id` INT( 11 ) NOT NULL DEFAULT  '0',
  `points_to` VARCHAR( 128 ) NOT NULL DEFAULT '',
  `name` VARCHAR( 128 ) NOT NULL DEFAULT '',
  `type` enum('301', '302') NOT NULL DEFAULT '301',
PRIMARY KEY (  `redirect_id` )
) ENGINE=MYISAM;

#
# Table structure for table `email_templates`
#
# Creation: Oct 17, 2003 at 08:33 PM
# Last update: Oct 18, 2003 at 12:15 AM
#

DROP TABLE IF EXISTS `email_templates`;
CREATE TABLE `email_templates` (
  `template_id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `description` text NOT NULL,
  `from_email` varchar(128) NOT NULL default '',
  `from_name` varchar(128) NOT NULL default '',
  `subject` varchar(128) NOT NULL default '',
  `template` text NOT NULL,
  `default_from_name` varchar(128) NOT NULL default '',
  `default_subject` varchar(128) NOT NULL default '',
  `default_template` text NOT NULL,
  PRIMARY KEY  (`template_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=5 ;

#
# Dumping data for table `email_templates`
#

INSERT INTO `email_templates` VALUES (1, 'BANDWIDTH_OVERAGE', 'E-mail sent to SiteWorx account owners when they reach 80% and 100% of their bandwidth usage.', 'root@localhost', 'NodeWorx Server Manager', '[[domain]]: bandwidth [[used]]% used', 'Hi,\r\n\r\nThis is an automatic informational message to notify you that domain has used [[used]]% of its bandwidth allotment under your current plan.\r\n\r\nOnce you reach 100% utilization of your bandwidth your site will either be interrupted or you will incur bandwidth\r\noverage charges.\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager', 'NodeWorx Server Manager', '[[domain]]: bandwidth [[used]]% used', 'Hi,\r\n\r\nThis is an automatic informational message to notify you that domain has used [[used]]% of its bandwidth allotment under your current plan.\r\n\r\nOnce you reach 100% utilization of your bandwidth your site will either be interrupted or you will incur bandwidth\r\noverage charges.\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager');
INSERT INTO `email_templates` VALUES (3, 'MONITOR_LOADAVG', 'E-mail sent out when the load average goes over the preset threshold as set in Server Setup.', 'root@localhost', 'NodeWorx Server Manager', '[[hostname]]: high load alert [[1minload]] / [[5minload]] / [[15minload]]', 'Hi,\r\n\r\nThis is an automatic informational message to notify you that [[hostname]] has hit the load threshold set for your server.  The load at the time of this e-mail\'s creation is as follows:\r\n\r\n1 minute: [[1minload]]\r\n5 minute: [[5minload]]\r\n15 minute: [[15minload]]\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n', 'NodeWorx Server Manager', '[[hostname]]: high load alert [[1minload]] / [[5minload]] / [[15minload]]', 'Hi,\r\n\r\nThis is an automatic informational message to notify you that [[hostname]] has hit the load threshold set for your server.  The load at the time of this e-mail\'s creation is as follows:\r\n\r\n1 minute: [[1minload]]\r\n5 minute: [[5minload]]\r\n15 minute: [[15minload]]\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n');
INSERT INTO `email_templates` VALUES (4, 'MONITOR_STORAGE', 'E-mail sent out when the free space on any storage partition goes over the preset threshold as set in Server Setup.', 'root@localhost', 'NodeWorx Server Manager', '[[hostname]]:[[mount]] partition [[percentage]] alert', 'Hi,\r\n\r\nThis is an automatic informational message to notify you that the [[mount]] partition on [[hostname]] has hit the storage partition threshold set for your server.  The [[mount]] partition is [[percentage]] full at the time of this e-mail\'s creation.\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n', 'NodeWorx Server Manager', '[[hostname]]:[[mount]] partition [[percentage]] alert', 'Hi,\r\n\r\nThis is an automatic informational message to notify you that the [[mount]] partition on [[hostname]] has hit the storage partition threshold set for your server.  The [[mount]] partition is [[percentage]] full at the time of this e-mail\'s creation.\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n');
INSERT INTO `email_templates` VALUES (5, 'SITEWORX_BACKUP_COMPLETE','E-mail sent out when the SiteWorx backup script (~/bin/backup.pex) completes, regardless of if it was successful.', 'root@localhost','NodeWorx Server Manager', 'Domain Backup(s) Completed', "Hi,\r\n\r\nThis is an automatic informational message to notify you that the following backup(s) have completed:\r\n\r\n[[results]]\r\n\r\nThe backup file(s) can be found in the following location(s):\r\n\r\n[[backup_files]]\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n[[warnings]]", 'NodeWorx Server Manager', '[[domain]] backup: [[success_status]] completed', "Hi,\r\n\r\nThis is an automatic informational message to notify you that the following backup(s) have completed:\r\n\r\n[[results]]\r\n\r\nThe backup file(s) can be found in the following location(s):\r\n\r\n[[backup_files]]\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n[[warnings]]");
INSERT INTO `email_templates` VALUES (6, 'SALEARN_UPDATE','E-mail sent out when messages are found in the "Learn Spam" and/or "Learn Ham" folder to train the Bayes database', 'root@localhost','SiteWorx Server Manager', 'SpamAssassin Bayes Update.  [[trainedspam]] Spam, [[trainedham]] Ham (non-spam)', 'Hi,\n\nThis is an automatic message to let you know that some messages were found in your spam training folders.  \nThese messages have been used to train the spam bayes database, and have been deleted.  \n\nTrained Spam: [[trainedspam]] ([[spamexam]] examined)\nTrained Ham:  [[trainedham]] ([[hamexam]] examined)\n\nHere are the current overall statistics for your bayes database:\n\nBayes username: [[bayesuser]]\nTotal Trained Spam: [[totalspam]]\nTotal Trained Ham:  [[totalham]]\n\nThings to keep in mind:\n*You can only train [[maxlearn]] messages in each folder per day.\n*You must have at least 200 spam messages and 200 ham (non-spam) trained before the Bayesian filter will start having an effect.\n*You must train both spam and ham (non-spam) for the Bayesian system to be effective, and you should try to keep around the same number of each trained at a time.\n*You can create an IMAP folder named "Spam", and messages tagged by SpamAssassin will be delivered to this folder rather than your INBOX.\n', 'SiteWorx Server Manager', 'SpamAssassin Bayes Update.  [[trainedspam]] Spam, [[trainedham]] Ham (non-spam)', 'Hi,\n\nThis is an automatic message to let you know that some messages were found in your spam training folders.  \nThese messages have been used to train the spam bayes database, and have been deleted.  \n\nTrained Spam: [[trainedspam]] ([[spamexam]] examined\nTrained Ham:  [[trainedham]] ([[hamexam]] examined\n\nHere are the current overall statistics for your bayes database:\n\nBayes username: [[bayesuser]]\nTotal Trained Spam: [[totalspam]]\nTotal Trained Ham:  [[totalham]]\n\nThings to keep in mind:\n*You can only train [[maxlearn]] messages in each folder per day.\n*You must have at least 200 spam messages and 200 ham (non-spam) trained before the Bayesian filter will start having an effect.\n*You must train both spam and ham (non-spam) for the Bayesian system to be effective, and you should try to keep around the same number of each trained at a time.\n*You can create an IMAP folder named "Spam", and messages tagged by SpamAssassin will be delivered to this folder rather than your INBOX.\n');



# --------------------------------------------------------

#
# Table structure for table `log`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `log`;
CREATE TABLE `log` (
  `id` int(11) NOT NULL default '0',
  `logtime` datetime NOT NULL default '1000-01-01 00:00:00',
  `ident` varchar(64) NOT NULL default '',
  `priority` tinyint(3) NOT NULL default '0',
  `message` longtext NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

#
# Dumping data for table `log`
#

# --------------------------------------------------------

#
# Table structure for table `log_id_seq`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `log_id_seq`;
CREATE TABLE `log_id_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

#
# Dumping data for table `log_id_seq`
#

#
# Table structure for table `login_failures`
#
# Creation: Jan 16, 2013 at 04:00 PM
# Last update: Jan 16, 2013 at 04:00 PM
#

DROP TABLE IF EXISTS `login_failures`;
CREATE TABLE `login_failures` (
 `id` int(10) NOT NULL auto_increment,
 `ip` varchar(39) NOT NULL default '',
 `time` datetime NOT NULL default '1000-01-01 00:00:00',
 PRIMARY KEY  (`id`)
) ENGINE=MyISAM;


#
# Table structure for table `nodeworx`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 07:59 PM
#

DROP TABLE IF EXISTS `nodeworx`;
CREATE TABLE `nodeworx` (
  `nodeworx_id` int(11) NOT NULL auto_increment,
  `bandwidth` float NOT NULL default '0',
  `storage` float NOT NULL default '0',
  `accounts` int(11) NOT NULL default '0',
  `domains` int(11) NOT NULL default '0',
  `status` enum('inactive','active','pending','canceled','fraud') NOT NULL default 'pending',
  PRIMARY KEY  (`nodeworx_id`)
) ENGINE=MyISAM;

ALTER TABLE `nodeworx`
	CHANGE `bandwidth` `bandwidth` VARCHAR( 10 ) NOT NULL DEFAULT '0',
	CHANGE `storage` `storage` VARCHAR( 10 ) NOT NULL DEFAULT '0',
	CHANGE `accounts` `accounts` VARCHAR( 10 ) NOT NULL DEFAULT '0',
	CHANGE `domains` `domains` VARCHAR( 10 ) NOT NULL DEFAULT '0' ;
ALTER TABLE `nodeworx` ADD `apikey` TEXT NULL;
ALTER TABLE `nodeworx` ADD `billing_day` INT NOT NULL DEFAULT '1' AFTER `domains`;

#
# Table structure for table `reseller_preferences`
#
#

DROP TABLE IF EXISTS `reseller_preferences`;
CREATE TABLE `reseller_preferences` (
  `reseller_id` INT NOT NULL DEFAULT '0',
  `pref_name` VARCHAR( 25 ) NOT NULL DEFAULT '',
  `pref_value` VARCHAR( 254 ) NOT NULL DEFAULT ''
) ENGINE=MyISAM;

ALTER TABLE `reseller_preferences` ADD PRIMARY KEY ( `reseller_id` , `pref_name` );

#
# Table structure for table `nodeworx_package_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 29, 2003 at 08:14 PM
#

DROP TABLE IF EXISTS `nodeworx_package_map`;
CREATE TABLE `nodeworx_package_map` (
  `nodeworx_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  UNIQUE KEY `nodeworx_package_id` (`nodeworx_id`,`package_id`)
) ENGINE=MyISAM;

#
# Table structure for table `nodeworx_reseller_package_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 29, 2003 at 08:14 PM
#

DROP TABLE IF EXISTS `nodeworx_reseller_package_map`;
CREATE TABLE `nodeworx_reseller_package_map` (
  `nodeworx_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  UNIQUE KEY `nodeworx_package_id` (`nodeworx_id`,`package_id`)
) ENGINE=MyISAM;

#
# Table structure for table `nodeworx_permissions`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 08:09 PM
#

DROP TABLE IF EXISTS `nodeworx_permissions`;
CREATE TABLE `nodeworx_permissions` (
  `permission_id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `short_name` varchar(13) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`permission_id`),
  UNIQUE KEY `short_name` (`short_name`),
  KEY `parent_id` (`parent_id`)
) ENGINE=MyISAM AUTO_INCREMENT=28;

#
# Dumping data for table `nodeworx_permissions`
#

INSERT INTO `nodeworx_permissions` VALUES (3, 0, 'NODEWORXUSER', 'LG_PERM_USERS_DESC');
INSERT INTO `nodeworx_permissions` VALUES (4, 0, 'LANGUAGES', 'LG_LANGUAGES');
INSERT INTO `nodeworx_permissions` VALUES (5, 0, 'THEMES', 'LG_THEMES');
INSERT INTO `nodeworx_permissions` VALUES (6, 0, 'SWACCOUNTS', 'LG_SITEWORXACCOUNTS');
INSERT INTO `nodeworx_permissions` VALUES (7, 0, 'SHELLUSERS', 'LG_USERSLOGGEDIN');
INSERT INTO `nodeworx_permissions` VALUES (8, 0, 'PACKAGES', 'LG_PACKAGES');
INSERT INTO `nodeworx_permissions` VALUES (10, 0, 'LOGIN', 'LG_LOGIN');
INSERT INTO `nodeworx_permissions` VALUES (11, 0, 'BRESTORE', 'LG_BACKUPRESTORE');
INSERT INTO `nodeworx_permissions` VALUES (12, 0, 'IMPORT', 'LG_IMPORT');
INSERT INTO `nodeworx_permissions` VALUES (14, 0, 'RESELLER', 'LG_RESELLERS');
INSERT INTO `nodeworx_permissions` VALUES (15, 0, 'APACHE', 'LG_WEBSERVER');
INSERT INTO `nodeworx_permissions` VALUES (13, 0, 'EMAIL', 'LG_EMAIL');
INSERT INTO `nodeworx_permissions` VALUES (16, 0, 'FTP', 'LG_FTP_SERVER_MANAGEMENT');
INSERT INTO `nodeworx_permissions` VALUES (17, 0, 'MYSQL', 'LG_MYSQL');
INSERT INTO `nodeworx_permissions` VALUES (18, 0, 'DNS', 'LG_DNS');
INSERT INTO `nodeworx_permissions` VALUES (19, 0, 'SSH', 'LG_SSHSERVER');
INSERT INTO `nodeworx_permissions` VALUES (20, 0, 'APIKEY', 'LG_APIKEY');
INSERT INTO `nodeworx_permissions` VALUES (21, 0, 'CRON', 'LG_CRON_OPTIONS');
INSERT INTO `nodeworx_permissions` VALUES (22, 0, 'IPS', 'LG_IPMANAGEMENT');
INSERT INTO `nodeworx_permissions` VALUES (23, 0, 'FIREWALL', 'LG_FIREWALL');
INSERT INTO `nodeworx_permissions` VALUES (24, 0, 'UPDATES', 'LG_UPDATES');
INSERT INTO `nodeworx_permissions` VALUES (25, 0, 'GRAPHS', 'LG_SYSTEM_GRAPHS');
INSERT INTO `nodeworx_permissions` VALUES (26, 0, 'NFS', 'LG_NFS_MANAGEMENT');
INSERT INTO `nodeworx_permissions` VALUES (27, 0, 'CLUSTERING', 'LG_CLUSTERING');
INSERT INTO `nodeworx_permissions` VALUES (28, 0, 'SETTINGS', 'LG_SETTINGS');
INSERT INTO `nodeworx_permissions` VALUES (29, 0, 'IWORXLOGS', 'LG_IWORXLOGS');
INSERT INTO `nodeworx_permissions` VALUES (30, 0, 'PHPMYADMIN', 'LG_PHPMYADMIN');
INSERT INTO `nodeworx_permissions` VALUES (31, 0, 'PLUGINS', 'LG_PLUGINS');
INSERT INTO `nodeworx_permissions` VALUES (32, 0, 'SSL', 'LG_SSLCERT');
INSERT INTO `nodeworx_permissions` VALUES (34, 0, 'REMOTEASSIST', 'LG_REMOTE_ASSISTANCE');

# --------------------------------------------------------

#
# Table structure for table `nodeworx_reseller_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `nodeworx_reseller_map`;
CREATE TABLE `nodeworx_reseller_map` (
  `nodeworx_id` int(11) NOT NULL default '0',
  `reseller_id` int(11) NOT NULL default '0',
  UNIQUE KEY `nodeworx_siteworx_id` (`nodeworx_id`,`reseller_id`)
) ENGINE=MyISAM;

#
# Dumping data for table `nodeworx_reseller_map`
#

# --------------------------------------------------------

#
# Table structure for table `nodeworx_siteworx_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `nodeworx_siteworx_map`;
CREATE TABLE `nodeworx_siteworx_map` (
  `nodeworx_id` int(11) NOT NULL default '0',
  `siteworx_id` int(11) NOT NULL default '0',
  UNIQUE KEY `nodeworx_siteworx_id` (`nodeworx_id`,`siteworx_id`)
) ENGINE=MyISAM;


#
# Table structure for table `nodeworx_users`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `nodeworx_users`;
CREATE TABLE `nodeworx_users` (
  `user_id` int(11) NOT NULL auto_increment,
  `nickname` varchar(128) NOT NULL default '',
  `email` varchar(128) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `type` enum('root','master','slave') NOT NULL default 'slave',
  `status` enum('active','inactive') NOT NULL default 'active',
  `language` varchar(32) NOT NULL default '',
  `apikey` text NOT NULL,
  PRIMARY KEY  (`user_id`),
  UNIQUE KEY `email` (`email`)
) ENGINE=MyISAM;
ALTER TABLE `nodeworx_users` DROP `apikey`;
ALTER TABLE `nodeworx_users` ADD `theme` VARCHAR( 128 ) NOT NULL DEFAULT '';
ALTER TABLE `nodeworx_users` ADD `nodeworx_id` INT( 11 ) NOT NULL DEFAULT '1';
ALTER TABLE `nodeworx_users` ADD `global_uid` VARCHAR( 13 ) NOT NULL DEFAULT '' AFTER `user_id` ;
ALTER TABLE `nodeworx_users` ADD INDEX `global_uid` ( `global_uid` ) ;
ALTER TABLE `nodeworx_users` ADD `menu_style` ENUM( 'big', 'small' ) NOT NULL DEFAULT 'small';
ALTER TABLE `nodeworx_users` ADD `requires_password_change` ENUM('0','1','2') NOT NULL DEFAULT '0';

#
# Table structure for table `nw_user_permission_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `nw_user_permission_map`;
CREATE TABLE `nw_user_permission_map` (
  `user_id` int(11) NOT NULL auto_increment,
  `permission_id` int(11) NOT NULL default '0',
  `nodeworx_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM;
ALTER TABLE `nw_user_permission_map` CHANGE `user_id` `user_id` INT( 11 ) NOT NULL;
ALTER TABLE `nw_user_permission_map` DROP PRIMARY KEY;
ALTER TABLE `nw_user_permission_map` ADD PRIMARY KEY ( `user_id` , `permission_id` , `nodeworx_id` );

DROP TABLE IF EXISTS `user_variables`;
CREATE TABLE `user_variables` (
  `global_uid` VARCHAR( 13 ) NOT NULL DEFAULT '',
  `var_name` VARCHAR( 255 ) NOT NULL DEFAULT '',
  `var_value` TEXT NOT NULL,
  PRIMARY KEY ( `global_uid`, `var_name` )
) ENGINE=MyISAM;

#
# Table structure for table `package_bandwidth`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Oct 01, 2003 at 02:50 AM
#

DROP TABLE IF EXISTS `package_bandwidth`;
CREATE TABLE `package_bandwidth` (
  `bandwidth_id` int(11) NOT NULL auto_increment,
  `package_id` int(11) NOT NULL default '0',
  `domain_id` int(11) NOT NULL default '0',
  `type` varchar(15) NOT NULL default 'empty',
  `in_bytes` bigint(20) NOT NULL default '0',
  `out_bytes` bigint(20) NOT NULL default '0',
  `month` enum('january','february','march','april','may','june','july','august','september','october','november','december') NOT NULL default 'january',
  `year` int(4) NOT NULL default '0',
  `last_update` bigint(20) default '0',
  PRIMARY KEY  (`bandwidth_id`)
) ENGINE=MyISAM;

ALTER TABLE `package_bandwidth` ADD `period_start` BIGINT NOT NULL DEFAULT '0';
ALTER TABLE `package_bandwidth` ADD `period_end` BIGINT NOT NULL DEFAULT '0';
ALTER TABLE `package_bandwidth` DROP `month` , DROP `year` ;

ALTER TABLE `package_bandwidth`
		ADD `in_counter`  BIGINT( 20 ) NOT NULL DEFAULT '0',
		ADD `out_counter` BIGINT( 20 ) NOT NULL DEFAULT '0';

ALTER TABLE `package_bandwidth` ADD INDEX ( `package_id` );
ALTER TABLE `package_bandwidth` ADD INDEX `domain_type_index` ( `domain_id` , `type` );


#
# Table structure for table `reseller_bandwidth`
#

CREATE TABLE `reseller_bandwidth` (
  `bandwidth_id` int(11) NOT NULL auto_increment,
  `reseller_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  `type` varchar(15) NOT NULL default 'empty',
  `in_bytes` bigint(20) NOT NULL default '0',
  `out_bytes` bigint(20) NOT NULL default '0',
  `last_update` bigint(20) default '0',
  `period_start` bigint(20) NOT NULL default '0',
  `period_end` bigint(20) NOT NULL default '0',
  `in_counter` bigint(20) NOT NULL default '0',
  `out_counter` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`bandwidth_id`),
  KEY `package_id` (`package_id`),
  KEY `reseller_id` (`reseller_id`)
) ENGINE=MyISAM;

#
# Table structure for table `package_option_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Oct 01, 2003 at 02:43 AM
#

DROP TABLE IF EXISTS `package_option_map`;
CREATE TABLE `package_option_map` (
  `option_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  `value_id` int(11) NOT NULL default '0',
  UNIQUE KEY `option_package_value_unique` (`option_id`,`package_id`,`value_id`)
) ENGINE=MyISAM;

ALTER TABLE `package_option_map` ADD INDEX `package_value_index` (`package_id` , `value_id`);

#
# Table structure for table `package_option_values`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `package_option_values`;
CREATE TABLE `package_option_values` (
  `value_id` int(11) NOT NULL auto_increment,
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`value_id`),
  UNIQUE KEY `value_unique` (`value`)
) ENGINE=MyISAM;

#
# Table structure for table `package_options`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 25, 2003 at 10:46 PM
#

DROP TABLE IF EXISTS `package_options`;
CREATE TABLE `package_options` (
  `option_id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `type` enum('bool','double','float','integer','string') NOT NULL default 'string',
  `unit` varchar(100) NOT NULL default '',
  `access` enum('user','system') NOT NULL default 'user',
  `changable` enum('true','false') NOT NULL default 'true',
  `regex` varchar(255) NOT NULL default '',
  `displaygroup` tinyint NOT NULL default '0',
  PRIMARY KEY  (`option_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=15;

#
# Dumping data for table `package_options`
#

INSERT INTO `package_options` VALUES (1, 'LG_OPT_EMAIL_BOXES', 'LG_OPT_EMAIL_BOXES_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (2, 'LG_OPT_MYSQL_DBS', 'LG_OPT_MYSQL_DBS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (3, 'LG_OPT_SUBDOMAINS', 'LG_OPT_SUBDOMAINS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (4, 'LG_OPT_FTP_ACCOUNTS', 'LG_OPT_FTP_ACCOUNTS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (5, 'LG_OPT_CGI_ACCESS', 'LG_OPT_CGI_ACCESS_DESC', 'bool', '', 'system', 'true', '', '2');
#INSERT INTO `package_options` VALUES (6, 'LG_OPT_PHP_ACCESS', 'LG_OPT_PHP_ACCESS_DESC', 'bool', '', 'system', 'false', '', '2');
INSERT INTO `package_options` VALUES (7, 'LG_OPT_EMAIL_ALIASES', 'LG_OPT_EMAIL_ALIASES_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (8, 'LG_OPT_EMAIL_GROUPS', 'LG_OPT_EMAIL_GROUPS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (9, 'LG_OPT_BANDWIDTH', 'LG_OPT_BANDWIDTH_DESC', 'float', '##LG_GIGABYTES_PER_MONTH##', 'system', 'true', '/^0*([1-9][0-9]*|[0-9]*\\.0*[1-9][0-9]*|[1-9][0-9]*\\.[0-9]*)0*$/', '1');
INSERT INTO `package_options` VALUES (10, 'LG_OPT_STORAGE', 'LG_OPT_STORAGE_DESC', 'float', '##LG_MEGABYTES##', 'system', 'true', '/^0*([1-9][0-9]*|[0-9]*\\.0*[1-9][0-9]*|[1-9][0-9]*\\.[0-9]*)0*$/', '1');
INSERT INTO `package_options` VALUES (11, 'LG_OPT_SAVE_XFER_LOGS', 'LG_OPT_SAVE_XFER_LOGS_DESC', 'bool', '', 'user', 'true', '', '2');
INSERT INTO `package_options` VALUES (12, 'LG_OPT_BURSTABLE', 'LG_OPT_BURSTABLE_DESC', 'bool', '', 'user', 'true', '', '2');
INSERT INTO `package_options` VALUES (13, 'LG_OPT_MYSQL_DB_USERS', 'LG_OPT_MYSQL_DB_USERS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (15, 'LG_OPT_EMAIL_AUTORESPONDERS', 'LG_OPT_EMAIL_AUTORESPONDERS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (16, 'LG_OPT_POINTER_DOMAINS', 'LG_OPT_POINTER_DOMAINS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (17, 'LG_OPT_CRONTAB', 'LG_OPT_CRONTAB_DESC', 'bool', '', 'system', 'true', '', '2');
INSERT INTO `package_options` VALUES (18, 'LG_OPT_SSL', 'LG_OPT_SSL_DESC', 'bool', '', 'system', 'true', '', '2');
INSERT INTO `package_options` VALUES (20, 'LG_OPT_BACKUP', 'LG_OPT_BACKUP_DESC', 'bool', '', 'system', 'true', '', '2');
INSERT INTO `package_options` VALUES (21, 'LG_OPT_SLAVE_DOMAINS', 'LG_OPT_SLAVE_DOMAINS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (22, 'LG_OPT_DNS_RECORDS', 'LG_OPT_DNS_RECORDS_DESC', 'bool', '', 'system', 'true', '', '2' );

# --------------------------------------------------------

#
# Table structure for table `reseller_package_option_map`
#
# Creation: Apr 20, 2006
# Last update: Apr 20, 2006
#

DROP TABLE IF EXISTS `reseller_package_option_map`;
CREATE TABLE `reseller_package_option_map` (
  `option_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  `value_id` int(11) NOT NULL default '0',
  UNIQUE KEY `option_package_value_unique` (`option_id`,`package_id`,`value_id`)
) ENGINE=MyISAM;

#
# Table structure for table `reseller_package_option_values`
#
# Creation: Apr 20, 2006
# Last update: Apr 20, 2006
#

DROP TABLE IF EXISTS `reseller_package_option_values`;
CREATE TABLE `reseller_package_option_values` (
  `value_id` int(11) NOT NULL auto_increment,
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`value_id`),
  UNIQUE KEY `value_unique` (`value`)
) ENGINE=MyISAM;


#
# Table structure for table `reseller_package_options`
#
# Creation: Apr 20, 2006
# Last update: Apr 20, 2006
#

DROP TABLE IF EXISTS `reseller_package_options`;
CREATE TABLE `reseller_package_options` (
  `option_id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `type` enum('bool','double','float','integer','string') NOT NULL default 'string',
  `unit` varchar(100) NOT NULL default '',
  `access` enum('user','system') NOT NULL default 'user',
  `changable` enum('true','false') NOT NULL default 'true',
  `regex` varchar(255) NOT NULL default '',
  `displaygroup` tinyint NOT NULL default '0',
  PRIMARY KEY  (`option_id`),
  UNIQUE KEY `name` (`name`)
);


#
# Dumping data for table `reseller_package_options`
#

INSERT INTO `reseller_package_options` VALUES (1, 'LG_RSL_OPT_OVERSELL_STORAGE', 'LG_RSL_OPT_OVERSELL_STORAGE_DESC', 'bool', 'Megabytes', 'system', 'true', '', '2');
INSERT INTO `reseller_package_options` VALUES (2, 'LG_RSL_OPT_OVERSELL_BANDWIDTH', 'LG_RSL_OPT_OVERSELL_BANDWIDTH_DESC', 'bool', 'Gigabytes / Month', 'system', 'true', '', '2');
INSERT INTO `reseller_package_options` VALUES (3, 'LG_RSL_OPT_EMAIL_BOXES', 'LG_RSL_OPT_EMAIL_BOXES_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (4, 'LG_RSL_OPT_MYSQL_DBS', 'LG_RSL_OPT_MYSQL_DBS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (5, 'LG_RSL_OPT_SUBDOMAINS', 'LG_RSL_OPT_SUBDOMAINS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (6, 'LG_RSL_OPT_FTP_ACCOUNTS', 'LG_RSL_OPT_FTP_ACCOUNTS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (8, 'LG_RSL_OPT_EMAIL_ALIASES', 'LG_RSL_OPT_EMAIL_ALIASES_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (9, 'LG_RSL_OPT_EMAIL_GROUPS', 'LG_RSL_OPT_EMAIL_GROUPS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (10, 'LG_RSL_OPT_BANDWIDTH', 'LG_RSL_OPT_BANDWIDTH_DESC', 'float', 'Gigabytes / Month', 'system', 'true', '/^0*([1-9][0-9]*|[0-9]*\\.0*[1-9][0-9]*|[1-9][0-9]*\\.[0-9]*)0*$/', '1');
INSERT INTO `reseller_package_options` VALUES (11, 'LG_RSL_OPT_STORAGE', 'LG_RSL_OPT_STORAGE_DESC', 'float', 'Megabytes', 'system', 'true', '/^0*([1-9][0-9]*|[0-9]*\\.0*[1-9][0-9]*|[1-9][0-9]*\\.[0-9]*)0*$/', '1');
INSERT INTO `reseller_package_options` VALUES (14, 'LG_RSL_OPT_MYSQL_DB_USERS', 'LG_RSL_OPT_MYSQL_DB_USERS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (16, 'LG_RSL_OPT_EMAIL_AUTORESPONDERS', 'LG_RSL_OPT_EMAIL_AUTORESPONDERS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (17, 'LG_RSL_OPT_POINTER_DOMAINS', 'LG_RSL_OPT_POINTER_DOMAINS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (22, 'LG_RSL_OPT_SLAVE_DOMAINS', 'LG_RSL_OPT_SLAVE_DOMAINS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (23, 'LG_RSL_OPT_SITEWORX_ACCOUNTS', 'LG_RSL_OPT_SITEWORX_ACCOUNTS_DESC', 'integer', ' ', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (24, 'LG_RSL_OPT_THEMES', 'LG_RSL_OPT_THEMES_DESC', 'bool', '', 'system', 'true', '',  '2');

#
# Table structure for table `package_storage`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Oct 01, 2003 at 02:50 AM
#

DROP TABLE IF EXISTS `package_storage`;
CREATE TABLE `package_storage` (
  `storage_id` int(11) NOT NULL auto_increment,
  `package_id` int(11) NOT NULL default '0',
  `domain_id` int(11) NOT NULL default '0',
  `type` varchar(15) NOT NULL default 'empty',
  `bytes` bigint(20) NOT NULL default '0',
  `last_update` bigint(20) NOT NULL,
  PRIMARY KEY  (`storage_id`)
) ENGINE=MyISAM;

ALTER TABLE `package_storage` ADD INDEX (`package_id`);
ALTER TABLE `package_storage` MODIFY `last_update` bigint(20) NOT NULL DEFAULT '0';

#
# Table structure for table `packages`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `packages`;
CREATE TABLE `packages` (
  `package_id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `type` enum('live','template') NOT NULL default 'live',
  PRIMARY KEY  (`package_id`)
) ENGINE=MyISAM;

#
# Table structure for table `reseller_packages`
#
# Creation: Apr 20, 2006
# Last update: Apr 20, 2006
#

DROP TABLE IF EXISTS `reseller_packages`;
CREATE TABLE `reseller_packages` (
  `package_id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `type` enum('live','template') NOT NULL default 'live',
  PRIMARY KEY  (`package_id`)
) ENGINE=MyISAM;


#
# Table structure for table `registrars`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `registrars`;
CREATE TABLE `registrars` (
  `registrar_id` int(11) NOT NULL auto_increment,
  `reg_name` varchar(30) NOT NULL default '',
  `reg_url` varchar(138) NOT NULL default '',
  `other` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`registrar_id`),
  UNIQUE KEY `reg_name` (`reg_name`)
) ENGINE=MyISAM;

#
# Dumping data for table `registrars`
#

# --------------------------------------------------------

#
# Table structure for table `sessions`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Oct 01, 2003 at 02:50 AM
#

DROP TABLE IF EXISTS `sessions`;
CREATE TABLE `sessions` (
  `sesskey` varchar(32) NOT NULL default '',
  `expiry` int(11) unsigned NOT NULL default '0',
  `value` text NOT NULL,
  PRIMARY KEY  (`sesskey`)
) ENGINE=MyISAM;


#
# Table structure for table `siteworx`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `siteworx`;
CREATE TABLE `siteworx` (
  `siteworx_id` int(11) NOT NULL auto_increment,
  `billing_id` int(11) NOT NULL default '0',
  `uniqname` varchar(16) NOT NULL default '',
  `status` enum('inactive','active','pending','canceled','fraud') NOT NULL default 'pending',
  PRIMARY KEY  (`siteworx_id`),
  UNIQUE KEY `billing_id` (`billing_id`,`uniqname`)
) ENGINE=MyISAM;

ALTER TABLE `siteworx` ADD `billing_day` INT NOT NULL default '1';
ALTER TABLE `siteworx` ADD `date_created` DATETIME NOT NULL DEFAULT '1000-01-01 00:00:00';

#
# Table structure for table `siteworx_package_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `siteworx_package_map`;
CREATE TABLE `siteworx_package_map` (
  `siteworx_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  UNIQUE KEY `siteworx_package_id` (`siteworx_id`,`package_id`)
) ENGINE=MyISAM;

ALTER TABLE `siteworx_package_map` ADD UNIQUE (`package_id`);


#
# Table structure for table `siteworx_permissions`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `siteworx_permissions`;
CREATE TABLE `siteworx_permissions` (
  `permission_id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `short_name` varchar(13) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`permission_id`),
  UNIQUE KEY `short_name` (`short_name`),
  KEY `parent_id` (`parent_id`)
) ENGINE=MyISAM AUTO_INCREMENT=13;

#
# Dumping data for table `siteworx_permissions`
#
INSERT INTO `siteworx_permissions` VALUES (1, 0, 'MASTER', 'Master User - All Access');
INSERT INTO `siteworx_permissions` VALUES (2, 0, 'OVERVIEW', 'LG_OVERVIEW');
INSERT INTO `siteworx_permissions` VALUES (3, 0, 'LOGIN', 'LG_LOGIN');
INSERT INTO `siteworx_permissions` VALUES (4, 0, 'EMAIL', 'LG_EMAIL');
INSERT INTO `siteworx_permissions` VALUES (5, 0, 'STATS', 'LG_STATISTICS');
INSERT INTO `siteworx_permissions` VALUES (6, 0, 'FTP', 'LG_FTPACCOUNTS');
INSERT INTO `siteworx_permissions` VALUES (7, 0, 'LOGS', 'LG_RAWLOGS');
INSERT INTO `siteworx_permissions` VALUES (8, 0, 'MYSQL', 'LG_MYSQLDATABASES');
INSERT INTO `siteworx_permissions` VALUES (9, 0, 'BACKUP', 'LG_BACKUPRESTORE');
INSERT INTO `siteworx_permissions` VALUES (10, 0, 'SUBDOMAINS', 'LG_SUBDOMAINS');
INSERT INTO `siteworx_permissions` VALUES (11, 0, 'PREFERENCES', 'LG_PREFERENCES');
INSERT INTO `siteworx_permissions` VALUES (12, 0, 'USERS', 'LG_USERS');
INSERT INTO `siteworx_permissions` VALUES (13, 0, 'FILEMANAGER', 'LG_FILEMANAGER');
INSERT INTO `siteworx_permissions` VALUES (14, 0, 'POINTERDOMS', 'LG_POINTERDOMAINS');
INSERT INTO `siteworx_permissions` VALUES (15, 0, 'CRONTAB', 'LG_CRONTAB');
INSERT INTO `siteworx_permissions` VALUES (16, 0, 'SSL', 'LG_OPT_SSL');
INSERT INTO `siteworx_permissions` VALUES (18, 0, 'HTACCESS', 'LG_DIRECTORY_OPTIONS');
INSERT INTO `siteworx_permissions` VALUES (19, 0, 'SLAVEDOMS', 'LG_SLAVEDOMAINS');
INSERT INTO `siteworx_permissions` VALUES (20, 0, 'RUBYONRAILS', 'LG_RUBY_ON_RAILS' );
INSERT INTO `siteworx_permissions` VALUES (21, 0, 'DNS', 'LG_DNS' );
INSERT INTO `siteworx_permissions` VALUES (22, 0, 'PHP', 'LG_PHP_OPTIONS' );
INSERT INTO `siteworx_permissions` VALUES (23, 0, 'HTTPAUTH', 'LG_HTTP_AUTH' );
# --------------------------------------------------------

#
# Table structure for table `siteworx_users`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `siteworx_users`;
CREATE TABLE `siteworx_users` (
  `user_id` int(11) NOT NULL auto_increment,
  `nickname` varchar(128) NULL default '',
  `email` varchar(128) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `type` enum('master','slave') NOT NULL default 'slave',
  `status` enum('active','inactive') NOT NULL default 'active',
  `language` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM;

ALTER TABLE `siteworx_users` ADD `theme` VARCHAR( 128 ) NOT NULL DEFAULT '';
ALTER TABLE `siteworx_users` ADD `package_id` INT( 11 ) NOT NULL DEFAULT '0';
ALTER TABLE `siteworx_users` ADD INDEX `package_type_index` ( `package_id` , `type` );
ALTER TABLE `siteworx_users` ADD `global_uid` VARCHAR( 13 ) NOT NULL DEFAULT '' AFTER `user_id` ;
ALTER TABLE `siteworx_users` ADD INDEX `global_uid` ( `global_uid` ) ;
ALTER TABLE `siteworx_users` ADD `menu_style` ENUM( 'big', 'small' ) NOT NULL DEFAULT 'small';
ALTER TABLE `siteworx_users` ADD `ssh_enabled` ENUM('0','1') NOT NULL DEFAULT '0';
ALTER TABLE `siteworx_users` ADD `ssh_username` VARCHAR( 32 ) DEFAULT NULL;
ALTER TABLE `siteworx_users` ADD `ssh_public_key` TEXT NULL;
ALTER TABLE `siteworx_users` ADD `requires_password_change` ENUM('0','1','2') NOT NULL DEFAULT '0';

ALTER TABLE siteworx_users ADD UNIQUE INDEX ssh_username_unique (ssh_username);

#
# Table structure for table `sw_package_user_permission_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `sw_package_user_permission_map`;
CREATE TABLE `sw_package_user_permission_map` (
  `user_id` int(11) NOT NULL default '0',
  `permission_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`user_id`,`permission_id`,`package_id`),
  KEY `permission_id` (`permission_id`)
) ENGINE=MyISAM;

#
# Table structure for table `nodeworx_updates`
#
# Creation: Oct 20, 2003 at 10:18 AM
# Last update: Oct 20, 2003 at 10:19 AM
#

DROP TABLE IF EXISTS `nodeworx_updates`;
CREATE TABLE `nodeworx_updates` (
  `update_id` int(11) NOT NULL auto_increment,
  `batch_id` int(11) NOT NULL default '0',
  `date` datetime NOT NULL default '1000-01-01 00:00:00',
  `name` varchar(128) NOT NULL default '',
  `version` varchar(64) NOT NULL default '',
  `arch` varchar(16) NOT NULL default '',
  `type` enum('os','iworx') NOT NULL default 'os',
  `status` enum('applied','pending','ignore') NOT NULL default 'pending',
  PRIMARY KEY  (`update_id`)
) ENGINE=MyISAM;

CREATE TABLE `update_packages` (
  `package_id` int(11) unsigned NOT NULL auto_increment PRIMARY KEY,
  `name` varchar(255) NOT NULL default '',
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM;

CREATE TABLE `update_versions` (
  `version_id` int(11) unsigned NOT NULL auto_increment,
  `package_id` int(11) unsigned NOT NULL DEFAULT '0',
  `package_name` varchar(255) NOT NULL default '',
  `epoch` varchar(20) NOT NULL default '',
  `arch` varchar(20) NOT NULL default '',
  `version` varchar(100) NOT NULL default '',
  `release` varchar(100) NOT NULL default '',
  `repo` varchar(50) NOT NULL default '',
  `summary` varchar(255) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `is_update` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`version_id`),
  UNIQUE KEY `package` (`package_id`,`version`,`release`,`arch`,`epoch`),
  KEY `repo` (`repo`),
  KEY `package_name` (`package_name`)
) ENGINE=MyISAM;

CREATE TABLE `update_history` (
  `history_id` int(11) unsigned NOT NULL auto_increment,
  `package_name` varchar(255) NOT NULL default '',
  `package_id` int(11) unsigned NOT NULL default '0',
  `version_id` int(11) unsigned NOT NULL default '0',
  `action` varchar(40) NOT NULL default '',
  `action_time` datetime NOT NULL default '1000-01-01 00:00:00',
  PRIMARY KEY  (`history_id`),
  UNIQUE KEY `package_name` (`package_name`,`action_time`),
  KEY `package_id` (`package_id`,`version_id`)
) ENGINE=MyISAM;

DROP TABLE IF EXISTS `cluster_nodes`;
CREATE TABLE `cluster_nodes` (
  `node_id` int(11) unsigned NOT NULL auto_increment,
  `hostname` varchar(128) NOT NULL default '',
  `ipaddr` varchar(15) NOT NULL default '',
  `apikey` text NOT NULL,
  `status` enum('active','inactive') NOT NULL default 'inactive',
  PRIMARY KEY  (`node_id`),
  UNIQUE KEY `hostname` (`hostname`),
  UNIQUE KEY `ipaddr` (`ipaddr`)
) ENGINE=MyISAM ;

ALTER TABLE `cluster_nodes` ADD `activation_complete` enum('yes','no') NOT NULL default 'yes';
ALTER TABLE `cluster_nodes` ADD `packet_forwarding_method` enum('LVS-DR','LVS-TUN','LVS-NAT') NOT NULL default 'LVS-DR';

CREATE TABLE `dns_sync_hosts` (
  `host_id` int(11) unsigned zerofill NOT NULL auto_increment,
  `hostname` varchar(128) NOT NULL default '',
  `ipaddr` varchar(15) NOT NULL default '',
  `role` enum('master','slave') NOT NULL default 'slave',
  `apikey` text NOT NULL,
  `status` enum('active','inactive') NOT NULL default 'inactive',
  `last_sync` bigint(20) NOT NULL default '0',
  `last_error` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`host_id`),
  UNIQUE KEY `hostname` (`hostname`,`role`),
  UNIQUE KEY `ipaddr` (`ipaddr`,`role`)
) ENGINE=MyISAM ;

CREATE TABLE `siteworx_favorites` (
 `domain` varchar(128) NOT NULL default '',
 `nodeworx_user_id` int(11) NOT NULL default '0',
 PRIMARY KEY  (`domain`,`nodeworx_user_id`)
) ENGINE=MyISAM COMMENT='Stores "favorite" information for siteworx account list';

CREATE TABLE IF NOT EXISTS `plugin_datastore` (
  `plugin` varchar(25) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (`plugin`,`name`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `cmd_triggers` (
 `trigger_id` int(11) unsigned NOT NULL auto_increment,
 `ctrl_name` varchar(60) NOT NULL default '',
 `action_name` varchar(60) NOT NULL default '',
 `is_forced` tinyint(1) unsigned NOT NULL default '0',
 `is_collapsible` tinyint(1) unsigned NOT NULL default '0',
 PRIMARY KEY  (`trigger_id`),
 UNIQUE KEY `ctrl_name` (`ctrl_name`,`action_name`)
) ENGINE=MyISAM COMMENT='List of actions that trigger the command queue';

INSERT INTO `cmd_triggers` VALUES
(1, 'Ctrl_Nodeworx_Http', 'startCommit', 0, 1),
(2, 'Ctrl_Nodeworx_Http', 'stopCommit', 0, 1),
(3, 'Ctrl_Nodeworx_Http', 'restartCommit', 0, 1),
(4, 'Ctrl_Nodeworx_Http', 'startOnBootCommit', 0, 1),
(5, 'Ctrl_Nodeworx_Http', 'autorestartCommit', 0, 0),
(6, 'Ctrl_Nodeworx_Http', 'apacheUpdateCommit', 0, 0),
(7, 'Ctrl_Nodeworx_Http', 'updatePhpModeCommit', 1, 0),
(8, 'Ctrl_Nodeworx_MailImap', 'startCommit', 0, 1),
(9, 'Ctrl_Nodeworx_MailImap', 'stopCommit', 0, 1),
(10, 'Ctrl_Nodeworx_MailImap', 'restartCommit', 0, 1),
(11, 'Ctrl_Nodeworx_MailSimap', 'startCommit', 0, 1),
(12, 'Ctrl_Nodeworx_MailSimap', 'stopCommit', 0, 1),
(13, 'Ctrl_Nodeworx_MailSimap', 'restartCommit', 0, 1),
(14, 'Ctrl_Nodeworx_MailImap', 'updateCommit', 0, 0),
(15, 'Ctrl_Nodeworx_MailImap', 'startOnBootCommit', 0, 1),
(16, 'Ctrl_Nodeworx_MailSimap', 'updateCommit', 0, 0),
(17, 'Ctrl_Nodeworx_MailSimap', 'startOnBootCommit', 0, 1),
(18, 'Ctrl_Nodeworx_MailPop3', 'startCommit', 0, 1),
(19, 'Ctrl_Nodeworx_MailPop3', 'stopCommit', 0, 1),
(20, 'Ctrl_Nodeworx_MailPop3', 'restartCommit', 0, 1),
(21, 'Ctrl_Nodeworx_MailPop3', 'updateCommit', 0, 0),
(22, 'Ctrl_Nodeworx_MailPop3', 'startOnBootCommit', 0, 1),
(23, 'Ctrl_Nodeworx_MailSpop3', 'startCommit', 0, 1),
(24, 'Ctrl_Nodeworx_MailSpop3', 'stopCommit', 0, 1),
(25, 'Ctrl_Nodeworx_MailSpop3', 'restartCommit', 0, 1),
(26, 'Ctrl_Nodeworx_MailSpop3', 'updateCommit', 0, 0),
(27, 'Ctrl_Nodeworx_MailSpop3', 'startOnBootCommit', 0, 1),
(28, 'Ctrl_Nodeworx_MailSmtp', 'startCommit', 0, 1),
(29, 'Ctrl_Nodeworx_MailSmtp', 'stopCommit', 0, 1),
(30, 'Ctrl_Nodeworx_MailSmtp', 'restartCommit', 0, 1),
(31, 'Ctrl_Nodeworx_MailSmtp', 'updateCommit', 0, 0),
(32, 'Ctrl_Nodeworx_MailSmtp', 'updateInboundCommit', 0, 0),
(33, 'Ctrl_Nodeworx_MailSmtp', 'startOnBootCommit', 0, 1),
(34, 'Ctrl_Nodeworx_MailSmtp2', 'startCommit', 0, 1),
(35, 'Ctrl_Nodeworx_MailSmtp2', 'stopCommit', 0, 1),
(36, 'Ctrl_Nodeworx_MailSmtp2', 'restartCommit', 0, 1),
(37, 'Ctrl_Nodeworx_MailSmtp2', 'updateCommit', 0, 0),
(38, 'Ctrl_Nodeworx_MailSend', 'startCommit', 0, 1),
(39, 'Ctrl_Nodeworx_MailSend', 'stopCommit', 0, 1),
(40, 'Ctrl_Nodeworx_MailSend', 'restartCommit', 0, 1),
(41, 'Ctrl_Nodeworx_MailSend', 'updateCommit', 0, 0),
(43, 'Ctrl_Nodeworx_MailMta', 'updateBounceCommit', 0, 0),
(44, 'Ctrl_Nodeworx_MailVirus', 'startCommit', 0, 1),
(45, 'Ctrl_Nodeworx_MailVirus', 'stopCommit', 0, 1),
(46, 'Ctrl_Nodeworx_MailVirus', 'restartCommit', 0, 1),
(47, 'Ctrl_Nodeworx_MailVirus', 'clamavAutoRestartCommit', 0, 0),
(48, 'Ctrl_Nodeworx_MailVirus', 'clamavStartOnBootCommit', 0, 0),
(49, 'Ctrl_Nodeworx_MailVirus', 'freshStartOnBootCommit', 0, 0),
(50, 'Ctrl_Nodeworx_MailVirus', 'optionsCommit', 0, 0),
(54, 'Ctrl_Nodeworx_MailSpam', 'startCommit', 0, 1),
(55, 'Ctrl_Nodeworx_MailSpam', 'stopCommit', 0, 1),
(56, 'Ctrl_Nodeworx_MailSpam', 'restartCommit', 0, 1),
(57, 'Ctrl_Nodeworx_MailSpam', 'startOnBootCommit', 0, 1),
(58, 'Ctrl_Nodeworx_MailSpam', 'autoRestartCommit', 0, 0),
(59, 'Ctrl_Nodeworx_Ftp', 'startCommit', 0, 1),
(60, 'Ctrl_Nodeworx_Ftp', 'stopCommit', 0, 1),
(61, 'Ctrl_Nodeworx_Ftp', 'restartCommit', 0, 1),
(62, 'Ctrl_Nodeworx_Ftp', 'startOnBootCommit', 0, 1),
(63, 'Ctrl_Nodeworx_Ftp', 'autoRestartCommit', 0, 0),
(64, 'Ctrl_Nodeworx_Ftp', 'serverOptionsCommit', 0, 0),
(65, 'Ctrl_Nodeworx_Mysql', 'startCommit', 0, 1),
(66, 'Ctrl_Nodeworx_Mysql', 'stopCommit', 0, 1),
(67, 'Ctrl_Nodeworx_Mysql', 'restartCommit', 0, 1),
(68, 'Ctrl_Nodeworx_Mysql', 'startOnBootCommit', 0, 1),
(69, 'Ctrl_Nodeworx_Mysql', 'autoRestartCommit', 0, 0),
(70, 'Ctrl_Nodeworx_Mysql', 'optionsCommit', 0, 0),
(71, 'Ctrl_Nodeworx_Sshd', 'startCommit', 0, 1),
(72, 'Ctrl_Nodeworx_Sshd', 'stopCommit', 0, 1),
(73, 'Ctrl_Nodeworx_Sshd', 'restartCommit', 0, 1),
(74, 'Ctrl_Nodeworx_Sshd', 'startOnBootCommit', 0, 1),
(75, 'Ctrl_Nodeworx_Sshd', 'autoRestartCommit', 0, 0),
(76, 'Ctrl_Nodeworx_Sshd', 'updateConfigCommit', 0, 0),
(77, 'Ctrl_Nodeworx_Firewall', 'startCommit', 0, 1),
(78, 'Ctrl_Nodeworx_Firewall', 'stopCommit', 0, 1),
(79, 'Ctrl_Nodeworx_Firewall', 'restartCommit', 0, 1),
(80, 'Ctrl_Nodeworx_Firewall', 'startOnBootCommit', 0, 1),
(81, 'Ctrl_Nodeworx_Firewall', 'updateConfigCommit', 0, 0),
(82, 'Ctrl_Nodeworx_Firewall', 'addPortCommit', 0, 0),
(84, 'Ctrl_Siteworx_EmailRemoteSetup', 'changeLdCommit', 0, 0),
(85, 'Ctrl_Nodeworx_Http', 'syncIpData', 0, 1),
(86, 'Ctrl_Siteworx_Ssl', 'uninstallCommit', 0, 0),
(87, 'Ctrl_Siteworx_Ssl', 'installCommit', 0, 0),
(88, 'Ctrl_Siteworx_DomainsPointer', 'addMailPointerDomainCommit', 0, 0),
(89, 'Ctrl_Siteworx_DomainsPointer', 'deleteMailPointerCommit', 0, 0),
(91, 'Ctrl_Nodeworx_MailSpam', 'updateOptionsCommit', 0, 0),
(92, 'Ctrl_Nodeworx_Ip', 'bindVirtualIpCommit', 0, 0),
(93, 'Ctrl_Nodeworx_Ip', 'unbindVirtualIpCommit', 0, 0),
(94, 'Ctrl_Nodeworx_Dns', 'syncDnsServices', 0, 1),
(95, 'Ctrl_Siteworx_DomainsSlave', 'addCommit', 1, 0),
(96, 'Ctrl_Siteworx_DomainsSlave', 'deleteCommit', 1, 0),
(97, 'Ctrl_Nodeworx_Siteworx', 'unsuspendCommit', 1, 0),
(98, 'Ctrl_Nodeworx_Siteworx', 'suspendCommit', 1, 0),
(99, 'Ctrl_Nodeworx_Siteworx', 'syncVirtualHostsCommit', 0, 1),
(100, 'Ctrl_Nodeworx_Siteworx', 'syncServerAliasCommit', 0, 1),
(101, 'Ctrl_Nodeworx_Siteworx', 'addCommit', 1, 0),
(103, 'Ctrl_Nodeworx_Siteworx', 'deleteDomainCommit', 1, 0),
(104, 'Ctrl_Nodeworx_Siteworx', 'deleteUniqnameCommit', 1, 0),
(105, 'Ctrl_Nodeworx_Ssl', 'editCommit', 0, 0),
(106, 'Ctrl_Nodeworx_Ssl', 'updateallCommit', 0, 0),
(107, 'Ctrl_Nodeworx_Themes', 'syncThemeCommit', 1, 1),
(108, 'Ctrl_Nodeworx_Themes', 'deleteCommit', 1, 0),
(109, 'Ctrl_Nodeworx_Lang', 'syncLanguageCommit', 1, 1),
(110, 'Ctrl_Nodeworx_Lang', 'deleteCommit', 1, 0),
(111, 'Ctrl_Siteworx_EmailRemoteSetup', 'enableLocalDeliveryCommit', 0, 0),
(112, 'Ctrl_Siteworx_EmailRemoteSetup', 'disableLocalDeliveryCommit', 0, 0),
(113, 'Ctrl_Nodeworx_IpSites', 'enableDefaultSitesCommit', 0, 0),
(114, 'Ctrl_Nodeworx_IpSites', 'disableDefaultSitesCommit', 0, 0),
(115, 'Ctrl_Nodeworx_IpSites', 'defaultSitesStatusCommit', 1, 0),
(116, 'Ctrl_Nodeworx_IpSites', 'updateIpDefaultSitesCommit', 1, 0),
(117, 'Ctrl_Nodeworx_Siteworx', 'unsuspendByUserCommit', 1, 0),
(118, 'Ctrl_Nodeworx_Siteworx', 'suspendByUserCommit', 1, 0),
(119, 'Ctrl_Nodeworx_Ftp', 'sftpOptionsCommit', 0, 0),
(120, 'Ctrl_Nodeworx_Ip', 'syncIpDataCommit', 1, 1),
(121, 'Ctrl_Nodeworx_Http', 'syncConfigFilesCommit', 1, 1),
(122, 'Ctrl_Nodeworx_Http', 'syncAllConfigFilesCommit', 1, 1),
(123, 'Ctrl_Nodeworx_Firewall', 'ipv6SettingsCommit', 0, 0),
(124, 'Ctrl_Nodeworx_Updates', 'upgradeInterWorxCommit', 1, 0),
(125, 'Ctrl_Nodeworx_Http', 'syncRedirectsCommit', 1, 1),
(126, 'Ctrl_Nodeworx_Help', 'sshCommit', 1, 1),
(127, 'Ctrl_Nodeworx_Ssl', 'syncLetsEncryptCommit', 1, 1),
(128, 'Ctrl_Nodeworx_ClusterLb', 'externalLbCommit', 1, 0),
(129, 'Ctrl_Nodeworx_Http', 'multiplePhpOptionsCommit', 1, 0),
(130, 'Ctrl_Nodeworx_Http', 'enableMultiplePhpCommit', 1, 0),
(131, 'Ctrl_Nodeworx_Http', 'resetPhpFpmFilesCommit', 1, 0),
(132, 'Ctrl_Nodeworx_Http', 'restartPhpFpmCommit', 0, 1),
(133, 'Ctrl_Nodeworx_Http', 'refreshAvailablePhpVersionsCommit', 1, 1),
(134, 'Ctrl_Nodeworx_MailMda', 'convertToDovecotCommit', 1, 1),
(135, 'Ctrl_Nodeworx_Http', 'syncOneConfigFileCommit', 1, 0),
(136, 'Ctrl_Nodeworx_Http', 'writeFastCgiServerDefinitionsCommit', 1, 0),
(137, 'Ctrl_Nodeworx_Http', 'resetSiteWorxPhpFpmFilesCommit', 1, 0),
(138, 'Ctrl_Nodeworx_Http', 'clearSiteWorxPhpFpmFilesCommit', 1, 0);

CREATE TABLE IF NOT EXISTS `cmd_replay_log` (
 `ipaddr` char(15) NOT NULL default "0",
 `last_command_id` int(11) unsigned NOT NULL default "0",
 `last_replay_time` datetime NOT NULL default "1000-01-01 00:00:00",
 PRIMARY KEY  (`ipaddr`)
) ENGINE=MyISAM COMMENT="Record of the replay log position for each node";

CREATE TABLE `cmd_history` (
 `history_id` int(11) unsigned NOT NULL auto_increment,
 `ipaddr` varchar(15) NOT NULL default '',
 `command_id` int(11) unsigned NOT NULL default '0',
 `was_successful` tinyint(1) unsigned NOT NULL default '0',
 `reply_code` smallint(5) unsigned NOT NULL default '0',
 `reply_data` text NOT NULL,
 `replay_time` datetime NOT NULL default '1000-01-01 00:00:00',
 PRIMARY KEY  (`history_id`),
 KEY `ip_cmd_success` (`ipaddr`,`command_id`,`was_successful`)
) ENGINE=MyISAM COMMENT='History of commands replayed';

CREATE TABLE IF NOT EXISTS `cmd_queue` (
 `command_id` int(6) unsigned NOT NULL auto_increment,
 `ctrl_name` varchar(60) NOT NULL default "",
 `action_name` varchar(60) NOT NULL default "",
 `replay_mode` int(11) NOT NULL default "0",
 `auth` varchar(255) NOT NULL default "",
 `timestamp` datetime NOT NULL default "1000-01-01 00:00:00",
 `input` text NOT NULL,
 PRIMARY KEY  (`command_id`),
 KEY `replay_mode` (`replay_mode`)
) ENGINE=MyISAM COMMENT="Queue of commands to replay on nodes";

CREATE TABLE `notices` (
 `notice_id` int(11) unsigned NOT NULL auto_increment,
 `code` varchar(100) NOT NULL default '',
 `priority` varchar(10) NOT NULL default '',
 `subject` varchar(255) NOT NULL default '',
 `body` text NOT NULL,
 `date_created` datetime NOT NULL default '1000-01-01 00:00:00',
 PRIMARY KEY  (`notice_id`),
 KEY `code` (`code`)
) ENGINE=MyISAM;

ALTER TABLE `notices` ADD `node_id` VARCHAR( 15 ) NOT NULL DEFAULT '' AFTER `priority` ;
ALTER TABLE `notices` ADD `sender_global_uid` VARCHAR( 13 ) NOT NULL DEFAULT '';
ALTER TABLE `notices` ADD INDEX `sender_global_id` ( `sender_global_uid` ) ;

CREATE TABLE `notice_deliveries` (
   `delivery_id` int(11) unsigned NOT NULL auto_increment,
   `notice_id` int(11) unsigned NOT NULL default '0',
   `global_uid` varchar(13) NOT NULL default '',
   `transport` tinyint(5) unsigned NOT NULL default '0',
   PRIMARY KEY  (`delivery_id`),
   KEY `notice_id` (`notice_id`),
   KEY `global_uid` (`global_uid`,`transport`)
) ENGINE=MyISAM;

CREATE TABLE `notice_tracking` (
  `delivery_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
  `acknowledged_date` DATETIME NOT NULL default '1000-01-01 00:00:00',
  PRIMARY KEY ( `delivery_id` )
) ENGINE=MyISAM;

CREATE TABLE `notice_code_ignore` (
 `global_uid` varchar(13) NOT NULL default '',
 `code` varchar(100) NOT NULL default '',
 `node_id` varchar(15) NOT NULL default '',
 `ignore_until` datetime NOT NULL default '1000-01-01 00:00:00',
 PRIMARY KEY  (`global_uid`,`code`,`node_id`),
 KEY `ignore_until` (`ignore_until`)
) ENGINE=MyISAM;

CREATE TABLE `notice_unsubscribe` (
 `code` VARCHAR(100) NOT NULL DEFAULT '',
 `global_uid` VARCHAR(8) NOT NULL DEFAULT '',
 PRIMARY KEY (`code`, `global_uid`)
) ENGINE=MyISAM COMMENT = 'Stores "unsubscribe" information for people opting out of system health notices';

CREATE TABLE `common_problems` (
  `code` varchar(100) NOT NULL default '',
  `lang_key` varchar(100) NOT NULL default '',
  `php_class` varchar(100) NOT NULL default '',
  `group_id` tinyint(5) unsigned NOT NULL default '0',
  `is_enabled` tinyint(1) unsigned NOT NULL default '1',
  `is_hidden` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`code`),
  KEY `group_id` (`group_id`),
  KEY `is_enabled` (`is_enabled`),
  KEY `is_hidden` (`is_hidden`)
) ENGINE=MyISAM;

ALTER TABLE `common_problems` ADD `is_sw_problem` TINYINT( 1 ) UNSIGNED NOT NULL DEFAULT '0';
ALTER TABLE `common_problems` ADD `is_rsl_problem` TINYINT( 1 ) UNSIGNED NOT NULL DEFAULT '0';

INSERT INTO `common_problems` (`code`, `lang_key`, `php_class`, `group_id`, `is_enabled`, `is_hidden`, `is_sw_problem`, `is_rsl_problem`) VALUES
('COMMAND_QUEUE_OFFLINE', '##LG_PROBLEM_CQDOWN##', 'IWorx_Problem_CQDown', 1, 1, 0, 0, 0),
('FIVELY_STUCK', '##LG_PROBLEM_FIVELY_STUCK##', 'IWorx_Problem_FivelyStuck', 2, 1, 0, 0, 0),
('HIGH_LOAD', '##LG_PROBLEM_HIGH_LOAD##', 'IWorx_Problem_HighLoad', 2, 1, 0, 0, 0),
('PARTITIONS_COMPLETELY_FULL', '##LG_PROBLEM_PARTITIONS_FULL##', 'IWorx_Problem_PartitionCompletelyFull', 3, 1, 0, 0, 0),
('PARTITIONS_ALMOST_FULL', '##LG_PROBLEM_PARTITIONS_ALMOST_FULL##', 'IWorx_Problem_PartitionNearlyFull', 4, 1, 0, 0, 0),
('MAIL_QUEUE_SIZE', '##LG_PROBLEM_MAIL_QUEUE_SIZE##', 'IWorx_Problem_MailQueueSize', 2, 1, 0, 0, 0),
('MISSING_SYMLINK', '##LG_PROBLEM_MISSING_SYMLINK##', 'IWorx_Problem_MissingSymlink', 7, 1, 0, 0, 0),
('IMAPSSL_OFF', '##LG_PROBLEM_SECURE_IMAP_STOPPED##', 'IWorx_Problem_SecureImapStopped', 5, 0, 1, 0, 0),
('SSL_CERT_EXPIRED', '##LG_PROBLEM_CERT_EXPIRED##', 'IWorx_Problem_SSLExpired', 5, 1, 0, 0, 0),
('SSL_CERT_NEARLY_EXPIRED', '##LG_PROBLEM_CERT_NEARLY_EXPIRED##', 'IWorx_Problem_SSLNearlyExpired', 5, 1, 0, 0, 0),
('YUM_UPDATE_FAILING', '##LG_PROBLEM_YUM_UPDATE_FAILING##', 'IWorx_Problem_YumUpdateFailing', 5, 1, 0, 0, 0),
('UPGRADE_AVAILABLE', '##LG_PROBLEM_INTERWORX_UPGRADE_AVAILABLE##', 'IWorx_Problem_IWorxUpgrade', 5, 1, 0, 0, 0),
('SWAP_USAGE', '##LG_PROBLEM_SWAP_USAGE##', 'IWorx_Problem_SwapUsage', 1, 1, 0, 0, 0),
('LICENSE', '##LG_PROBLEM_LICENSE_STATUS##', 'IWorx_Problem_License', 3, 1, 0, 0, 0),
('DEMO_EXPIRE', '##LG_PROBLEM_DEMO_EXPIRE##', 'IWorx_Problem_DemoExpire', 4, 0, 1, 0, 0 ),
('CLAMAV_NOT_WORKING', '##LG_CLAMAV_NOT_WORKING##', 'IWorx_Problem_ClamAVNotWorking', 3, 1, 0, 0, 0),
('QUOTAS', '##LG_PROBLEM_QUOTAS##', 'IWorx_Problem_Quota', 4, 1, 0, 0, 0),
('SW_STORAGE', '##LG_PROBLEM_SITEWORX_STORAGE##', 'IWorx_Problem_Siteworx_StorageLimit', 3, 1, 0, 1, 0),
('SW_BANDWIDTH', '##LG_PROBLEM_SITEWORX_BANDWIDTH##', 'IWorx_Problem_Siteworx_BandwidthLimit', 3, 1, 0, 1, 0),
('SW_SSL_EXPIRED', '##LG_PROBLEM_SITEWORX_SSL_EXPIRED##', 'IWorx_Problem_Siteworx_SslExpired', 5, 1, 0, 1, 0),
('SW_SSL_NEARLY_EXPIRED', '##LG_PROBLEM_SITEWORX_SSL_NEARLY_EXPIRED##', 'IWorx_Problem_Siteworx_SslNearlyExpired', 5, 1, 0, 1, 0),
('FTP_DB_CONNECTION_BROKEN', '##LG_PROBLEM_FTP_DB_CONNECTION_BROKEN##', 'IWorx_Problem_FtpDbConnection', 1, 1, 0, 0, 0),
('RSL_BANDWIDTH', '##LG_PROBLEM_RESELLER_BANDWIDTH##', 'IWorx_Problem_Reseller_BandwidthLimit', 3, 1, 0, 0, 1),
('MISSING_NAMEVIRTUALHOSTCONF_FILE', '##LG_MISSING_NAMEVIRTUALHOSTCONF_FILE##', 'IWorx_Problem_NameVhostMissing', 5, 1, 0, 0, 0),
('EXTERNAL_NFS_CANNOT_CONNECT','##LG_EXTERNAL_NFS_CANNOT_CONNECT##','IWorx_Problem_ExternalNfsConnect', 5, 1, 0, 0, 0),
('UPGRADE_STEP_FAILED', '##LG_UPGRADE_STEP_FAILED_TITLE##', 'IWorx_Problem_UpgradeFailed', 2, 1, 0, 0, 0),
('VPS_CLUSTER', '##LG_PROBLEM_VPS_CLUSTER##', 'IWorx_Problem_VpsCluster', 4, 1, 0, 0, 0),
('TMP_UNWRITEABLE', '##LG_PROBLEM_TMP_UNWRITEABLE##', 'IWorx_Problem_TmpUnwriteable', 1, 1, 0, 0, 0),
('MAIL_LOGGING_STOPPED', '##LG_MAIL_LOGGING_STOPPED##', 'IWorx_Problem_MailLoggingStopped', 3, 1, 0, 0, 0),
('MULTIPLE_PHP_MODES_ENABLED', '##LG_PROBLEM_MULTIPLE_PHP_MODES_ENABLED##', 'IWorx_Problem_MultiplePhpModes', 1, 1, 0, 0, 0),
('IWORX_DATABASE_BACKUP_FAILED', '##LG_PROBLEM_INTERWORX_DB_BACKUP_FAILED##', 'IWorx_Problem_IworxDatabaseBackupFailed', 5, 1, 0, 0, 0),
('LE_STATUS', '##LG_LE_STATUS##', 'IWorx_Problem_LetsEncrypt', 5, 1, 0, 0, 0);


CREATE TABLE `common_problem_recipients` (
 `recipient_id` int(11) unsigned NOT NULL auto_increment,
 `code` varchar(100) NOT NULL default '',
 `target` varchar(100) NOT NULL default '',
 `transport` tinyint(5) unsigned NOT NULL default '0',
 PRIMARY KEY  (`recipient_id`),
 UNIQUE KEY `code` (`code`,`target`)
) ENGINE=MyISAM;

INSERT INTO `common_problem_recipients`
  ( code, target, transport )
VALUES
('COMMAND_QUEUE_OFFLINE', '2', 3),
('FIVELY_STUCK', '2', 3),
('PARTITIONS_ALMOST_FULL', '2', 3),
('PARTITIONS_COMPLETELY_FULL', '2', 3),
('MAIL_QUEUE_SIZE', '2', '3' ),
('HIGH_LOAD', '2', 3),
('MISSING_SYMLINK', '2', 2),
('SSL_CERT_EXPIRED', '2', 3),
('IMAPSSL_OFF', '2', 3),
('SSL_CERT_NEARLY_EXPIRED', '2', 3),
('YUM_UPDATE_FAILING', '2', 3),
('UPGRADE_AVAILABLE', '2', 3),
('SWAP_USAGE', '2', 3),
('LICENSE', '2', 3),
('DEMO_EXPIRE', '2', 3),
('CLAMAV_NOT_WORKING', '2', 3),
('SW_STORAGE', '5', 3),
('SW_BANDWIDTH', '5', 3),
('SW_SSL_EXPIRED', '5', 3),
('SW_SSL_NEARLY_EXPIRED', '5', 3),
('FTP_DB_CONNECTION_BROKEN', '2', 3),
('RSL_BANDWIDTH', '7', 3),
('RSL_BANDWIDTH', 'nw1', 3),
('MISSING_NAMEVIRTUALHOSTCONF_FILE', '2', 3),
('EXTERNAL_NFS_CANNOT_CONNECT', '2', 3),
('UPGRADE_STEP_FAILED', '2', 3),
('TMP_UNWRITEABLE', '2', 3),
('IWORX_DATABASE_BACKUP_FAILED', '2', 3);

CREATE TABLE `common_problem_config` (
 `code` varchar(100) NOT NULL default '',
 `var_name` varchar(100) NOT NULL default '',
 `var_value` varchar(255) NOT NULL default '',
 PRIMARY KEY  (`code`,`var_name`)
) ENGINE=MyISAM;

CREATE TABLE `common_problem_tracking` (
  `recipient_id` int(11) NOT NULL default '0',
  `modified_code` varchar(100) NOT NULL default '',
  `last_sent` datetime NOT NULL default '1000-01-01 00:00:00',
  PRIMARY KEY  (`recipient_id`,`modified_code`),
  KEY `last_sent` (`last_sent`),
  KEY `modified_code` (`modified_code`)
) ENGINE=MyISAM;

CREATE TABLE `common_problem_groups` (
  `group_id` tinyint(5) unsigned NOT NULL auto_increment,
  `name` varchar(20) NOT NULL default '',
  `lang_key` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`group_id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 ;

INSERT INTO `common_problem_groups` VALUES
(1, 'fively', '##LG_PERIOD_5_MINUTES##'),
(2, 'fifteenly', '##LG_PERIOD_15_MINUTES##'),
(3, 'hourly', '##LG_HOURLY##'),
(4, 'quad_daily', '##LG_PERIOD_6_HOURS##'),
(5, 'daily', '##LG_DAILY##'),
(6, 'weekly', '##LG_WEEKLY##'),
(7, 'monthly', '##LG_MONTHLY##');

CREATE TABLE `common_problem_log` (
  `log_id` int(11) unsigned NOT NULL auto_increment,
  `code` varchar(100) NOT NULL default '',
  `detected_date` datetime NOT NULL default '1000-01-01 00:00:00',
  `cleared_date` datetime NOT NULL default '1000-01-01 00:00:00',
  PRIMARY KEY  (`log_id`),
  KEY `code` (`code`)
) ENGINE=MyISAM;

CREATE TABLE `uid_gid_log` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `uid` int(11) unsigned NOT NULL DEFAULT '0',
  `gid` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `scheduled_backups` (
  `id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
  `siteworx_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
  `email_address` VARCHAR( 255 ) NOT NULL DEFAULT '',
  `rotate` BIGINT( 20 ) UNSIGNED NOT NULL DEFAULT '0',
  `frequency` ENUM( 'daily', 'weekly', 'monthly' ) NOT NULL DEFAULT 'daily',
  `hour` VARCHAR( 255 ) NOT NULL DEFAULT '',
  `day_of_month` VARCHAR( 255 ) NOT NULL DEFAULT '',
  `day_of_week` VARCHAR( 255 ) NOT NULL DEFAULT '',
  `type` ENUM(  'full',  'partial',  'structure' ) NOT NULL DEFAULT  'full',
  `backup_dbs` SMALLINT( 1 ) NOT NULL DEFAULT  0,
  `backup_web` SMALLINT( 1 ) NOT NULL DEFAULT  0,
  `backup_mail` SMALLINT( 1 ) NOT NULL DEFAULT  0,
  `location` ENUM(  'siteworx',  'local',  'ftp',  'scp' ) NOT NULL DEFAULT 'siteworx',
  `location_data` TEXT NOT NULL ,
PRIMARY KEY (  `id` )
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `ip6_distribution_policies` (
  `policy` varchar(20) NOT NULL default '',
  `lg_key` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`policy`)
) ENGINE=MyISAM COMMENT='Distribution policies for ip6 pools';

INSERT INTO `iworx`.`ip6_distribution_policies` (
  `policy` ,
  `lg_key`
) VALUES (
  'random', '##LG_IPV6_POLICY_RANDOM##'
), (
  'sequential', '##LG_IPV6_POLICY_SEQUENTIAL##'
);

CREATE TABLE `ip6_pools` (
 `id` int(11) unsigned NOT NULL auto_increment,
 `parent_id` int(11) unsigned NOT NULL default '0',
 `nickname` varchar(255) NOT NULL default '',
 `range_start` varchar(39) NOT NULL default '0',
 `range_end` varchar(39) NOT NULL default '0',
 `cidr_format` varchar(60) NOT NULL default '',
 `gateway` varchar(39) NOT NULL default '',
 `distribution_policy` varchar(20) NOT NULL default 'random',
 `netmask_cidr` tinyint(3) unsigned NOT NULL default '128',
 `subpool_size` tinyint(3) unsigned NOT NULL default '0',
 `device` varchar(25) NOT NULL default 'eth0',
 `dedicated_reseller_id` int(11) unsigned NOT NULL default '0',
 `dedicated_siteworx_id` int(11) UNSIGNED NOT NULL DEFAULT '0',
 `last_used_ip` varchar(39) default NULL,
 PRIMARY KEY  (`id`),
 UNIQUE KEY `cidr_format` (`cidr_format`),
 KEY `range_start` (`range_start`,`range_end`),
 KEY `reseller_id` (`dedicated_reseller_id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `ip6_pool_to_nw_map` (
  `pool_id` int(11) unsigned NOT NULL default '0',
  `nodeworx_id` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`pool_id`,`nodeworx_id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `ip6_pool_to_sw_map` (
	      `pool_id` int(11) unsigned NOT NULL default '0',
	      `siteworx_id` int(11) unsigned NOT NULL default '0',
	      PRIMARY KEY  (`pool_id`,`siteworx_id`)
) ENGINE=MyISAM;

CREATE TABLE `ip6_reserved` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `range_start` varchar(39) NOT NULL default '0',
  `range_end` varchar(39) NOT NULL default '0',
  `note` varchar(255) NOT NULL default '',
  `is_editable` tinyint(1) unsigned NOT NULL default '1',
  `is_deletable` tinyint(1) unsigned NOT NULL default '1',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `range_start` (`range_start`,`range_end`)
) ENGINE=MyISAM;

INSERT INTO `ip6_reserved` (`id`, `range_start`, `range_end`, `note`, `is_editable`, `is_deletable`) VALUES
(1, '::1', '::1', '##LG_IPV6_RESERVED_LOOPBACK##', 0, 0 );


CREATE TABLE IF NOT EXISTS `ips` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `ip` varchar(39) NOT NULL default '0',
  `version` tinyint(1) unsigned NOT NULL default '0',
  `netmask` varchar(15) NOT NULL default '',
  `device` varchar(25) NOT NULL default '',
  `scope` varchar( 20 ) NOT NULL default '',
  `external_ip` varchar(39) NOT NULL default '',
  `is_reseller` tinyint(1) unsigned NOT NULL default '0',
  `is_vip` tinyint(1) unsigned NOT NULL default '0',
  `is_static` tinyint(1) unsigned NOT NULL default '0',
  `is_locked` tinyint(1) unsigned NOT NULL default '0',
  `pool_id` int(11) unsigned NOT NULL default '0',
  `siteworx_id` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `ip` (`ip`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `ip_to_reseller_map` (
  `nodeworx_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
  `ip_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY ( `nodeworx_id`, `ip_id` )
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `ip_to_siteworx_map` (
  `siteworx_id` int(11) unsigned NOT NULL default '0',
  `ip_id` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`siteworx_id`, `ip_id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `ip_to_domain_map` (
  `domain_id` int(11) unsigned NOT NULL default '0',
  `ip_id` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`domain_id`,`ip_id`)
) ENGINE=MyISAM;

CREATE TABLE `iworx`.`dns_zone_template_vars` (
  `zone_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
  `ipv4` VARCHAR( 15 ) NOT NULL DEFAULT '',
  `ipv6` VARCHAR( 39 ) NOT NULL DEFAULT '',
  `email` VARCHAR( 255 ) NOT NULL DEFAULT '',
  PRIMARY KEY ( `zone_id` )
) ENGINE=MyISAM COMMENT = 'This table stores values for variable substitution in DNS templates.';

ALTER TABLE `cluster_nodes` ADD `ipv6` VARCHAR( 39 ) NULL AFTER `ipaddr` ;

CREATE TABLE IF NOT EXISTS event_registry (
  `event_name` varchar(200) NOT NULL,
  `listener_class` varchar(200) NOT NULL,
  `priority` int(3) NOT NULL default 50,
  PRIMARY KEY ( event_name, listener_class )
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `two_factor_auth` (
 `id` int(11) unsigned NOT NULL auto_increment,
 `global_uid` varchar( 13 ) NOT NULL DEFAULT '',
 `token` varchar(255) NOT NULL default '',
 PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `config` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `type_id` int(3) unsigned NOT NULL,
  `config_key` varchar(100) NOT NULL COMMENT 'Describes which of a type, ie domain name if type is domain',
  `config_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `config_value` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `type_id` (`type_id`,`config_key`,`config_name`),
  KEY `config_key` (`config_key`),
  KEY `config_name` (`config_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for domains, siteworx accounts, etc';

CREATE TABLE IF NOT EXISTS `config_types` (
  `id` int(3) unsigned NOT NULL AUTO_INCREMENT,
  `type_name` varchar(50) NOT NULL,
  `description` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type_name` (`type_name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `config_types` (`id`, `type_name`, `description`) VALUES
(1, 'nodeworx', 'NodeWorx account-level configurations. Reseller accounts, the Master account'),
(2, 'package', 'SiteWorx Package account-level configurations'),
(3, 'domain', 'Config values for domains, doc roots, config templates, etc'),
(4, 'test', 'Used for unit tests of the configurable interface'),
(5, 'env', 'Cluster-wide configurations'),
(6, 'server', 'Per-server configurations');

CREATE TABLE IF NOT EXISTS `config_levels` (
  `id` int(10) UNSIGNED NOT NULL,
  `level` varchar(10) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `level` (`level`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `config_levels` (`id`, `level`) VALUES
(10, 'global'),
(20, 'server'),
(30, 'nodeworx'),
(40, 'siteworx'),
(50, 'domain');

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Table structure for table `config_defaults`
--

CREATE TABLE IF NOT EXISTS `config_defaults` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `level` int(11) NOT NULL,
  `config_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `description` varchar(255) NOT NULL,
  `iw_default_value` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `config_name` (`config_name`),
  KEY `level` (`level`)
) ENGINE=MyISAM AUTO_INCREMENT=39 DEFAULT CHARSET=utf8 COMMENT='Stores default values for configuration options';

--
-- Dumping data for table `config_defaults`
--

INSERT INTO `config_defaults` (`id`, `level`, `config_name`, `description`, `iw_default_value`) VALUES
(1, 40, 'FPM_PROCESS_MANAGEMENT', 'Choose how the process manager will control the number of child processes. Possible values: static, ondemand, dynamic.', '\"ondemand\"'),
(2, 40, 'FPM_START_SERVERS', 'The number of child processes created on startup. Used only when pm is set to dynamic.', '2'),
(3, 40, 'FPM_MIN_SPARE_SERVERS', 'The desired minimum number of idle server processes. Used only when pm is set to dynamic.', '1'),
(4, 40, 'FPM_MAX_SPARE_SERVERS', 'The desired maximum number of idle server processes. Used only when pm is set to dynamic.', '4'),
(5, 40, 'FPM_MAX_CHILDREN', 'Limits the number of simultaneous requests', '4'),
(6, 40, 'FPM_MAX_REQUESTS', 'The number of requests each child process should execute before respawning. This can be useful to work around memory leaks in 3rd party libraries. For endless request processing specify \'0\'.', '8192'),
(7, 40, 'FPM_PROCESS_IDLE_TIMEOUT', 'The number of seconds after which an idle process will be killed. Used only when pm is set to ondemand. Available units: s(econds)(default), m(inutes), h(ours), or d(ays).', '\"120s\"'),
(8, 40, 'SITEWORX_PHP_VERSION', 'Defines which version of PHP to use on systems with multiple PHP enabled (internal use)', '\"system-php\"'),
(9, 40, 'SITEWORX_PHP_AVAILABLE', 'Available versions of PHP for SiteWorx accounts (internal use)', '\"\"'),
(16, 40, 'FPM_CATCH_WORKERS_OUTPUT', 'Redirect worker stdout and stderr into main error log. If not set, stdout and stderr will be redirected to /dev/null according to FastCGI specs. May cause several ms delay in high-load environments', '\"no\"'),
(17, 50, 'DOMAIN_PHP_VERSION', 'PHP Version for a specific domain (internal use)', '\"\"'),
(18, 50, 'IS_OVER_BANDWIDTH', 'Whether the domain is over its allocated bandwidth limit (internal use)', '0'),
(19, 10, 'SITEWORX_SSH_FEATURE', 'Controls MysqlNSS authentication', '0'),
(20, 10, 'EXTERNAL_LB', 'Controls External Load Balancing in clusters', '0'),
(24, 40, 'FPM_USE_MOD_PROXY_FCGI', 'Enable mod_proxy_fcgi for php-fpm connections', '\"1\"'),
(25, 20, 'SERVICE_USE_LE_FOR_SSL_Dovecot', 'The domain used to obtain an SSL certificate from LE for this service. If false, LE is not used.', 'false'),
(26, 20, 'SERVICE_USE_LE_FOR_SSL_Email_SMTP', 'The domain used to obtain an SSL certificate from LE for this service. If false, LE is not used.', 'false'),
(27, 20, 'SERVICE_USE_LE_FOR_SSL_Proftpd', 'The domain used to obtain an SSL certificate from LE for this service. If false, LE is not used.', 'false'),
(28, 20, 'SERVICE_USE_LE_FOR_SSL_IWorxWeb', 'The domain used to obtain an SSL certificate from LE for this service. If false, LE is not used.', 'false'),
(29, 20, 'SERVICE_USE_LE_FOR_SSL_Apache', 'The domain used to obtain an SSL certificate from LE for this service. If false, LE is not used.', 'false'),
(30, 20, 'EXTERNAL_LB_IP', 'Controls External Load Balancing IP' , '\"\"');

CREATE TABLE `siteworx_db_name_map` (
  `siteworx_id` int(11) NOT NULL default '0',
  `db_name` varchar(64) NOT NULL default '0'
) ENGINE=MyISAM;

ALTER TABLE `siteworx_db_name_map` ADD UNIQUE (`db_name`);

CREATE TABLE `siteworx_db_user_map` (
  `siteworx_id` int(11) NOT NULL default '0',
  `db_username` varchar(32) NOT NULL default '0'
) ENGINE=MyISAM;

ALTER TABLE `siteworx_db_user_map` ADD UNIQUE (`db_username`);

CREATE TABLE IF NOT EXISTS `s3_backup_targets` (
   `name` varchar(255) NOT NULL UNIQUE  CHECK (name <> ''),
   `profile` varchar(255) NOT NULL,
   `bucket` varchar(255) NOT NULL,
   `path` varchar(255) NOT NULL DEFAULT ''
) ENGINE=MyISAM;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
