/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global showLogHandler iw_form iw_payload_widget iw_xhr YAHOO iw_payload */

(function () {
    var payload  = iw_payload_widget('import_ip_map-shell'),
      ipv4s    = YAHOO.util.Dom.getElementsByClassName('in-ipv4s[]', 'select'),
      ipv6s    = YAHOO.util.Dom.getElementsByClassName('in-ipv6s[]', 'select'),
      ssl      = YAHOO.util.Dom.getElementsByClassName('in-is_ssls[]', 'input'),
      target_select,
      target_option,
      target_index,
      ipv4_state = [],
      ipv6_state = [],
      update_ipv4s, update_ipv6s, store_state, init, index;

    update_ipv4s = function ( e ) {
        var i, j, k, length;
      // get select object
        target_select = YAHOO.util.Event.getTarget(e);

      // get target index
        length = ipv4s.length;
        for (i = 0; i < length; i++) {
            if ( ipv4s[i] === target_select ) {
                target_index = i;
                break;
            }
        }

        if ( ssl[ target_index ].value !== "1" ) {
            return;
        }

      // get select option
        target_option = iw_form.getValue(target_select);

      // if select is not the event target, remove/disable selected option
        length = ipv4s.length;
        for (j = 0; j < length; j++) {
            if ( ipv4s[j] !== target_select && ssl[j].value === "1" ) {
                length = ipv4s[j].length;
                for (k = 0; k < length; k++) {
                    if ( ipv4s[j][k].value === target_option ) {
                        ipv4s[j].remove(k);
                        length = ipv4s[j].length;
                    }
                }
                ipv4s[j].options.add(new Option(
                    ipv4_state[ target_index ].text,
                    ipv4_state[ target_index ].value
                ), null);
            }
        }

        ipv4s.sort();
        store_state(ipv4s, ipv4_state);
    };

    update_ipv6s = function ( e ) {
        var i, j, k, length;
      // get select object
        target_select = YAHOO.util.Event.getTarget(e);

      // get target index
        length = ipv6s.length;
        for (i = 0; i < length; i++) {
            if ( ipv6s[i] === target_select ) {
                target_index = i;
                break;
            }
        }

        if ( ssl[ target_index ].value !== "1" ) {
            return;
        }

      // get select option
        target_option = iw_form.getValue(target_select);

      // if select is not the event target, remove/disable selected option
        length = ipv6s.length;
        for (j = 0; j < length; j++) {
            if ( ipv6s[j] !== target_select && ssl[j].value === "1" ) {
                length = ipv6s[j].length;
                for (k = 0; k < length; k++) {
                    if ( ipv6s[j][k].value === target_option && target_option !== "0" ) {
                        ipv6s[j].remove(k);
                        length = ipv6s[j].length;
                    }
                }

                if ( ipv6_state[ target_index ].value !== "0" ) {
                    ipv6s[j].options.add(new Option(
                        ipv6_state[ target_index ].text,
                        ipv6_state[ target_index ].value
                    ), null);
                }
            }
        }

        store_state(ipv6s, ipv6_state);
    };

    store_state = function ( inputs, state ) {
        for (index in inputs) {
            if ( inputs.hasOwnProperty(index) ) {
                state[index] = inputs[index][ inputs[index].selectedIndex ];
            }
        }
    };

    init = function ( selects ) {
        var i, j, k, length = selects.length;
        for (i = 0; i < length; i++) {
            if ( ssl[i].value === "1" ) {
              // remove default values from other selects - DEDICATED
                length = selects.length;
                for (j = 0; j < length; j++) {
                    if ( i !== j && ssl[j].value === "1" ) {
                        iw_form.deleteOptionByValue(selects[i], iw_form.getValue(selects[j]));
                        length = selects.length;
                    }
                }

              // remove Shared IPs for SSL rows
                length = selects[i].length;
                for (k = 0; k < length; k++) {
                    if ( selects[i][k].label.indexOf('##LG_SHARED##') !== -1 ) {
                        selects[i].remove(k);
                        length = selects[i].length;
                    }
                }

                length = selects.length;
            }//end if
        }//end for
    };

    init(ipv4s);
    init(ipv6s);

    store_state(ipv4s, ipv4_state);
    store_state(ipv6s, ipv6_state);

    YAHOO.util.Event.on(ipv4s, 'change', update_ipv4s);
    YAHOO.util.Event.on(ipv6s, 'change', update_ipv6s);
})();