/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global YAHOO,
         iw_ctrl_handler,
         iw_payload_widget,
         iw_lib,
         iw_message,
         iw_message_banner,
         IW_PAYLOAD_DATA,
         iw_js_data
*/

(function () {
    var payload = iw_payload_widget('nodeworx_siteworx-shell');

    payload.refreshOn('suspendCommit');
    payload.refreshOn('unsuspendCommit');
})();

(function () {
    var execute_search = function ( e, element, shell ) {
        var payload = iw_payload_widget('nodeworx_siteworx-shell'),
        search_box = document.getElementById('siteworx-search-box').value,
        search_all = document.getElementById('siteworx-search-all'),
        reseller_select = document.getElementById('reseller_select'),
        reseller;

        if ( search_all.value === '1' ) {
            reseller = 'all';
        } else {
            reseller = reseller_select.value;
        }

        payload.setValue('query', search_box);
        payload.setValue('reseller', reseller);

        payload.go();
    },
    update_add_link = function ( e ) {
        var add_link = document.getElementById('siteworx-add-link');

        if ( this.value !== 'all' ) {
            add_link.href = '?action=add&reseller=' + this.value;
        } else {
            add_link.href = '?action=add';
        }
    },
    load_accounts = function ( e ) {
        var payload = iw_payload_widget('nodeworx_siteworx-shell'),
        search_box = document.getElementById('siteworx-search-box');

        search_box.value = '';

        payload.setValue('reseller', this.value);
        payload.setValue('query', '');

        payload.go();
    },
    toggle_select_all = function ( e ) {
        var search_all = document.getElementById('siteworx-search-all');

        if ( this.value === 'all' ) {
            search_all.value = '1';
            search_all.disabled = true;
        } else {
            search_all.value = '0';
            search_all.disabled = false;
        }
    },
    rsl_select = document.getElementById('reseller_select'),
    search_box = document.getElementById('siteworx-search-box'),
    shell,
    search_listener = new YAHOO.util.KeyListener(
        search_box,
        { keys:13 },
        execute_search
    );

    search_listener.enable();

    shell = iw_lib.getEl('nodeworx_siteworx-shell');
    if ( !shell.hasAttribute('data-iw-searchbox-delegate') ) {
        YAHOO.util.Event.delegate(
            'siteworx-search',
            'click',
            execute_search,
            'input.button'
        );
        shell.setAttribute('data-iw-searchbox-delegate', '1');
    }

    if ( rsl_select !== null ) {
        YAHOO.util.Event.on(rsl_select, 'change', load_accounts);
        YAHOO.util.Event.on(rsl_select, 'change', update_add_link);
        YAHOO.util.Event.on(rsl_select, 'change', toggle_select_all);
    }
})();

(function () {
    var execute_fav = function ( e, element, shell ) {
        var Dom = YAHOO.util.Dom,
        tr = Dom.getAncestorByTagName(this, 'tr'),
        td = Dom.getElementsByClassName('td-checkbox', 'td', tr)[0],
        chkbox = td.getElementsByTagName('input')[0],
        input = { domain: chkbox.value, security_token: iw_js_data.iw_env.security_token },
        toggle;

        iw_lib.toggleSpinner(element);

        toggle = function ( r, success, element ) {
            var Dom = YAHOO.util.Dom;

            if ( success === false ) {
              //Boo!
                return;
            }

            iw_lib.toggleSpinner(element);

            if ( Dom.hasClass(element, 'iw-i-star-off') ) {
                Dom.removeClass(element, 'iw-i-star-off');
                Dom.addClass(element, 'iw-i-star');
            } else {
                Dom.removeClass(element, 'iw-i-star');
                Dom.addClass(element, 'iw-i-star-off');
            }
        };

        iw_ctrl_handler.execute(
            null,
            { callback: toggle, args: this },
            'nodeworx/siteworx',
            'toggleFavoriteCommit',
            input
        );
    },
    shell = iw_lib.getEl('nodeworx_siteworx-shell');

    if ( !shell.hasAttribute('data-iw-fav-delegate') ) {
        YAHOO.util.Event.delegate(
            'nodeworx_siteworx-shell',
            'click',
            execute_fav,
            'img.iw-fav'
        );
        shell.setAttribute('data-iw-fav-delegate', '1');
    }
})();